<?php

class ReleaseController implements RestController
{
    function execute(RestServer $rest) {}

    public function deployRelease($rest)
    {
        $post = $rest->getRequest()->getPost();

        MM_DiagnosticLog::log(MM_DiagnosticLog::$MM_SUCCESS, "API Call: /deployRelease , payload: " . json_encode($post));

        if (!isset($post["version"])) {
            return new Response($rest,  "Major version number is required", RESPONSE_ERROR_MESSAGE_MISSING_PARAMS . " : version", RESPONSE_ERROR_CODE_MISSING_PARAMS, RESPONSE_ERROR_MESSAGE_MISSING_PARAMS);
        }

        $majorVersion = $post["version"];

        $crntVersion = MemberMouse::getPluginVersion();

        if ($crntVersion != $majorVersion) {
            MM_OptionUtils::setOption(MM_OptionUtils::$OPTION_KEY_UPGRADE_NOTICE, $majorVersion);
            return new Response($rest, "Major version do not match. A notification will be displayed to the customer informing them an update is available.", "Major version do not match. A notification will be displayed to the customer informing them an update is available.", RESPONSE_ERROR_CODE_BAD_REQUEST, RESPONSE_ERROR_MESSAGE_MISSING_PARAMS);
        }

        return new Response($rest);
    }

    /**
     * Diagnostic method that responds if MemberMouse is active and working correctly
     * 
     * @param RestServer $rest An instance of the RestServer
     * @return Response object with status 200 containing if MemberMouse is installed, receives the request, and is able to respond
     */
    public function ping($rest)
    {
        $result = MM_MemberMouseService::ping();

        if ($result instanceof MM_Response) {
            return new Response($rest, $result->message, $result->message, RESPONSE_ERROR_CODE_INTERNAL, RESPONSE_ERROR_CODE_INTERNAL);
        }

        if ($result) {
            return new Response($rest, "PONG", "PONG");
        } else {
            return new Response($rest, "Plugin authorization failed", "Plugin authorization failed", RESPONSE_ERROR_CODE_INTERNAL, RESPONSE_ERROR_MESSAGE_INTERNAL);
        }
    }
}
