<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_Filters
{
    public static $BYPASS_CONTENT_PROTECTION = "mm_bypass_content_protection";
    public static $STRIPE_BILLING_STATEMENT_DESCRIPTOR = "mm_stripe_billing_statement_descriptor";
    public static $BLOCK_ACCESS = "mm_block_access";
    public static $LOGIN_REDIRECT = "mm_login_redirect";
    public static $SET_COOKIE = "mm_set_cookie";
    public static $PASSWORD_STRENGTH_VALIDATOR = "mm_password_strength_validator";
    public static $PAYPAL_STANDARD_RETURN_URL = "mm_paypal_standard_return_url";
    public static $APPLY_COUPON = "mm_apply_coupon";
    public static $TRANSLATIONS_PATH = "mm_translations_path";
    public static $REMINDER_WINDOW_SIZE = "mm_reminder_window_size";
    public static $ACCOUNT_TRANSACTIONS_COLS = "mm_acct_txns_cols";


    /**
     * Generates dynamic filter name for the Account Transactions grid values
     * @param  string  $columnName The column name, from the key in the associative array of headers.
     *                 @see MM_TransactionHistoryView::generateHeaders() for list of defaults
     * @return string  Name of the filter
     */
    public static function getTransactionsGridFilterName($columnName): string
    {
        return "mm_acct_txns_{$columnName}_val";
    }
}
