<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 * 
 * The Push Notification Engine translates registered events into Actions. 
 */

class MM_RemindersEngine extends MM_ActionDispatchEngineBase
{

    public static function setup()
    {
        add_action(MM_Event::$BILLING_SUBSCRIPTION_CANCELED, array("MM_ScheduledReminder", 'subscriptionCancelled'));

        $re = new MM_RemindersEngine();
        add_action(MM_Event::$BILLING_REMINDER, array($re, 'billingReminder'), 20);
    }

    public function billingReminder($params)
    {
        if (isset($params['reminder_id'])) {
            $reminder = MM_Reminder::create($params['reminder_id']);
            $this->actions = [$reminder];
            $this->params = $params;
            $this->performActions();
        }
    }


    protected function checkEventAttributes(MM_Action $action)
    {
        return true;
    }


    protected function createEmailContext(MM_Action $action)
    {
        $eventType = $action->getEventType();
        $actionValue = $action->getActionValue();
        $user = new MM_User($this->params["member_id"]);
        $fromEmployee = new MM_Employee($actionValue["emailFromId"]);

        switch ($eventType) {
            case MM_Event::$BILLING_REMINDER:
                $order = new MM_Order($this->params["order_id"]);
                $context = new MM_Context($user, $fromEmployee, $order);
                $orderAttributes = $this->getOrderAttributes($eventType);
                $context->setOrderAttributes($orderAttributes);
                return $context;

            default:
                return null;
        }
    }


    protected function getOrderAttributes(string $eventType)
    {
        $orderAttributes = ["is_rebill" => true];
        return $orderAttributes;
    }
}
