<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_Context
{
    private $user = null;
    private $employee = null;
    private $order = null;
    private $orderAttributes = null;
    private $product = null;
    private $affiliate = null;

    public function __construct($user = null, $employee = null, $order = null)
    {
        if (!is_null($user)) {
            $this->user = $user;
        } else {
            $this->user = new MM_User();
        }

        if (!is_null($employee)) {
            $this->employee = $employee;
        } else {
            $this->employee = new MM_Employee();
        }

        if (!is_null($order)) {
            $this->order = $order;
        } else {
            $this->order = new MM_Order();
        }
    }

    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @return MM_User
     */
    public function getUser()
    {
        return $this->user;
    }

    public function setEmployee($employee)
    {
        $this->employee = $employee;
    }

    /**
     * @return MM_Employee
     */
    public function getEmployee()
    {
        return $this->employee;
    }

    public function setOrder($order)
    {
        $this->order = $order;
    }

    /**
     * @return MM_Order
     */
    public function getOrder()
    {
        return $this->order;
    }

    public function setOrderAttributes($orderAttributes)
    {
        $this->orderAttributes = $orderAttributes;
    }

    /**
     * @return array with the parameters: is_rebill
     */
    public function getOrderAttributes()
    {
        return $this->orderAttributes;
    }

    public function setProduct($product)
    {
        $this->product = $product;
    }

    /**
     * @return MM_Product
     */
    public function getProduct()
    {
        return $this->product;
    }

    public function setAffiliate($affiliate)
    {
        $this->affiliate = $affiliate;
    }

    /**
     * @return MM_AffiliateVO
     */
    public function getAffiliate()
    {
        return $this->affiliate;
    }
}
