<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_Response
{
    public static $SUCCESS = "success";
    public static $ERROR = "error";

    public static $DATA_KEY_URL = "url";

    public $message = "";
    public $type = "";
    public $url = "";
    public $data;

    //diagnostic flag


    public function __construct($msg = "", $type = "success", $excludeFromDiagnosticLog = false)
    {
        if (!$excludeFromDiagnosticLog && class_exists("MM_DiagnosticLog") && MM_DiagnosticLog::isEnabled()) {
            $diagEventType = ($type === self::$ERROR) ? MM_DiagnosticLog::$MM_ERROR : MM_DiagnosticLog::$MM_SUCCESS;
            MM_DiagnosticLog::logResponse($diagEventType, $msg);
        }

        $this->message = $msg;
        $this->type = $type;

        $this->data = array();
    }

    public static function isError($response)
    {
        if (($response instanceof MM_Response) && ($response->type == MM_Response::$ERROR)) {
            return true;
        }

        return false;
    }

    public static function isSuccess($response)
    {
        if (($response instanceof MM_Response) && ($response->type == MM_Response::$SUCCESS)) {
            return true;
        }

        return false;
    }

    public function addData($name, $value)
    {
        $this->data[$name] = $value;
    }


    /**
     * Returns data associated with the supplied key. 
     * 
     * @param string $name The key that the data is tied to
     * @return mixed|string Returns the requested data if the key exists. If the key does not exist, an empty string is returned
     */
    public function getData($name)
    {
        if (isset($this->data[$name])) {
            return $this->data[$name];
        }
        return "";
    }
}
