<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_StickyioProduct extends MM_Entity
{
    private $mmProductId = "";
    private $stickyioOfferId = "";
    private $stickyioOfferName = "";
    private $stickyioProductId = "";
    private $stickyioProductName = "";
    private $stickyioCampaignId = "";
    private $stickyioCampaignName = "";

    private $lastStickyioCampaignId = "";
    private $lastStickyioProductId = "";

    private $stickyioBillingModelId = "";
    private $stickyioBillingModelName = "";

    public function getData()
    {
        global $wpdb;

        $sql = "SELECT * FROM " . MM_TABLE_STICKYIO_PRODUCTS . " WHERE id='" . $this->id . "';";
        $result = $wpdb->get_row($sql);

        if ($result) {
            $this->setData($result);
        } else {
            parent::invalidate();
        }
    }

    public function setData($data)
    {
        try {
            $this->mmProductId = $data->membermouse_product_id;
            $this->stickyioProductId = $data->stickyio_product_id;
            $this->stickyioProductName = $data->stickyio_product_name;
            $this->stickyioCampaignId = $data->stickyio_campaign_id;
            $this->stickyioCampaignName = $data->stickyio_campaign_name;
            $this->stickyioOfferId = $data->stickyio_offer_id;
            $this->stickyioOfferName = $data->stickyio_offer_name;
            $this->stickyioBillingModelId = $data->stickyio_billing_model_id;
            $this->stickyioBillingModelName = $data->stickyio_billing_model_name;
            parent::validate();
        } catch (Exception $ex) {
            parent::invalidate();
        }
    }

    public static function hasExistingProductMappings($stickyioProductId, $mmProductId, $mmCampaignId = null, $mappingId = 0)
    {
        global $wpdb;

        $campaignFilterSql = "";
        if (!is_null($mmCampaignId) && intval($mmCampaignId) > 0) {
            $campaignFilterSql = " ( stickyio_campaign_id = '" . intval($mmCampaignId) . "' OR stickyio_campaign_id = '0' ) AND ";
        }

        $sql = "select count(*) as total from " . MM_TABLE_STICKYIO_PRODUCTS . "
					 where 
						stickyio_product_id ='" . $stickyioProductId . "'  AND 
						membermouse_product_id !='" . $mmProductId . "'  AND 
						{$campaignFilterSql}
						id!='" . $mappingId . "' 
								";

        $row = $wpdb->get_row($sql);
        return $row->total > 0;
    }

    public static function removeExistingProductMappings($stickyioProductId, $mappingId)
    {
        global $wpdb;
        $sql = "delete from " . MM_TABLE_STICKYIO_PRODUCTS . " where stickyio_product_id='" . $stickyioProductId . "' AND id!='" . $mappingId . "' ";
        $wpdb->query($sql);
    }

    public function commitData()
    {
        global $wpdb;

        if (!MM_MemberMouseService::hasPermission(MM_MemberMouseService::$PYMT_SERVICE_LIMELIGHT)) {
            $message = __("ERROR: Sticky.io is not active for this MemberMouse license", "membermouse");
            return new MM_Response($message, MM_Response::$ERROR);
        }

        $doUpdate = isset($this->id) && $this->id != "" && intval($this->id) > 0;

        MM_Transaction::begin();
        try {
            // check if campaign/product pair is already set
            if (!$doUpdate || ((!empty($this->lastStickyioCampaignId) && ($this->lastStickyioCampaignId != $this->stickyioCampaignId))
                || (!empty($this->lastStickyioProductId) && ($this->lastStickyioProductId != $this->stickyioProductId)))) {
                $sql = "SELECT membermouse_product_id FROM " . MM_TABLE_STICKYIO_PRODUCTS . " WHERE stickyio_product_id='" . $this->stickyioProductId . "' AND ";
                $sql .= "stickyio_campaign_id='" . $this->stickyioCampaignId . "';";
                $result = $wpdb->get_row($sql);

                if ($result) {
                    MM_Transaction::rollback();
                    $product = new MM_Product($result->membermouse_product_id);
                    $productName = ($product->isValid()) ? $product->getName() : "";

                    /* translators: %1$s: Sticky.io product name, %2$s: Sticky.io campaign name, %3$s: MemberMouse product name */
                    $errorText = __('The Sticky.io product "%1$s" in campaign "%2$s" is already associated with MemberMouse product "%3$s"', 'membermouse');
                    $errorMsg = sprintf($errorText, $this->stickyioProductName, $this->stickyioCampaignName, $productName);

                    return new MM_Response($errorMsg, MM_Response::$ERROR);
                }
            }

            if (!$doUpdate) {
                $sql = "insert into " . MM_TABLE_STICKYIO_PRODUCTS . " set " .
                    "	membermouse_product_id='%d'," .
                    "	stickyio_product_id='%d'," .
                    "	stickyio_offer_id='%d'," .
                    "	stickyio_offer_name='%s'," .
                    "	stickyio_billing_model_id='%d'," .
                    "	stickyio_billing_model_name='%s'," .
                    "	stickyio_product_name='%s'," .
                    "	stickyio_campaign_id='%d'," .
                    "	stickyio_campaign_name='%s'" .
                    "";
            } else {
                $sql = "update " . MM_TABLE_STICKYIO_PRODUCTS . " set " .
                    "	membermouse_product_id='%d'," .
                    "	stickyio_product_id='%d'," .
                    "	stickyio_offer_id='%d'," .
                    "	stickyio_offer_name='%s'," .
                    "	stickyio_billing_model_id='%d'," .
                    "	stickyio_billing_model_name='%s'," .
                    "	stickyio_product_name='%s'," .
                    "	stickyio_campaign_id='%d'," .
                    "	stickyio_campaign_name='%s'" .
                    "	where id='{$this->id}'" .
                    "";
            }
            $preparedSql = $wpdb->prepare(
                $sql,
                $this->mmProductId,
                $this->stickyioProductId,
                $this->stickyioOfferId,
                $this->stickyioOfferName,
                $this->stickyioBillingModelId,
                $this->stickyioBillingModelName,
                $this->stickyioProductName,
                $this->stickyioCampaignId,
                $this->stickyioCampaignName
            );

            $result = $wpdb->query($preparedSql);
            if ($result === false) {
                MM_Transaction::rollback();
                return new MM_Response("Error creating product mapping", MM_Response::$ERROR);
            }

            if (!$doUpdate) {
                $this->id = $wpdb->insert_id;
            }
        } catch (Exception $ex) {
            MM_Transaction::rollback();
            return new MM_Response("Error creating product mapping", MM_Response::$ERROR);
        }

        MM_Transaction::commit();

        return new MM_Response();
    }

    public function delete()
    {
        global $wpdb;

        $sql = "DELETE FROM " . MM_TABLE_STICKYIO_PRODUCTS . " WHERE id='%d' LIMIT 1";
        $results = $wpdb->query($wpdb->prepare($sql, $this->id));

        if ($results) {
            return true;
        }

        return false;
    }


    /** HELPER METHODS **/

    public static function findByMMProductId($productId)
    {
        if (empty($productId)) {
            return new MM_StickyioProduct();
        }

        global $wpdb;

        $sql = "SELECT id FROM " . MM_TABLE_STICKYIO_PRODUCTS . " WHERE membermouse_product_id='%s' LIMIT 1;";
        $llProductIndex = $wpdb->get_var($wpdb->prepare($sql, $productId));

        if (!is_null($llProductIndex)) {
            return new MM_StickyioProduct($llProductIndex);
        }
        return new MM_StickyioProduct(); //return an invalid entity if the product mapping could not be found
    }

    public static function getUnmappedProducts()
    {
        global $wpdb;

        $sql = "SELECT p.* from " . MM_TABLE_PRODUCTS . " p LEFT JOIN " . MM_TABLE_STICKYIO_PRODUCTS . " llp ON (p.id = llp.membermouse_product_id) where llp.membermouse_product_id IS NULL order by membermouse_product_id asc";
        $rows = $wpdb->get_results($sql);

        $products = array();

        foreach ($rows as $row) {
            $products[$row->id] = $row->name;
        }

        return $products;
    }


    /** GETTERS/SETTERS **/

    public function setStickyioBillingModelId($id)
    {
        $this->stickyioBillingModelId = $id;
    }

    public function getStickyioBillingModelId()
    {
        return $this->stickyioBillingModelId;
    }

    public function setStickyioBillingModelName($str)
    {
        $this->stickyioBillingModelName = $str;
    }

    public function getStickyioBillingModelName()
    {
        return $this->stickyioBillingModelName;
    }


    public function setMMProductId($id)
    {
        $this->mmProductId = $id;
    }

    public function getMMProductId()
    {
        return $this->mmProductId;
    }

    public function setStickyioOfferId($id)
    {
        $this->stickyioOfferId = $id;
    }

    public function getStickyioOfferId()
    {
        return $this->stickyioOfferId;
    }

    public function setStickyioOfferName($str)
    {
        $this->stickyioOfferName = $str;
    }

    public function getStickyioOfferName()
    {
        return $this->stickyioOfferName;
    }

    public function setStickyioProductId($id)
    {
        $this->lastStickyioProductId = $this->stickyioProductId;
        $this->stickyioProductId = $id;
    }

    public function getStickyioProductId()
    {
        return $this->stickyioProductId;
    }

    public function setStickyioProductName($str)
    {
        $this->stickyioProductName = $str;
    }

    public function getStickyioProductName()
    {
        return $this->stickyioProductName;
    }

    public function setStickyioCampaignId($id)
    {
        $this->lastStickyioCampaignId = $this->stickyioCampaignId;
        $this->stickyioCampaignId = $id;
    }

    public function getStickyioCampaignId()
    {
        return $this->stickyioCampaignId;
    }

    public function setStickyioCampaignName($str)
    {
        $this->stickyioCampaignName = $str;
    }

    public function getStickyioCampaignName()
    {
        return $this->stickyioCampaignName;
    }
}
