<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 *
 */
class MM_BBPressExtension extends MM_Extension
{
    protected static $OPTION_ACTIVE = "active";

    public function __construct($autoloadDependencies = true, $configData = "")
    {
        parent::__construct($autoloadDependencies, $configData);
        $this->token = MM_Extension::$BBPRESS_TOKEN;
    }

    public function doInitHook()
    {
        if ($this->isActive() && $this->hasPermission()) {
        }
    }

    public function isActive()
    {
        // check if Limit Login Attempts plugin is active
        $plugins = get_option('active_plugins');
        $required_plugin = "bbpress-addon-for-membermouse/index.php";
        $isActive = false;

        if (in_array($required_plugin, $plugins)) {
            $isActive = true;
        }

        return $isActive && $this->hasPermission();
    }

    public function hasPermission()
    {
        return true;
    }

    public function displayListingItem()
    {
        $crntPage = MM_ModuleUtils::getPage();
        $extUrl = MM_ModuleUtils::getUrl($crntPage, MM_MODULE_EXTENSIONS) . "&" . MM_session::$PARAM_SUBMODULE . "=" . MM_Extension::$BBPRESS_TOKEN;
?>
        <div class="mm-extension <?php echo $this->isActive() ? 'mm-extension-active' : ''; ?>">
            <a href="<?php echo $extUrl; ?>"><img src="https://membermouse.com/assets/plugin_images/logos/extensions-bbpress.jpg" /></a>
        </div>
    <?php
    }

    public function displayConfigScreen()
    {
    ?>

        <div style="background-color:#FFF; padding:10px; width:260px;">
            <img src="https://membermouse.com/assets/plugin_images/logos/extensions-bbpress.jpg" style="width:260px;" />
        </div>

        <div style="margin-bottom:15px;">
            <a href="https://membermouse.com/docs/use-bbpress-extension-to-create-a-forum" target="_blank"><?php _e("Need help configuring the bbPress extension?", "membermouse"); ?></a>
        </div>

        <p style="width:600px; font-size:12px;">
            <?php _e("bbPress was built by the creators of WordPress and enables forum functionality on your WordPress site. Using this extension you'll be able to protect bbPress forums based on a member's access rights in MemberMouse. In order to use this extension, the bbPress plugin must be installed and activated.", "membermouse"); ?>
        </p>

        <p>
            <?php if (!$this->isActive()) { ?>
                <a href="https://membermouse.s3.us-east-1.amazonaws.com/addons/bbpress-addon-for-membermouse/bbpress-addon-for-membermouse-latest.zip" class="mm-ui-button green"><?php echo MM_Utils::getIcon('download', '', '1.3em', '2px') . " " . __("Download bbPress Extension", "membermouse"); ?></a>
            <?php } else { ?>
                <?php echo MM_Utils::getCheckIcon() . " " . __("bbPress Extension Activated", "membermouse"); ?>
            <?php } ?>

            <?php
            $plugins = get_option('active_plugins');
            $required_plugin = "bbpress/bbpress.php";

            if (!in_array($required_plugin, $plugins)) {
            ?>
                <a href="http://bbpress.org" class="mm-ui-button blue" style="margin-left:10px;">
                    <?php echo MM_Utils::getIcon('download', '', '1.3em', '2px') . " " . __("Download bbPress", "membermouse"); ?></a>
            <?php } else { ?>
                <span style="margin-left:10px;"><?php echo MM_Utils::getCheckIcon() . " " . __("bbPress Activated", "membermouse"); ?></span>
            <?php } ?>
        </p>
<?php
    }
}
