<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 *
 */
class MM_FacebookLoginExtension extends MM_AbstractSocialLoginExtension
{

    protected $extensionName = "Login with Facebook";
    protected $providerName  = "Facebook";
    protected $keyName         = "App ID";
    protected $secretName      = "App Secret";

    public function __construct($autoloadDependencies = true, $configData = "")
    {
        //facebook specific settings
        $this->token = MM_Extension::$FACEBOOK_LOGIN_TOKEN;
        $this->listingImage = "https://membermouse.com/assets/plugin_images/logos/extensions-fb.jpg";
        $this->supportArticleUrl = "https://membermouse.com/docs/configuring-facebook-sso-login";

        if (function_exists("__")) {
            $this->extensionName = __("Login with Facebook", "membermouse");
            $this->keyName = __("App ID", "membermouse");
            $this->secretName = __("App Secret", "membermouse");
        }
        parent::__construct($autoloadDependencies, $configData);
    }


    protected function getHybridAuthConfig()
    {
        $config = parent::getHybridAuthConfig();
        $config["providers"] = array(
            $this->token => array(
                "enabled" => true,
                "keys"    => array("id" => $this->apiKey, "secret" => $this->apiSecret),
                "scope"   => "email",

            )
        );
        return $config;
    }

    public function displayConfigScreen()
    {
        $callbackUrl = $this->libraryUrl . "/?hauth.done=Facebook";
        $this->additionalInfo = "<tr>
				<td NOWRAP>Callback URL</td>
				<td NOWRAP>
					<span style='font-family:courier; font-size:11px;'>
					<input id='mm-facebook-callback-url' type='text' readonly value='{$callbackUrl}' style='width:600px' onclick=\"jQuery('#mm-facebook-callback-url').focus(); jQuery('#mm-facebook-callback-url').select();\" />
					</span>
				</td>
			</tr>\n";
        return parent::displayConfigScreen();
    }
}
