<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 *
 */
class MM_GoogleLoginExtension extends MM_AbstractSocialLoginExtension
{

    public function __construct($autoloadDependencies = true, $configData = "")
    {
        //google+ specific settings
        $this->token = MM_Extension::$GOOGLE_LOGIN_TOKEN;
        $this->listingImage  = "https://membermouse.com/assets/plugin_images/logos/extensions-google.jpg";
        $this->extensionName = __("Login with Google", "membermouse");
        $this->providerName  = "Google";
        $this->keyName       = __("Client ID", "membermouse");
        $this->secretName    = __("Client Secret", "membermouse");
        $this->supportArticleUrl = "https://membermouse.com/docs/configuring-sign-in-with-google";
        parent::__construct($autoloadDependencies, $configData);
    }


    protected function getHybridAuthConfig()
    {
        $config = parent::getHybridAuthConfig();

        // both the plus.login and plus.profile.emails.read scopes are required
        // to obtain both the users email and first/last names upon signup.
        $config["providers"] = array(
            $this->token => array(
                "enabled" => true,
                "keys"    => array("id" => $this->apiKey, "secret" => $this->apiSecret),
                "scope"   => "https://www.googleapis.com/auth/userinfo.profile https://www.googleapis.com/auth/userinfo.email",
            )
        );
        return $config;
    }


    public function displayConfigScreen()
    {
        $callbackUrlText = __("Callback URL", "membermouse");
        $callbackUrl = $this->libraryUrl . "/index.php?hauth.done=Google";
        $this->additionalInfo = "<tr>
				<td NOWRAP>{$callbackUrlText}</td>
				<td NOWRAP>
					<span style='font-family:courier; font-size:11px;'>
					<input id='mm-google-callback-url' type='text' readonly value='{$callbackUrl}' style='width:600px' onclick=\"jQuery('#mm-google-callback-url').focus(); jQuery('#mm-google-callback-url').select();\" />
					</span>
				</td>
			</tr>\n";
        return parent::displayConfigScreen();
    }
}
