<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 *
 */
class MM_LinkedInLoginExtension extends MM_AbstractSocialLoginExtension
{

    protected $extensionName = "Login with LinkedIn";
    protected $providerName  = "LinkedIn";
    protected $keyName         = "Client ID";
    protected $secretName      = "Client Secret";

    public function __construct($autoloadDependencies = true, $configData = "")
    {
        //linkedin specific settings
        $this->token = MM_Extension::$LINKEDIN_LOGIN_TOKEN;
        $this->listingImage = "https://membermouse.com/assets/plugin_images/logos/extensions-linkedin.jpg";
        $this->supportArticleUrl = "https://membermouse.com/docs/configuring-linkedin-login";

        if (function_exists("__")) {
            $this->extensionName = __("Login with LinkedIn", "membermouse");
            $this->keyName = __("Client ID", "membermouse");
            $this->secretName = __("Client Secret", "membermouse");
        }

        parent::__construct($autoloadDependencies, $configData);
    }


    protected function getHybridAuthConfig()
    {
        $config = parent::getHybridAuthConfig();
        $config["providers"] = array(
            $this->token => array(
                "enabled" => true,
                "keys"    => array("id" => $this->apiKey, "secret" => $this->apiSecret),
                "scope"   => "r_emailaddress r_liteprofile",

            )
        );
        return $config;
    }

    public function displayConfigScreen()
    {
        $callbackUrl = $this->libraryUrl . "/?hauth.done=LinkedIn";
        $this->additionalInfo = "<tr>
				<td NOWRAP>Callback URL</td>
				<td NOWRAP>
					<span style='font-family:courier; font-size:11px;'>
					<input id='mm-linkedin-callback-url' type='text' readonly value='{$callbackUrl}' style='width:600px' onclick=\"jQuery('#mm-linkedin-callback-url').focus(); jQuery('#mm-linkedin-callback-url').select();\" />
					</span>
				</td>
			</tr>\n";
        return parent::displayConfigScreen();
    }
}
