<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 *
 */
class MM_TwitterLoginExtension extends MM_AbstractSocialLoginExtension
{

    public function __construct($autoloadDependencies = true, $configData = "")
    {
        //twitter specific settings
        $this->token = MM_Extension::$TWITTER_LOGIN_TOKEN;
        $this->listingImage  = "https://membermouse.com/assets/plugin_images/logos/extensions-twitter.jpg";
        $this->extensionName = __("Login with Twitter", "membermouse");
        $this->providerName  = "Twitter";
        $this->keyName       = __("API Key", "membermouse");
        $this->secretName    = __("API Secret", "membermouse");
        $this->providesEmail = false;
        $this->supportArticleUrl = "https://membermouse.com/docs/configuring-twitter-login";
        parent::__construct($autoloadDependencies, $configData);
    }

    protected function getHybridAuthConfig()
    {
        $config = parent::getHybridAuthConfig();
        $config["providers"] = array(
            $this->token => array(
                "enabled" => true,
                "keys"    => array("key" => $this->apiKey, "secret" => $this->apiSecret)
            )
        );
        return $config;
    }


    public function displayConfigScreen()
    {
        $callbackUrlText = __("Callback URL", "membermouse");
        $callbackUrl = $this->libraryUrl . "/";
        $this->additionalInfo = "<tr>
				<td NOWRAP>{$callbackUrlText}</td>
				<td NOWRAP>
					<span style='font-family:courier; font-size:11px;'>
					<input id='mm-twitter-callback-url' type='text' readonly value='{$callbackUrl}' style='width:600px' onclick=\"jQuery('#mm-twitter-callback-url').focus(); jQuery('#mm-twitter-callback-url').select();\" />
					</span>
				</td>
			</tr>\n";
        return parent::displayConfigScreen();
    }
}
