<?php

/**
 * 
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 * 
 * MM_OrderRequest is responsible for processing request data, submitting a request and handling
 * the result. A subclass is created for each method that can be used for creating order 
 * requests. For example, requests can come from a checkout form, a free member webform, an API 
 * call, etc.
 */

class MM_OrderRequest
{
    protected $requestData = array();
    protected $isApiRequest = false;
    protected $state;


    /**
     * Stores the request data and makes a call to processRequest to process the data
     * 
     * @param array $requestData data from the source of the order request
     * @param boolean $isApiRequest indicates whether this is an API request 
     */
    public function __construct($requestData, $isApiRequest = false)
    {
        $this->requestData = $requestData;
        $this->state = new MM_Response();
        $this->isApiRequest = $isApiRequest;
    }


    /**
     * This method understands how to process the data from a specific source.
     */
    public function processRequest() {}


    /**
     * This method understands what actions to take to submit the request.
     */
    public function submitRequest() {}


    /**
     * This method understands how to handle success and error conditions that can
     * occur while processing or submitting the request.
     * 
     * @param $result object that contains information about the result of the submitted request
     */
    protected function handleResult($result) {}
}
