<?php

/**
 * 
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 *
 *
 * MM_SocialLoginRequest is responsible for processing social network provider signups.
 */

class MM_SocialLoginRequest extends MM_FreeMemberWebformRequest
{

    private $storedResult = "";

    protected function handleResult($result)
    {
        //overriden to kill the default redirect, so that the social login auth process has a chance to link the accounts
        $this->storedResult = $result;
    }

    /**
     * This method redirects to the proper confirmation page. It is meant to be called after the social login auth process has linked the
     * newly created account to the unique social network id supplied by the social provider
     */
    public function completeSignup()
    {
        return parent::handleResult($this->storedResult);
    }

    public function getNewUser()
    {
        return $this->newUser;
    }


    public function submitRequest()
    {
        parent::submitRequest();
        return $this->storedResult;
    }
}
