<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 * 
 * The DefaultOrderNumberGenerator class generates an order number identical to the sequence id of the order number
 * Prior to commit, a random string is generated in order to satisfy the commit requirements of the order class
 */
class MM_DefaultOrderNumberGenerator extends MM_OrderNumberGenerator
{

    /**
     * Generate an order number prior to the order being committed
     * 
     * @see MM_OrderNumberGenerator::preCommit()
     */
    public function preCommit(MM_Order $order)
    {
        $orderNumber = "";
        for ($i = 0; $i < 32; $i++) {
            $orderNumber .= chr(rand(33, 122));
        }
        return $orderNumber;
    }

    /**
     * Generate an order number after the order has been committed. Because this method will typically be called from 
     * inside a transaction, the order will not have been validated yet
     * 
     * @see MM_OrderNumberGenerator::postCommit()
     */
    public function postCommit(MM_Order $order)
    {
        return $order->getId() + 1000;
    }
}
