<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 * 
 * The OrderNumberGenerator class is an abstract class outlining the interface for the order number generation system
 * This is meant to be extensible so that in the future customers can have more control over the public facing order numbers
 * shown to users and through the administration interface
 */

abstract class MM_OrderNumberGenerator
{
    public static $DEFAULT = "default"; //the default token

    /**
     * Generates an order number prior to the commit taking place
     * 
     * @param MM_Order $order The order to generate an order number for
     * @return String a string representing an order number
     */
    public abstract function preCommit(MM_Order $order);

    /**
     * Generates an order number after the commit taking place. Useful if the final order number needs to be based on the order id
     * 
     * @param MM_Order $order The order to generate an order number for
     * @return String a string representing an order number
     */
    public abstract function postCommit(MM_Order $order);
}
