<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 *
 * The OrderNumberGenerator Factory retrieves an order number generator based on a token
 */

class MM_OrderNumberGeneratorFactory
{

    /**
     * Returns a specific order number generator
     * 
     * @param String $token A string representing the order number generator to retrieve
     * @return MM_OrderNumberGenerator An instance of type MM_OrderNumberGenerator (or subclass)
     */
    public static function getOrderNumberGenerator($token)
    {
        switch ($token) {
            default:
                //only one order number generator to start, return the defaul
                return new MM_DefaultOrderNumberGenerator();
                break;
        }
    }
}
