<?php

/**
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 *
 */
class MM_PaymentNotifiers
{
    public static function parse_standalone_request()
    {

        if (! isset($_REQUEST['pmt'])) {
            return;
        }

        $plugin     = (isset($_REQUEST['plugin'])) ? $_REQUEST['plugin'] : '';
        $action     = (isset($_REQUEST['action'])) ? $_REQUEST['action'] : '';

        $request_uri = $_SERVER['REQUEST_URI'];

        // Pretty Notifier ... prevents POST vars from being mangled
        $notify_url_pattern = MM_GatewayUtils::gateway_notify_url_regex_pattern();
        if (MM_GatewayUtils::match_uri($notify_url_pattern, $request_uri, $m)) {
            $plugin = 'mmouse';
            $_REQUEST['pmt'] = $m[1];
            $action = $m[2];
        }

        try {
            if (
                !empty($plugin) && $plugin == 'mmouse' && isset($_REQUEST['pmt']) &&
                !empty($_REQUEST['pmt']) && !empty($action)
            ) {
                $pmt = apply_filters('mm_gateway_notifier_obj', $_REQUEST['pmt'], $action, $_REQUEST['pmt']);
                if ('mmouse-stripe-connect' === $pmt) {
                    $notifiers = MM_StripeConnect::get_notifiers();
                    if (isset($notifiers[$action])) {
                        $class = "MM_StripeConnect";
                        if (method_exists($class, $notifiers[$action])) {
                            call_user_func("$class::$notifiers[$action]");
                        }
                        exit;
                    }
                }
            }
        } catch (Exception $e) {
?>
            <div class="mmouse_error">
                <?php
                /* translators: %s: An error message from an external system */
                printf(__('There was a problem with our system: %s. Please come back soon and try again.', 'membermouse'), $e->getMessage());
                ?>
            </div>
<?php
            exit;
        }
    }
}

?>