<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 *
 * MM_PaymentServiceFeatures is a class that serves as a container for a set of constants representing features
 * that may be implemented by individual payment services
 */
class MM_PaymentServiceFeatures
{
    const CARD_ON_FILE                   = 1;
    const ONSITE_SERVICE              = 2;
    const OFFSITE_SERVICE             = 3;
    const COUPONS                       = 4;
    const TRANSACTION_PAGE_ACTIONS    = 5; // custom actions on the transactions page
    const TOKEN_EXCHANGE              = 6; // supports javascript token-exchange from checkout process
    const TEST_MODE                      = 7; // whether the gateway supports a test/sandbox mode
    const MODIFY_REBILL_DATE          = 8;
    const REQUIRES_SERVERSIDE_CVV      = 9; // only relevant when token-exchange is in-use; prevents the cvv from being masked, and sends it to the site server for usage
    const TRANSACTION_METADATA_SEARCH = 10; //whether the gateway supports searching by transaction metadata
}
