<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 *
 *
 * MM_PaymentToken is a value-object meant to store a payment token representing credit card information
 * It extends MM_CardInfo so that the masked card number and expiration date can be utilized if needed
 *
 */
class MM_PaymentToken extends MM_CardInfo
{

    protected $token;


    public function __construct($paymentToken = "")
    {
        $this->token = $paymentToken;
    }


    public function getToken()
    {
        return $this->token;
    }


    public function setToken($token)
    {
        $this->token = $token;
    }


    public function validate()
    {
        if ($this->testCard) {
            //bypass validation to allow bogus values for testing
            return true;
        }

        $tokenError = "";
        if (empty($this->token)) {
            $tokenError .= "Payment information not supplied";
        }
        return (empty($tokenError)) ? true : $tokenError;
    }
}
