<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) Membermouse, LLC. All rights reserved.
 * 
 * The MM_MemberMouseEventListener is implemented by payment services (or potentially other objects) that are designed to receive information about events when things 
 * happen in MemberMouse. This is not a true event-driven model, because a component will have to specifically be called to generate the events
 * that implementors will be interested in.
 *
 */

interface MM_MemberMouseEventListener
{

    //these constants represent the event types

    const PRODUCT_ADDED    = 1;
    const PRODUCT_REMOVED  = 2;
    const PRODUCT_UPDATED  = 3;
    const COUPON_ADDED     = 4;
    const COUPON_REMOVED   = 5;
    const COUPON_UPDATED   = 6;

    /**
     * Called when a new product is added to MemberMouse. 
     * @param $eventType integer A constant representing the event type, as defined in MM_MemberMouseEventListener
     * @param $eventData mixed The data that is attached to the event 
     */
    public function eventReceived($eventType, $eventData);
}
