<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_ReportDatagridModel extends MM_AbstractReportDataModel
{
    public static $BLANK_ROW = "blank_row";
    protected $columnHeaders = array();
    protected $rows = array();
    protected $options = array();


    public function setColumnHeadersFromArray($headerArray = array())
    {
        foreach ($headerArray as $columnName => $headerInfo) {
            $this->addColumnHeader($columnName, $headerInfo);
        }
    }


    public function addColumnHeader($columnName, $columnDefinitions)
    {
        $this->columnHeaders[$columnName] = $columnDefinitions + array("sortable" => true);
    }


    public function removeColumnHeader($columnName)
    {
        if (isset($this->columnHeaders[$columnName])) {
            unset($this->columnHeaders[$columnName]);
        }
    }


    public function addRow($rowData, $expandedContent = "", $expandOnLoad = false)
    {
        if (is_array($rowData)) {
            $newRow = array("data" => $rowData);
            if (!empty($expandedContent)) {
                $newRow['expandedContent'] = $expandedContent;
                $newRow['expandOnLoad'] = $expandOnLoad;
            }
            $this->rows[] = $newRow;
        }
    }


    public function addBlankRow()
    {
        $this->rows[] = array("data" => self::$BLANK_ROW);
    }


    public function getFilterableColumns()
    {
        $filterable = array();
        foreach ($this->columnHeaders as $k => $v) {
            if ($v["filterable"] == true) {
                $filterable[$k] = $v;
            }
        }
        return $filterable;
    }


    public function getColumns()
    {
        return $this->columnHeaders;
    }


    public function getRows()
    {
        return $this->rows;
    }


    public function getNumRows()
    {
        return is_array($this->rows) ? count($this->rows) : 0;
    }
}
