<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_ReportPieChart extends MM_ReportVisualElement
{

    protected $categoryField = "category";

    protected $valueField = "value";

    public static function getJavascriptDependencies()
    {
        return array(
            MM_PLUGIN_URL . "/resources/js/amcharts/amcharts/amcharts.js",
            MM_PLUGIN_URL . "/resources/js/amcharts/amcharts/pie.js"
        );
    }


    public function render(MM_ReportCategoryValueModel $model = null)
    {

        if (!is_null($model)) {
            $this->setModel($model);
        }

        $output = "";
        if (!empty($this->container) && ($this->model instanceof MM_ReportCategoryValueModel)) {
            $jsonData = json_encode($this->model->getValues());
            /*
			$output .= "<script type='text/javascript'>\n";
			$output .= "jQuery(function() {\n";
			$output .= "var {$this->container}_data = {$jsonData};\n";
			$output .= "var {$this->container}_chart = new AmCharts.AmPieChart();\n";
			$output .= "{$this->container}_chart.titleField = '{$this->categoryField}';\n";
			$output .= "{$this->container}_chart.valueField = '{$this->valueField}';\n";
			$output .= "{$this->container}_chart.dataProvider = {$this->container}_data;\n";
			$output .= "{$this->container}_chart.outlineColor = '#FFFFFF';\n";
			$output .= "{$this->container}_chart.outlineAlpha = 0.8;\n";
			$output .= "{$this->container}_chart.outlineThickness = 2;\n";
			$output .= "{$this->container}_chart.depth3D = 15;\n";
			$output .= "{$this->container}_chart.angle = 30;\n";
			$output .= "{$this->container}_chart.write('{$this->container}');\n";
			$output .= "});";
			$output .= "</script>\n";
			*/
            $output .= "<script type='text/javascript'>\n";
            $output .= "jQuery(function() {\n";
            $output .= "var {$this->container}_chart = AmCharts.makeChart('{$this->container}', {\n";
            $output .= "'type': 'pie',\n";
            $output .= "'pathToImages': '" . MM_PLUGIN_URL . "/resources/js/amcharts/amcharts/images/',\n";
            $output .= "'angle': 12,\n";
            //$output .= "'balloonText': '[[title]]<br><span style='font-size:14px'><b>[[value]]</b> ([[percents]]%)</span>',\n";
            $output .= "'depth3D': 15,\n";
            $output .= "'titleField': '{$this->categoryField}',\n";
            $output .= "'valueField': '{$this->valueField}',\n";
            $output .= "'allLabels': [],\n";
            $output .= "'balloon': {},\n";
            $output .= "'legend': {\n";
            $output .= "'align': 'center',\n";
            $output .= "'markerType': 'circle'\n";
            $output .= "},\n";
            $output .= "'titles': [],\n";
            $output .= "'dataProvider': {$jsonData}\n";
            $output .= "});\n";
            $output .= "});\n";
            $output .= "</script>\n";
        }
        return $output;
    }


    public static function createFromTopResults($elementIdentifier, $categoryField, $valueField, $numRecords, MM_ReportResponse $resultObject, $directives = array())
    {
        if (!MM_ReportResponse::isSuccess($resultObject)) {
            return null;
        }
        $pie = new MM_ReportPieChart($elementIdentifier, $directives);

        //create and configure the data model
        $model = MM_ReportCategoryValueModel::createFromTopResults($resultObject->message, $categoryField, $valueField, $numRecords);
        $pie->setModel($model);
        return $pie;
    }


    public function getCategoryField()
    {
        return $this->categoryField;
    }


    public function setCategoryField($categoryField)
    {
        $this->categoryField = $categoryField;
    }


    public function getValueField()
    {
        return $this->valueField;
    }


    public function setValueField($valueField)
    {
        $this->valueField = $valueField;
    }
}
