<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_CountryUtils
{
    public static function getFullCountryList()
    {
        global $wpdb;

        $sql = "SELECT iso, printable_name from " . MM_TABLE_COUNTRIES . " order by printable_name asc";
        $results = $wpdb->get_results($sql, OBJECT_K);
        $list = array();

        foreach ($results as $iso => $row) {
            $list[$iso] = $row->printable_name;
        }

        return $list;
    }

    /**
     * This returns only those countries which have been marked for use in the MM configuration
     */
    public static function getCountryList()
    {
        global $wpdb;

        $sql = "SELECT iso, printable_name from " . MM_TABLE_COUNTRIES . " order by printable_name asc";
        $results = $wpdb->get_results($sql, OBJECT_K);
        $list = array();
        $selectedCountries = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_COUNTRY_SELECTIONS);

        // if there are no selected countries defined then add all countries by default
        if (empty($selectedCountries) || count($selectedCountries) == 0) {
            $selectedCountries = array();

            foreach ($results as $iso => $row) {
                $selectedCountries[$iso] = $iso;
            }

            MM_OptionUtils::setDefaultValue(MM_OptionUtils::$OPTION_KEY_COUNTRY_SELECTIONS, $selectedCountries);
        }

        foreach ($results as $iso => $row) {
            if (in_array($iso, $selectedCountries)) {
                $list[$iso] = $row->printable_name;
            }
        }

        return $list;
    }

    public static function getCountryName($isoCode)
    {
        global $wpdb;

        $sql = "SELECT printable_name from " . MM_TABLE_COUNTRIES . " where iso = '{$isoCode}' limit 1;";
        $row = $wpdb->get_row($sql);

        if (isset($row->printable_name)) {
            return $row->printable_name;
        } else {
            return $isoCode;
        }
    }

    public static function convertISO3($iso3Code)
    {
        global $wpdb;

        $sql = "SELECT iso from " . MM_TABLE_COUNTRIES . " where iso3 = '{$iso3Code}' limit 1;";
        $row = $wpdb->get_row($sql);

        if (isset($row->iso)) {
            return $row->iso;
        }

        return $iso3Code;
    }
}
