<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_SupportUtils
{
    public static function hasEmailSupport()
    {
        if (MM_MemberMouseService::hasPermission(MM_MemberMouseService::$SUPPORT_EMAIL)) {
            return true;
        }
        return false;
    }

    public static function hasPhoneSupport()
    {
        if (MM_MemberMouseService::hasPermission(MM_MemberMouseService::$SUPPORT_PHONE)) {
            return true;
        }
        return false;
    }

    public static function getSupportPin()
    {
        //TODO: Check for obsolescence
        $pin = "";

        if (self::hasPhoneSupport()) {
            $pin .= "P";
        }

        if (self::hasEmailSupport()) {
            $pin .= "E";
        }

        $license = new MM_License();

        if (!$license->isUnlicensed()) {
            $pin .= $license->getId();
            return $pin;
        } else {
            return "";
        }
    }

    public static function supportMenuItem($module)
    {
        $url = "https://membermouse.com";
        $moduleFound = false;

        switch ($module) {
            case MM_MODULE_API:
                $url .= "/?s=api&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_PUSH_NOTIFICATIONS:
                $url .= "/?s=push+notifications&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_WORDPRESS_HOOKS:
                $url .= "/?s=wordpress+hooks&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_PHP_INTERFACE:
                $url .= "/?s=php+interface&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_PAYMENT_METHODS:
                $url .= "/?s=payment+methods&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_TEST_DATA:
                $url .= "/?s=test+data&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_CHECKOUT_OTHER_SETTINGS:
                $url .= "/?s=checkout+settings&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_CANCELLATION_METHOD:
                $url .= "/?s=cancellation+method&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_REMINDERS:
                $url .= "/?s=reminders&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_LIMELIGHT_PRODUCTS:
            case MM_MODULE_LIMELIGHT_SHIPPING_METHODS:
                $url .= "/?s=sticky.io&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_AFFILIATE_INTEGRATION:
                $url .= "/?s=affiliate+integration&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_COMMISSION_PROFILES:
                $url .= "/?s=commission+profiles&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_AFFILIATE_TRACKING:
                $url .= "/?s=affiliate+tracking&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_EMAIL_INTEGRATION:
                $url .= "/?s=email+integration&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_EMAIL_TEMPLATES:
                $url .= "/?s=email+templates&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_MEMBERSHIP_LEVELS:
                $url .= "/?s=membership+levels&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_BUNDLES:
                $url .= "/?s=bundles&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_PRODUCTS:
                $url .= "/?s=products&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_COUPONS:
                $url .= "/?s=coupons&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_CUSTOM_FIELDS:
                $url .= "/?s=custom+fields&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_COUNTRIES:
                $url .= "/?s=countries&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_SHIPPING:
                $url .= "/?s=shipping+methods&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_FREE_MEMBER_FORM:
                $url .= "/?s=free+member+webform&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_LOGIN_FORM:
                $url .= "/?s=login+webform&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_LOGS:
                $url .= "/?s=log&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_ACTIVITY_LOG:
            case MM_MODULE_MEMBER_DETAILS_ACTIVITY_LOG:
                $moduleFound = true;
                $url .= "/?s=activity+log&ht-kb-search=1";
                break;

            case MM_MODULE_PAYPAL_IPN_LOG:
                $url .= "/?s=paypal+ipn+log&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_EMPLOYEES:
                $url .= "/?s=employee&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_DRIP_CONTENT_SCHEDULE:
                $url .= "/?s=drip+content+schedule&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_MEMBER_DETAILS_GENERAL:
                $url .= "/?s=member+details&ht-kb-search=1";
                $moduleFound = true;
                break;


            case MM_MODULE_MEMBER_DETAILS_ACCESS_RIGHTS:
                $url .= "/?s=access+rights&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_MEMBER_DETAILS_SUBSCRIPTIONS:
                $url .= "/?s=subscriptions&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_MEMBER_DETAILS_TRANSACTION_HISTORY:
                $url .= "/?s=transactions&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_MEMBER_DETAILS_GIFT_HISTORY:
                $url .= "/?s=gift&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_MEMBER_DETAILS_CUSTOM_FIELDS:
                $url .= "/?s=custom+fields&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_IMPORT_WIZARD:
                $url .= "/?s=import+wizard&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_USER_DEFINED_PAGES:
                $url .= "/?s=user+defined+pages&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_SAFE_MODE:
                $url .= "/?s=safe+mode&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_DUPLICATE_SUBSCRIPTION_TOOL:
                $url .= "/?s=duplicate+subscriptions&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_CAPTCHA:
                $url .= "/?s=captcha&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_EXTENSIONS:
                $url .= "/?s=extensions&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_OTHER_SETTINGS:
                $url .= "/?s=general+settings&ht-kb-search=1";
                $moduleFound = true;
                break;

            case MM_MODULE_VERSION_HISTORY:
            case MM_MODULE_REPAIR_INSTALL:
                break;
        }

        if (!$moduleFound) {
            $url = "https://membermouse.com/docs";
        }

        echo '<li class="dropdown right">';

        printf(
            '<a href="%1$s" target="_blank"><i class="fa fa-support"></i> %2$s</a>',
            $url,
            __('Need help?', 'membermouse')
        );

        if (self::hasEmailSupport() || self::hasPhoneSupport()) {
            echo '<ul>';

            printf(
                '<li><a href="%1$s" target="_blank"><i class="fa fa-video-camera"></i> %2$s</a></li>',
                $url,
                __('Related Videos & Articles', 'membermouse')
            );

            if (self::hasEmailSupport()) {
                printf(
                    '<li><a href="%1$s" target="_blank"><i class="fa fa-envelope"></i> %2$s</a></li>',
                    'https://membermouse.com/resource/submit-a-new-support-ticket',
                    __('Contact Support', 'membermouse')
                );
            }

            echo '</ul>';
        }

        echo '</li>';
    }
}
