<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_ActivityLogView extends MM_RBACGeneralEmployeeView
{

    public function __construct()
    {
        parent::__construct();
    }

    public static $MM_JSACTION_SEARCH = "search";

    public function performAction($post)
    {
        $response = parent::performAction($post);

        if (!($response instanceof MM_Response)) {
            switch ($post[self::$MM_JSACTION]) {
                case self::$MM_JSACTION_SEARCH:
                    return $this->generateDataGrid($post);

                default:
                    return new MM_Response($response);
            }
        } else {
            return $response;
        }
    }

    public function generateDataGrid($post = null)
    {
        return MM_TEMPLATE::generate(MM_MODULES . "/activity_log.datagrid.php", $post);
    }

    public function getViewData($post, MM_DataGrid $dg)
    {
        global $wpdb;

        $whereClause = array();

        if (!empty($post["member_id"])) {
            array_push($whereClause, "(user_id='{$post["member_id"]}')");
        }

        if (!empty($post["event_type"])) {
            array_push($whereClause, "(event_type='{$post["event_type"]}')");
        }

        if (!empty($post["from_date"])) {
            $fromDate = MM_Utils::dateToUTC($post['from_date'], "Y-m-d", "00:00:00");
            array_push($whereClause, "(date_added >= '{$fromDate}')");

            if (!empty($post["to_date"])) {
                $toDate = MM_Utils::dateToUTC($post['to_date'], "Y-m-d", "23:59:59");
                array_push($whereClause, "(date_added <= '{$toDate}')");
            }
        }

        $whereClause = join(" AND ", $whereClause);

        return parent::getData(MM_TABLE_EVENT_LOG, null, $dg, $whereClause);
    }
}
