<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_CaptchaIPNLogView extends MM_RBACGeneralEmployeeView
{
    public function __construct()
    {
        parent::__construct();
    }

    public static $MM_JSACTION_SEARCH = "search";

    public function performAction($post)
    {
        $response = parent::performAction($post);

        if (!($response instanceof MM_Response)) {
            switch ($post[self::$MM_JSACTION]) {
                case self::$MM_JSACTION_SEARCH:
                    return $this->generateDataGrid($post);

                default:
                    return new MM_Response($response);
            }
        } else {
            return $response;
        }
    }

    public function generateDataGrid($post = null)
    {
        return MM_TEMPLATE::generate(MM_MODULES . "/captcha_ipn_log.datagrid.php", $post);
    }

    public function getViewData($post, MM_DataGrid $dg)
    {
        $whereClause = array();

        if (!empty($post["score_val"]) && is_numeric($post["score_val"]) && (floatval($post["score_val"]) >= 0) && floatval($post["score_val"]) <= 1) {
            if (!empty($post["score_operation"])) {
                array_push($whereClause, "(score" . $post["score_operation"] . "'" . floatval($post["score_val"]) . "')");
            }
        }

        if (!empty($post["pass_fail"])) {
            if ($post["pass_fail"] == "pass") {
                array_push($whereClause, "(is_accepted='1')");
            } else if ($post["pass_fail"] == "fail") {
                array_push($whereClause, "(is_accepted='0')");
            }
        }

        if (!empty($post["from_date"])) {
            $fromDate = MM_Utils::dateToUTC($post['from_date'], "Y-m-d", "00:00:00");
            array_push($whereClause, "(date_added >= '{$fromDate}')");

            if (!empty($post["to_date"])) {
                $toDate = MM_Utils::dateToUTC($post['to_date'], "Y-m-d", "23:59:59");
                array_push($whereClause, "(date_added <= '{$toDate}')");
            }
        }

        $whereClause = join(" AND ", $whereClause);
        $fields = array('id', 'date_added', 'is_accepted', 'score', 'action_name', 'checkout_url', 'ip_address', 'first_name', 'last_name', 'email', 'raw_response');
        return parent::getData(MM_TABLE_CAPTCHA_LOG, $fields, $dg, $whereClause);
    }
}
