<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_ProtectedContentView
{

    public function postPublishingBox($post)
    {
        $info = new stdClass();

        ///initialization
        $info->existing_access_rights = "";
        $info->protected_categories = "";
        $info->existing_corepage_features = "";
        $info->mm_core_pages_meta_style = "";
        $info->mm_protected_category_meta = "display:none;";
        $info->is_free = 'paid';

        if (!isset($post->post_type)) {
            $post->post_type = null;
        }

        if (!MM_AccessRightsView::isPage($post->post_type)) {
            $info->mm_core_pages_meta_style = "display: none;";
        } else {
            ///// setup core page dropdown
            $default_pages = MM_CorePage::getDefaultPages();
            $defaultPageProperties = null;
            if (MM_CorePage::isDefaultCorePage($post->ID)) {
                $defaultPageProperties = MM_CorePage::getDefaultCorePageSettingsById($post->ID);
            }

            $pages = array();
            foreach ($default_pages as $row) {
                if (isset($defaultPageProperties->core_page_type_id) && intval($defaultPageProperties->core_page_type_id) > 0 && $row->id == $defaultPageProperties->core_page_type_id) {
                    $pages[$row->id] = $row->name;
                } else if (MM_CorePage::isAvailable($row->id, $post->ID)) {
                    $pages[$row->id] = $row->name;
                }
            }

            $page_settings = MM_CorePage::getCorePageSettingsByPageID($post->ID);
            $corePageTypeId = array();
            if (is_array($page_settings)) {
                if (count($page_settings) == 1) {
                    $page_setting = $page_settings[0];
                    $corePageTypeId = $page_setting->core_page_type_id;

                    $default = MM_CorePage::getDefaultCorePageByType($corePageTypeId);

                    if (($default != null) && ($default->page_id == $post->ID)) {
                        $info->default_icon = MM_Utils::getDefaultFlag(__("Default Core Page", "membermouse"), "", true, 'margin-right:5px;');
                    }
                } else if (count($page_settings) > 1) {
                    foreach ($page_settings as $setting) {
                        $corePageTypeId = $setting->core_page_type_id;
                    }
                    $default = MM_CorePage::getDefaultCorePageByType($corePageTypeId);
                    if (isset($post->ID) && isset($default->page_id)) {
                        if ($default->page_id == $post->ID) {
                            $info->default_icon = MM_Utils::getDefaultFlag(__("Default Core Page", "membermouse"), "", true, 'margin-right:5px;');
                        }
                    }
                }
            }

            if ($corePageTypeId == MM_CorePageType::$FREE_CONFIRMATION) {
                $corePageTypeId = MM_CorePageType::$PAID_CONFIRMATION;
                $info->is_free = 'free';
            }

            $info->corePageTypeId = $corePageTypeId;
            $info->existing_corepage_features = MM_HtmlUtils::generateSelectionsList($pages, $corePageTypeId);
        }

        // grab some data for access rights
        $pc = new MM_ProtectedContentEngine();
        $rows = $pc->getPostAccessRights($post->ID);

        foreach ($rows as $row) {
            $row->edit_icon = MM_Utils::getIcon('pencil', 'yellow', '1.3em', '2px');

            if ($row->access_type == "member_type") {
                $row->type_icon = MM_Utils::getAccessIcon(MM_OrderItemAccess::$ACCESS_TYPE_MEMBERSHIP);
            } else {
                $row->type_icon = MM_Utils::getAccessIcon(MM_OrderItemAccess::$ACCESS_TYPE_BUNDLE);
            }

            $row->delete_icon = MM_Utils::getIcon('trash-o', 'red', '1.3em', '2px');

            $info->existing_access_rights .= MM_TEMPLATE::generate(MM_TEMPLATE_META . "/accessrow.html.php", $row);
        }

        // add protected categories
        $categories = get_the_category($post->ID);

        if (is_array($categories) && count($categories) > 0) {
            global $wpdb;
            $categoryIds = array();

            foreach ($categories as $category) {
                $memberships = array();
                $bundles = array();

                // check membership levels
                $sql = "SELECT memberships.id, memberships.name FROM " . MM_TABLE_MEMBERSHIP_LEVEL_CATEGORIES . " as categories, ";
                $sql .= MM_TABLE_MEMBERSHIP_LEVELS . " as memberships WHERE categories.category_id = '{$category->term_id}' ";
                $sql .= "AND categories.membership_level_id = memberships.id ORDER BY memberships.name ASC;";
                $results = $wpdb->get_results($sql);

                if ($results) {
                    foreach ($results as $row) {
                        $memberships[$row->id] = $row->name;
                    }
                }

                // check bundles
                $sql = "SELECT bundles.id, bundles.name FROM " . MM_TABLE_BUNDLE_CATEGORIES . " as categories, ";
                $sql .= MM_TABLE_BUNDLES . " as bundles WHERE categories.category_id = '{$category->term_id}' ";
                $sql .= "AND categories.bundle_id = bundles.id ORDER BY bundles.name ASC;";
                $results = $wpdb->get_results($sql);

                if ($results) {
                    foreach ($results as $row) {
                        $bundles[$row->id] = $row->name;
                    }
                }

                if (count($memberships) > 0 || count($bundles) > 0) {
                    $info->mm_protected_category_meta = "";

                    $info->protected_categories .= "<div style=\"font-size:12px; line-height:22px; margin-bottom:10px;\">";
                    $info->protected_categories .= MM_Utils::getIcon('bookmark', 'turq', '1.3em', '2px');
                    $info->protected_categories .= " <strong>{$category->name}</strong><br/>";
                    $edit_text = __("Edit", "membermouse");

                    foreach ($memberships as $id => $name) {
                        $url = MM_ModuleUtils::getUrl(MM_MODULE_PRODUCT_SETTINGS, MM_MODULE_MEMBERSHIP_LEVELS) . "&autoload=" . $id;
                        $info->protected_categories .= MM_Utils::getAccessIcon(MM_OrderItemAccess::$ACCESS_TYPE_MEMBERSHIP, '', 'margin-left:20px;');
                        $info->protected_categories .= " " . MM_Utils::abbrevString($name, 25);
                        $info->protected_categories .= "<span style='float:right;'><a href='{$url}' title='{$edit_text} {$name}' target='_blank'>" . MM_Utils::getIcon('pencil', 'yellow', '1.3em', '2px') . "</a></span><br/>";
                    }

                    foreach ($bundles as $id => $name) {
                        $url = MM_ModuleUtils::getUrl(MM_MODULE_PRODUCT_SETTINGS, MM_MODULE_BUNDLES) . "&autoload=" . $id;
                        $info->protected_categories .= MM_Utils::getAccessIcon(MM_OrderItemAccess::$ACCESS_TYPE_BUNDLE, '', 'margin-left:20px;');
                        $info->protected_categories .= " " . MM_Utils::abbrevString($name, 25) . "</span> ";
                        $info->protected_categories .= "<span style='float:right;'><a href='{$url}' title='{$edit_text} {$name}' target='_blank'>" . MM_Utils::getIcon('pencil', 'yellow', '1.3em', '2px') . "</a></span><br/>";
                    }

                    $info->protected_categories .= "</div>";
                    $info->protected_categories .= "<div class=\"clear\"></div>";
                }
            }
        }

        // Not using MM_Response because this is not a AJAX response.
        echo MM_TEMPLATE::generate(MM_MODULES . "/page_meta.php", $info);
    }
}
