<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_ResetPasswordFormView extends MM_View
{
    public static $MM_NONCE_ACTION_RESET_PASSWORD_FORM     = "mm-reset-password";
    public static $MM_NONCE_NAME_RESET_PASSWORD_FORM       = "mm-security";
    public static $MM_PARAM_KEY_KEY                           = "k";
    public static $MM_PARAM_KEY_EMAIL                           = "e";

    public function __construct()
    {
        parent::__construct();
    }

    public function performAction($post)
    {
        $response = parent::performAction($post);

        if (!($response instanceof MM_Response)) {
            switch ($post[self::$MM_JSACTION]) {
                case self::$MM_JSACTION_RESET_PASSWORD:
                    return $this->resetPassword($post);

                default:
                    return new MM_Response($response);
            }
        } else {
            return $response;
        }
    }

    public function resetPassword($post)
    {
        $MM_Response = "";

        try {
            $result = MM_ResetPasswordForm::checkInput();

            if ($result['success'] === false) {
                throw new Exception($result['message']);
            }

            $member        = $result['member'];
            $pwd         = trim($post['pwd']);
            $pwd_confirm = trim($post['pwd_confirm']);

            if (($pwd == $pwd_confirm) === false) {
                throw new Exception(__("Passwords must match, please try again...", "membermouse"));
            }

            $response = $member->resetPassword($pwd);

            if (MM_Response::isError($response)) {
                throw new Exception($response->message);
            }

            MM_Session::clear(MM_Session::$KEY_LAST_USER_ID);
            MM_Messages::addMessage(__("Password has successfully been reset, you may now login with your new password", "membermouse"));

            $MM_Response = new MM_Response();
            $MM_Response->data['redirect_to'] = MM_CorePageEngine::getUrl(MM_CorePageType::$LOGIN_PAGE);
        } catch (Exception $e) {
            $MM_Response = new MM_Response($e->getMessage(), MM_Response::$ERROR);
        }

        return $MM_Response;
    }


    public function canCallMethod($request)
    {
        return ($request[self::$MM_JSACTION] == self::$MM_JSACTION_RESET_PASSWORD);
    }
}
