<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) Membermouse, LLC. All rights reserved.
 *
 */

class MM_ShippingMethodsView extends MM_RBACAdminView
{

    public function __construct()
    {
        parent::__construct();
    }

    public function performAction($post)
    {
        $response = parent::performAction($post);

        if (!($response instanceof MM_Response)) {
            switch ($post[self::$MM_JSACTION]) {
                case self::$MM_JSACTION_SAVE:
                    return $this->saveShippingOption($post);

                case self::$MM_JSACTION_REMOVE:
                    return $this->removeShippingOption($post);
                default:
                    return new MM_Response($response);
            }
        } else {
            return $response;
        }
    }


    public function saveShippingOption($post)
    {
        if (!isset($post["mm_id"])) {
            return new MM_Response(__("ID is required.", "membermouse"), MM_Response::$ERROR);
        }

        if (empty($post["mm_name"])) {
            return new MM_Response(__("Name is required.", "membermouse"), MM_Response::$ERROR);
        }

        if (!isset($post["mm_rate"]) || !is_numeric($post["mm_rate"])) {
            return new MM_Response(__("Rate is required.", "membermouse"), MM_Response::$ERROR);
        }

        $shippingMethod = new MM_FlatRateShippingMethod();
        if (empty($post["mm_id"])) {
            return $shippingMethod->addOption($post["mm_name"], $post["mm_rate"]);
        } else {
            return $shippingMethod->updateOption($post["mm_name"], $post["mm_rate"], $post["mm_id"]);
        }
    }


    public function removeShippingOption($post)
    {
        if (!isset($post["id"]) || !is_numeric($post["id"])) {
            return new MM_Response(__("ID is required.", "membermouse"), MM_Response::$ERROR);
        }

        $flatRateMethod = new MM_FlatRateShippingMethod();
        return $flatRateMethod->deleteOption($post["id"]);
    }


    public function getViewData(MM_DataGrid $dg)
    {
        global $wpdb;

        $rows = parent::getData(MM_TABLE_FLATRATE_SHIPPING_OPTIONS, null, $dg);
        return $rows;
    }
}
