<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_SocialLoginView extends MM_View
{
    public function __construct()
    {
        parent::__construct();
    }

    public function performAction($post)
    {
        $response = parent::performAction($post);

        if (!($response instanceof MM_Response)) {
            switch ($post[self::$MM_JSACTION]) {
                default:
                    return new MM_Response($response);
            }
        } else {
            return $response;
        }
    }

    public function getViewData($userId, MM_DataGrid $dg = null)
    {
        $results = MM_AbstractSocialLoginExtension::getLinkedSocialMediaAccountsForUser($userId);
        return $results;
    }

    public function generateRows($data, $renderForAdmin = true)
    {
        //columns are: Network (provider), Account Name, and Action
        $myaccountUrl = MM_CorePageEngine::getUrl(MM_CorePageType::$MY_ACCOUNT, null);
        $rows = array();

        foreach ($data as $linkedAccount) {
            $provider = MM_ExtensionsFactory::getExtension($linkedAccount->token);
            $providerName = (!is_null($provider)) ? $provider->getProviderName() : $linkedAccount->name;

            switch (strtolower($linkedAccount->token)) {
                case strtolower(MM_Extension::$LINKEDIN_LOGIN_TOKEN):
                    $providerImage = MM_Utils::getIcon('linkedin-square', 'blue', '1.5em', '2px');
                    break;

                case strtolower(MM_Extension::$FACEBOOK_LOGIN_TOKEN):
                    $providerImage = MM_Utils::getIcon('facebook-square', 'blue', '1.5em', '2px');
                    break;

                case strtolower(MM_Extension::$GOOGLE_LOGIN_TOKEN):
                    $providerImage = MM_Utils::getIcon('google', 'black', '1.5em', '3px');
                    break;

                case strtolower(MM_Extension::$TWITTER_LOGIN_TOKEN):
                    $providerImage = MM_Utils::getIcon('twitter', 'light-blue', '1.5em', '2px');
                    break;
            }

            $crntRow = array(
                array('content' => "{$providerImage} {$providerName}"),
                array('content' => $linkedAccount->unique_id)
            );

            if (!$renderForAdmin) {
                $actions = "";
                if ($linkedAccount->removable == 1) {
                    $actions .= "<a href=\"javascript:myaccount_js.unlinkSocialNetwork('{$linkedAccount->id}','{$linkedAccount->user_id}');\">" . __("Delete", "membermouse") . "</a> ";
                } else {
                    $actions .= "<a href=\"javascript:myaccount_js.changeLinkedSocialNetwork('{$linkedAccount->id}','{$myaccountUrl}');\">" . __("Change", "membermouse") . "</a> ";
                }
                $crntRow[] = array('content' => $actions, "attr" => "nowrap");
            }

            $rows[] = $crntRow;
        }

        return $rows;
    }
}
