<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
class MM_TrainingVideosView extends MM_RBACAdminView
{

    public function __construct()
    {
        parent::__construct();
    }

    public function performAction($post)
    {
        $response = parent::performAction($post);

        if (!($response instanceof MM_Response)) {
            switch ($post[self::$MM_JSACTION]) {
                default:
                    return new MM_Response($response, MM_Response::$SUCCESS, true);
            }
        } else {
            return $response;
        }
    }


    public static function displayVideos()
    {
?>
        <script type="text/javascript">
            function displayTrainingVideo(element) {
                let videoSource = jQuery(element).data("src");
                let iFrameBegin = '<iframe type="text/html" width="800" height="450" allowfullscreen="allowfullscreen" frameborder="0" src="';
                let iFrameEnd = '?autoplay=1&controls=1&disablekb=0&fs=1&rel=0"></iframe>';

                jQuery.blockUI({
                    message: iFrameBegin + videoSource + iFrameEnd,
                    css: {
                        top: (jQuery(window).height() - 450) / 2 + 'px',
                        left: (jQuery(window).width() - 800) / 2 + 'px',
                        width: '800px'
                    }
                });

                jQuery('.blockOverlay').attr('title', 'Click to unblock').click(jQuery.unblockUI);
            }
        </script>
        <div class="mm-metric-row">
            <div class="mm-metric-container mm-metric-container-33 mm-center">
                <a onclick="displayTrainingVideo(this)" data-src="https://www.youtube.com/embed/3AE596l4hzk">
                    <img
                        src="https://membermouse.com/assets/knowledge/training-sm-plugin-tour.jpg"
                        alt="Quick Tour of MemberMouse">
                </a>
            </div>
            <div class="mm-metric-container mm-metric-container-33 mm-center">
                <a onclick="displayTrainingVideo(this)" data-src="https://www.youtube.com/embed/32XnUmjTgP0">
                    <img
                        src="https://membermouse.com/assets/knowledge/training-sm-products.jpg"
                        alt="Mastering Products, Bundles, and Memberships">
                </a>
            </div>
            <div class="mm-metric-container mm-metric-container-33 mm-center">
                <a onclick="displayTrainingVideo(this)" data-src="https://www.youtube.com/embed/1ul8kJHGSJg">
                    <img
                        src="https://membermouse.com/assets/knowledge/training-sm-integrations.jpg"
                        alt="Mastering Email and Payment Integrations">
                </a>
            </div>
        </div>
        <br>
        <div class="mm-metric-row">
            <div class="mm-metric-container mm-metric-container-33 mm-center">
                <a onclick="displayTrainingVideo(this)" data-src="https://www.youtube.com/embed/pAtILFGbWVc">
                    <img
                        src="https://membermouse.com/assets/knowledge/training-sm-core-pages.jpg"
                        alt="Mastering Core Pages">
                </a>
            </div>
            <div class="mm-metric-container mm-metric-container-33 mm-center">
                <a onclick="displayTrainingVideo(this)" data-src="https://www.youtube.com/embed/Y3xBN_c5KNs">
                    <img
                        src="https://membermouse.com/assets/knowledge/how-to-master-member-management-sm.jpg"
                        alt="Mastering Member Management">
                </a>
            </div>
            <div class="mm-metric-container mm-metric-container-33 mm-center">
                <a onclick="displayTrainingVideo(this)" data-src="https://www.youtube.com/embed/xuu6DFRJQcM">
                    <img
                        src="https://membermouse.com/assets/knowledge/training-sm-smart-tags.jpg"
                        alt="Mastering SmartTags">
                </a>
            </div>
        </div>
        <br>
        <div class="mm-metric-row">
            <div class="mm-metric-container mm-metric-container-33 mm-center">
                <a onclick="displayTrainingVideo(this)" data-src="https://www.youtube.com/embed/nHcMXWqb67A">
                    <img
                        src="https://membermouse.com/assets/knowledge/training-sm-push-notifications.jpg"
                        alt="Mastering Push Notifications">
                </a>
            </div>
        </div>
<?php
    }
}
?>