<?php
class MM_UserDefinedPageView extends MM_RBACGeneralEmployeeView
{

    public function __construct()
    {
        parent::__construct();
    }

    public function performAction($post)
    {
        $response = parent::performAction($post);

        if (!($response instanceof MM_Response)) {
            switch ($post[self::$MM_JSACTION]) {
                case self::$MM_JSACTION_SAVE:
                    return $this->saveUserDefinedPage($post);

                case self::$MM_JSACTION_REMOVE:
                    return $this->removeUserDefinedPage($post);

                default:
                    return new MM_Response($response);
            }
        } else {
            return $response;
        }
    }


    public function getViewData($dg)
    {
        global $wpdb;

        $rows = parent::getData(MM_TABLE_USER_DEFINED_PAGES, null, $dg);

        return $rows;
    }

    private function removeUserDefinedPage($post)
    {
        if (isset($post["id"])) {
            $id = (isset($post["id"])) ? $post["id"] : "0";
            $page = new MM_UserDefinedPage($id);
            $page->delete();
        }
        return new MM_Response();
    }

    private function saveUserDefinedPage($post)
    {

        $blankFields = array("mm_page_name", "mm_page_url");
        foreach ($blankFields as $field) {
            if ($post[$field] == "") {
                $message = sprintf(__('%s must be completed.', 'membermouse'), $field);
                return new MM_Response($message, MM_Response::$ERROR);
            }
        }

        $id = (isset($post["id"])) ? $post["id"] : "0";
        $udPage = new MM_UserDefinedPage($id);
        $udPage->setName($post["mm_page_name"]);
        $udPage->setUrl($post["mm_page_url"]);
        $ret = $udPage->commitData();
        if ($ret !== false) {
            return new MM_Response(__("User-defined page saved successfully.", "membermouse"));
        }
        return new MM_Response(__("Unable to save user-defined page.", "membermouse"), MM_Response::$ERROR);
    }
}
