<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 * 
 * MM_NonMemberObjectView contains functions common to the view for the products, membership levels, bundles, and coupons views
 * 
 */

trait MM_NonMemberObjectView
{
    protected function setActive($post, $entity)
    {
        if (!isset($post["id"]) || empty($post["id"])) {
            return new MM_Response("ID is required", MM_Response::$ERROR);
        }

        $entity->setId($post["id"]);
        $entity->getData();
        if ($entity->isValid()) {
            if (!$entity->isActive()) {
                $entity->setStatus(1);
                return $entity->commitData();
            }
            return new MM_Response();
        } else {
            $sanitizedID = htmlspecialchars($post["id"], ENT_COMPAT, "UTF-8");
            return new MM_Response("ID {$sanitizedID} not found", MM_Response::$ERROR);
        }
    }


    protected function setInactive($post, $entity)
    {
        if (!isset($post["id"]) || empty($post["id"])) {
            return new MM_Response("ID is required", MM_Response::$ERROR);
        }

        $entity->setId($post["id"]);
        $entity->getData();
        if ($entity->isValid()) {
            if ($entity->isActive()) {
                $entity->setStatus(0);
                return $entity->commitData();
            }
            return new MM_Response();
        } else {
            $sanitizedID = htmlspecialchars($post["id"], ENT_COMPAT, "UTF-8");
            return new MM_Response("ID {$sanitizedID} not found", MM_Response::$ERROR);
        }
    }
}
