<?php

/**
 * SmartTag Widget Class
 */
class MM_SmartWidget extends WP_Widget
{
    /** constructor */
    function __construct()
    {
        $widget_ops = array('classname' => 'mm_smartwidget', 'description' => __('Use this widget to use MemberMouse SmartTags around your site.', 'membermouse'));
        $control_options = array('height' => 500, 'width' => 600);
        parent::__construct(false, $name = __('MM SmartWidget', 'membermouse'), $widget_ops, $control_options);
    }

    /** @see WP_Widget::form */
    function form($instance)
    {
        // set default values
        $content = "";

        // set current values
        if (isset($instance['content'])) {
            $content = esc_attr($instance['content']);
        }
?>
        <p>
            <?php echo MM_SmartTagLibraryView::smartTagLibraryButtons($this->get_field_id('content')); ?>
            <span style="font-size:12px; color:#666666; margin-left:10px;"><?php _e('Enter any valid HTML, JavaScript and SmartTags below:', 'membermouse'); ?></span>
        </p>
        <p>
            <textarea class="widefat" cols="20" rows="16" style="font-family:courier; font-size:11px;" id="<?php echo $this->get_field_id('content'); ?>" name="<?php echo $this->get_field_name('content'); ?>"><?php echo $content; ?></textarea>
        </p>
<?php
    }

    /** @see WP_Widget::update */
    function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['content'] = $new_instance['content'];
        return $instance;
    }

    /** @see WP_Widget::widget */
    function widget($args, $instance)
    {
        extract($args);

        echo $before_widget;

        $context = new MM_Context();
        $content = MM_SmartTagUtil::processContent($instance["content"], $context);
        echo do_shortcode($content);

        echo $after_widget;
    }
}
