<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

if (!defined("BASE_DIR")) {
    define("BASE_DIR", dirname(dirname(__FILE__)) . "/api/");
}

class MM_ClassLoader
{

    private static function includeLocalFiles($className, $classFileName)
    {
        if (defined("MM_PLUGIN_ABSPATH")) {
            $lcfn = strtolower($classFileName);
            $filetypes = ["class.{$lcfn}.php", "interface.{$lcfn}.php", "trait.{$lcfn}.php"];

            $dirs = array();
            $dirs[] = "bootstrap";
            $dirs[] = "queue";
            $dirs[] = "lib";
            $dirs[] = "com/membermouse/esp/util";
            $dirs[] = "hooks";
            $dirs[] = "com/membermouse/service";
            $dirs[] = "com/membermouse/entity";
            $dirs[] = "com/membermouse/import";
            $dirs[] = "com/membermouse/view";
            $dirs[] = "com/membermouse/engine";
            $dirs[] = "com/membermouse/util";
            $dirs[] = "com/membermouse/esp";
            $dirs[] = "com/membermouse/esp/util";
            $dirs[] = "com/membermouse/esp/aweber";
            $dirs[] = "com/membermouse/shipping";
            $dirs[] = "com/membermouse/payment";
            $dirs[] = "com/membermouse/forms";
            $dirs[] = "com/membermouse/smarttags";
            $dirs[] = "com/membermouse/widgets";
            $dirs[] = "com/membermouse/orderrequest";
            $dirs[] = "com/membermouse/affiliate";
            $dirs[] = "com/membermouse/payment";
            $dirs[] = "com/membermouse/shipping";
            $dirs[] = "com/membermouse/scheduler";
            $dirs[] = "com/membermouse/extensions";
            $dirs[] = "com/membermouse/groundlevel";
            $dirs[] = "com/membermouse/reporting";
            $dirs[] = "com/membermouse/reporting/components";


            foreach ($dirs as $dir) {
                foreach ($filetypes as $lfn) {
                    $file = MM_PLUGIN_ABSPATH . "/{$dir}/{$lfn}";
                    if (file_exists($file)) {
                        require_once($file);
                        return true;
                    }
                }
            }
        }
        return false;
    }


    public static function load($className)
    {
        /** only try to load MemberMouse classes **/
        if (strpos($className, "MM_") !== 0) {
            return false;
        }
        $exclusions = array("MemberMouse");
        if (in_array($className, $exclusions)) {
            return false;
        }
        /** end exclusions **/

        $classFileName = str_replace("MM_", "", $className);

        // look locally
        if (self::includeLocalFiles($className, $classFileName)) {
            return true;
        }

        if (class_exists($className, false) || interface_exists($className, false) || trait_exists($className, false)) {
            return true;
        }

        return false;
    }
}
spl_autoload_register(array('MM_ClassLoader', 'load'));

require_once(MM_PLUGIN_ABSPATH . "/vendor-prefixed/autoload.php");
