<?php

namespace membermouse\resque;

use \Exception;
use ReflectionClass;

if (!defined('ABSPATH')) {
    die('You are not allowed to call this page directly.');
}

class JobFactory
{
    public static function fetch($class, $db = false)
    {
        if (!class_exists($class)) {
            throw new Exception(sprintf(__('Job class wasn\'t found for %s', 'membermouse'), $class));
        }

        $r = new ReflectionClass($class);
        $job = $r->newInstanceArgs(array($db));

        if (!($job instanceof Job)) {
            throw new Exception(sprintf(__('%s is not a valid job object.', 'membermouse'), $class));
        }

        return $job;
    }

    public static function paths()
    {
        $paths = apply_filters(SUB_PREFIX . 'job_paths', array(JOBS_PATH));
        return $paths;
    }
}
