<?php

namespace membermouse\resque;

use MM_ScheduledReminder;

if (!defined('ABSPATH')) {
    die('You are not allowed to call this page directly.');
}

class ScheduledReminderJob extends Job
{
    public function perform()
    {
        if (!isset($this->scheduled_reminder_id) || empty($this->scheduled_reminder_id)) {
            throw new \Exception(__('"scheduled_reminder_id" cannot be blank', 'membermouse'));
        }

        $scheduledReminder = new MM_ScheduledReminder($this->scheduled_reminder_id);

        if (($scheduledReminder->getStatus() == MM_ScheduledReminder::PROCESSING_STATUS) || ($scheduledReminder->getStatus() == MM_ScheduledReminder::PROCESSED_STATUS)) {
            //this reminder is either already processed or currently being processed, so return true to remove this job from the queue
            return true;
        }

        try {
            $scheduledReminder->dispatch();
            return true;
        } catch (\Exception $e) {
            //TODO: log that there was an exception (activity log?), do not trigger a retry
            throw new \Exception($e->getMessage());
        }
    }
}
