<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

$error = "";
if (isset($_POST[MM_OptionUtils::$OPTION_KEY_AFFILIATE_LIFESPAN])) {
    if (!MM_Utils::isGetParamAllowed($_POST[MM_OptionUtils::$OPTION_KEY_AFFILIATE])) {
        $error = sprintf(__('%s is a WordPress reserved keyword', 'membermouse'), $_POST[MM_OptionUtils::$OPTION_KEY_AFFILIATE]);
    }

    if (!MM_Utils::isGetParamAllowed($_POST[MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE])) {
        $error = sprintf(__('%s is a WordPress reserved keyword', 'membermouse'), $_POST[MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE]);
    }

    if (!empty($_POST[MM_OptionUtils::$OPTION_KEY_AFFILIATE_ALIAS])) {
        $affiliateAliases = explode(",", $_POST[MM_OptionUtils::$OPTION_KEY_AFFILIATE_ALIAS]);

        foreach ($affiliateAliases as $alias) {
            if (!MM_Utils::isGetParamAllowed(trim($alias))) {
                $error = sprintf(__('%s is a WordPress reserved keyword', 'membermouse'), $alias);
                break;
            }
        }
    }

    if (!empty($_POST[MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE_ALIAS])) {
        $affiliateAliases = explode(",", $_POST[MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE_ALIAS]);

        foreach ($affiliateAliases as $alias) {
            if (!MM_Utils::isGetParamAllowed(trim($alias))) {
                $error = sprintf(__('%s is a WordPress reserved keyword', 'membermouse'), $alias);
                break;
            }
        }
    }

    if (empty($error)) {
        MM_OptionUtils::setOption(MM_OptionUtils::$OPTION_KEY_AFFILIATE, $_POST[MM_OptionUtils::$OPTION_KEY_AFFILIATE]);
        MM_OptionUtils::setOption(MM_OptionUtils::$OPTION_KEY_AFFILIATE_ALIAS, $_POST[MM_OptionUtils::$OPTION_KEY_AFFILIATE_ALIAS]);
        MM_OptionUtils::setOption(MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE, $_POST[MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE]);
        MM_OptionUtils::setOption(MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE_ALIAS, $_POST[MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE_ALIAS]);
        MM_OptionUtils::setOption(MM_OptionUtils::$OPTION_KEY_AFFILIATE_LIFESPAN, $_POST[MM_OptionUtils::$OPTION_KEY_AFFILIATE_LIFESPAN]);
    } else {
        unset($_POST[MM_OptionUtils::$OPTION_KEY_AFFILIATE_LIFESPAN]);
    }
}

$affiliateId = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_AFFILIATE);
$affiliateIdAlias = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_AFFILIATE_ALIAS);
$subAffiliateId = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE);
$subAffiliateIdAlias = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE_ALIAS);
$lifespan = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_AFFILIATE_LIFESPAN);

if (!preg_match("/[0-9]+/", $lifespan)) {
    $lifespan = "1";
}

$aliasDescription = __("You can use aliases if there's more than one querystring parameter you want to be treated as an affiliate ID. When MemberMouse sees an alias parameter in the querystring it will store that value as the affiliate ID provided that an affiliate is not already set. If two or more affiliate parameters are passed at the same time they will be processed in alphabetical order and the first one is the ordered list will take precedence.", "membermouse");
?>

<form method='post'>
    <div class="mm-wrap">
        <div style="width:600px">

            <p><?php printf(__("Affiliate IDs and Sub-affiliate IDs are passed to your site via parameters appended to the end of the URL (read this article to %slearn more about creating affiliate links%s). Enter the parameter keywords below that you want to useto pass affiliate and sub-affiliate IDs to your site", "membermouse"), '<a href="https://membermouse.com/docs/create-an-affiliate-link" target="_blank">', '</a>'); ?>:</p>
        </div>
        <div id="mm-form-container" style="margin-top: 10px; margin-bottom: 15px;">
            <table>
                <?php
                $affiliateProvider = MM_AffiliateProviderFactory::getActiveProvider();
                if ($affiliateProvider->supportsFeature(MM_AffiliateProviderFeatures::DEFAULT_AFFILIATE_ID)) {
                    $affiliateProviderDescription = sprintf(__('This affiliate keyword is configured by default because %s is the currently active affiliate provider.', 'membermouse'), $affiliateProvider->getName());
                ?>
                    <tr>
                        <td>
                            <?php echo $affiliateProvider->getName(); ?> Keyword
                            <?php echo MM_Utils::getInfoIcon($affiliateProviderDescription, ""); ?>
                        </td>
                        <td>
                            <span style="font-family:courier;">
                                <?php echo $affiliateProvider->getAffiliateTrackingId(); ?>
                            </span>
                        </td>
                    </tr>
                    <tr>
                        <td style="height:5px;"></td>
                    </tr>
                <?php } ?>

                <tr>
                    <td width='150px'>
                        <?php _e("Affiliate Keyword", "membermouse"); ?>
                    </td>
                    <td>
                        <input type='text' name='<?php echo MM_OptionUtils::$OPTION_KEY_AFFILIATE; ?>' value='<?php echo $affiliateId; ?>' size='30' style="font-family:courier;" />
                    </td>
                </tr>
                <tr>
                    <td width='125px'>
                        <?php _e("Affiliate Keyword Aliases", "membermouse"); ?>
                    </td>
                    <td>
                        <input type='text' name='<?php echo MM_OptionUtils::$OPTION_KEY_AFFILIATE_ALIAS; ?>' value='<?php echo $affiliateIdAlias; ?>' size='30' style="font-family:courier;" />

                        <span style="margin-left:5px; color:#999;">
                            <?php echo MM_Utils::getInfoIcon($aliasDescription, ""); ?>
                            <em><?php _e("separate multiple aliases with commas", "membermouse"); ?></em>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td style="height:5px;"></td>
                </tr>
                <tr>
                    <td>
                        <?php _e("Sub-Affiliate Keyword", "membermouse"); ?>
                    </td>
                    <td>
                        <input type='text' name='<?php echo MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE; ?>' value='<?php echo $subAffiliateId; ?>' size='30' style="font-family:courier;" />
                    </td>
                </tr>
                <tr>
                    <td width='125px'>
                        <?php _e("Sub-Affiliate Keyword Aliases", "membermouse"); ?>
                    </td>
                    <td>
                        <input type='text' name='<?php echo MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE_ALIAS; ?>' value='<?php echo $subAffiliateIdAlias; ?>' size='30' style="font-family:courier;" />

                        <span style="margin-left:5px; color:#999;">
                            <?php echo MM_Utils::getInfoIcon($aliasDescription, ""); ?>
                            <em><?php _e("separate multiple aliases with commas", "membermouse"); ?></em>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td style="height:5px;"></td>
                </tr>
                <tr>
                    <td>
                        <?php _e("Lifespan", "membermouse"); ?>
                    </td>
                    <td>
                        <input type='text' style='width: 50px;' name='<?php echo MM_OptionUtils::$OPTION_KEY_AFFILIATE_LIFESPAN; ?>' value='<?php echo $lifespan; ?>' style="font-family:courier;" /> <?php _e("days", "membermouse"); ?>
                    </td>
                </tr>
            </table>
            <p><input type='submit' value='<?php _e("Save Settings", "membermouse"); ?>' class="mm-ui-button blue" /></p>
        </div>
    </div>
</form>

<script type='text/javascript'>
    <?php if (!empty($error)) { ?>
        alert('<?php echo $error; ?>');
    <?php  } ?>
</script>

<?php if (isset($_POST[MM_OptionUtils::$OPTION_KEY_AFFILIATE_LIFESPAN])) { ?>
    <script>
        alert("<?php _e("Settings saved successfully", "membermouse"); ?>");
    </script>
<?php } ?>