<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

$bundle = new MM_Bundle($p->accessTypeId);

function generatePurchaseSection($productId)
{
?>
    <div id="mm-purchaselinks-<?php echo $productId; ?>" style="display:none;">
        <p><strong><?php _e("Purchase Link SmartTag", "membermouse"); ?></strong><?php echo MM_Utils::getInfoIcon(__("You can use this Purchase Link SmartTag in any post or page on your site. When using this SmartTag MemberMouse will automatically generate a link customers can click on to purchase this bundle.", "membermouse")); ?></p>

        <?php $smartTag = "<a href=\"[MM_Purchase_Link productId='{$productId}']\">" . __("Buy Now", "membermouse") . "</a>" ?>
        <input id="mm-smart-tag-<?php echo $productId; ?>" type="text" readonly value="<?php echo htmlentities($smartTag, ENT_COMPAT | ENT_HTML401, "UTF-8"); ?>" style="width:440px; font-family:courier; font-size:11px;" onclick="jQuery('#mm-smart-tag-<?php echo $productId; ?>').focus(); jQuery('#mm-smart-tag-<?php echo $productId; ?>').select();" />

        <ul style="margin-left:20px;">
            <li>
                <?php printf(__('Set the %1$s attribute to %2$s to indicate that this purchase is a gift.', 'membermouse'), '<code>isGift</code>', '<code>true</code>'); ?>
            </li>
        </ul>
        <p style="margin-left:20px;">
            <?php printf(__('Read this article to %1$s learn more about the %2$s SmartTag %3$s.', 'membermouse'), '<a href="https://membermouse.com/docs/mm-purchase-link-smarttag" target="_blank">', '<code>MM_Purchase_Link</code>', '</a>'); ?>
        </p>

        <p><strong><?php _e("Static Link", "membermouse"); ?></strong><?php echo MM_Utils::getInfoIcon(__("You can use this link anywhere -- in a PPC or banner ad, email, on your site, on a 3rd party site, etc. Customers can click on this link to purchase this bundle.", "membermouse")); ?></p>

        <input id="mm-static-link-<?php echo $productId; ?>" type="text" readonly value="<?php echo htmlentities(MM_CorePageEngine::getCheckoutPageStaticLink($productId), ENT_COMPAT | ENT_HTML401, "UTF-8"); ?>" style="width:440px; font-family:courier; font-size:11px;" onclick="jQuery('#mm-static-link-<?php echo $productId; ?>').focus(); jQuery('#mm-static-link-<?php echo $productId; ?>').select();" />

        <?php
        $affiliateId = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_AFFILIATE);
        $subAffiliateId = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE);
        ?>
        <p><strong><?php _e("Add Affiliate Tracking", "membermouse"); ?></strong></p>
        <p><?php _e("To add affiliate tracking to the above purchase links you simply need to append affiliate tracking parameters to the URL as follows:", "membermouse"); ?></p>
        <p><em><?php _e("Purchase Link SmartTag", "membermouse"); ?></em>: <br /><code>&lt;a href="[MM_Purchase_Link productId='#']<strong>&<?php echo $affiliateId; ?>=###&<?php echo $subAffiliateId; ?>=###</strong>"&gt;<?php _e("Buy Now", "membermouse"); ?>&lt;/a&gt;</code></p>
        <p><em><?php _e("Static Link", "membermouse"); ?></em>: <br /><code>http://yourdomain.com/checkout/?rid=p4K7d<strong>&<?php echo $affiliateId; ?>=###&<?php echo $subAffiliateId; ?>=###</strong></code></p>
        <p><?php printf(__('Where all %1$s characters are replaced by the appropriate values. Read this article to %2$s learn more about creating an affiliate link %3$s.', 'membermouse'), '<code>#</code>', '<a href="https://membermouse.com/docs/create-an-affiliate-link" target="_blank">', '</a>'); ?></p>
    </div>
<?php
}
?>

<div id="mm-form-container" style="width:460px;">
    <div style="font-size:11px;">
        <p><span class="mm-section-header"><?php printf(__('Purchase Links for "%s"', 'membermouse'), $p->accessTypeName); ?></span></p>

        <?php
        if (!$bundle->isFree()) {
            $filteredProducts = array();

            foreach ($p->productIds as $id) {
                $product = new MM_Product($id);

                if ($product->isValid() && $product->isHidden() == false) {
                    array_push($filteredProducts, $product);
                }
            }
        ?>
            <p><?php printf(__('MemberMouse offers two methods for creating purchase links. First select the product you want to create a purchase link fo0r, and then use of the links below to allow customers to purchase access to the "%s" bundle.', 'membermouse'), $p->accessTypeName); ?></p>
            <?php if (count($filteredProducts) > 0) { ?>
                <input id="mm-last-selected-product-id" type="hidden" value="0" />
                <select id="mm-product-selector" onchange="mmjs.productChangeHandler();">
                    <option value='0'><?php _e("Select a product", "membermouse"); ?></option>
                    <?php
                    foreach ($filteredProducts as $product) {
                        echo "<option value='{$product->getId()}'>{$product->getName()}</option>";
                    }
                    ?>
                </select>
            <?php } else {
                echo "<i>" . __("No available products. Hidden products are not available for purchase.", "membermouse") . "</i>";
            } ?>
            <?php
            foreach ($p->productIds as $id) {
                generatePurchaseSection($id);
            }
        } else {
            ?>
            <p><?php _e("Cannot create purchase links for free bundles.", "membermouse"); ?></p>
        <?php } ?>
    </div>
</div>