<?php
$id = 0;

if (isset($p->id)) {
    $id = $p->id;
}

$coupon = new MM_Coupon($id);
$prods = $coupon->getProducts();

if (!$coupon->isValid()) {
    $coupon->setStartDate(Date("m/d/Y"));
}

$editable = "";

if (MM_Coupon::isBeingUsed($coupon->getId())) {
    $editable = "disabled='disabled'";
}

$products = MM_HtmlUtils::createCheckboxGroup(MM_Product::getAll(), "mm_products", $prods);
$nameModifier = $p->duplicate ? (__("Copy of", "membermouse") . " ") : "";
?>
<div id="mm-coupons-container">
    <table cellspacing="10">
        <tr>
            <td width="140"><?php _e("Name", "membermouse"); ?>*</td>
            <td><input type='hidden' id='id' value='<?php echo $p->duplicate ? "" : $coupon->getId(); ?>' />
                <input id="mm_coupon_name" type="text" value='<?php echo $nameModifier . htmlentities($coupon->getCouponName(), ENT_QUOTES, "UTF-8"); ?>' style='width:300px;' />
            </td>
        </tr>
        <tr>
            <td width="140"><?php _e("Coupon Code", "membermouse"); ?>*</td>
            <td>
                <input id="mm_coupon_code" <?php echo $editable; ?> type="text" value='<?php echo strtoupper($coupon->getCouponCode()); ?>' />
            </td>
        </tr>
        <tr>
            <td><?php _e("Status", "membermouse"); ?></td>
            <td>
                <div id="mm-status-container">
                    <input type="radio" name="status" value="active" onclick="mmjs.processForm()" <?php echo (($coupon->isInactive() == false) ? "checked" : ""); ?> /> <?php _e("Active", "membermouse"); ?> &nbsp;
                    <input type="radio" name="status" value="inactive" onclick="mmjs.processForm()" <?php echo (($coupon->isInactive() == true) ? "checked" : ""); ?> /> <?php _e("Inactive", "membermouse"); ?>
                </div>

                <input id="mm-status" type="hidden" />
            </td>
        </tr>
        <tr>
            <td width="140"><?php _e("Discount", "membermouse"); ?>*</td>
            <td>
                <input id="mm_coupon_value" <?php echo $editable; ?> type="text" value='<?php echo $coupon->getCouponValue(); ?>' style="width:85px;" />
                <select id="mm_coupon_type" <?php echo $editable; ?> onchange="mmjs.typeChangeHandler();">
                    <option value='<?php echo MM_Coupon::$TYPE_PERCENTAGE; ?>' <?php echo (($coupon->getCouponType() == MM_Coupon::$TYPE_PERCENTAGE) ? "selected" : ""); ?>>% <?php _e("Off", "membermouse"); ?></option>
                    <option value='<?php echo MM_Coupon::$TYPE_DOLLAR; ?>' <?php echo (($coupon->getCouponType() == MM_Coupon::$TYPE_DOLLAR) ? "selected" : ""); ?>>$ <?php _e("Off", "membermouse"); ?></option>
                    <option value='<?php echo MM_Coupon::$TYPE_FREE; ?>' <?php echo (($coupon->getCouponType() == MM_Coupon::$TYPE_FREE) ? "selected" : ""); ?>><?php _e("Free", "membermouse"); ?></option>
                </select>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <div style="width: 98%; margin-top: 8px;" class="mm-divider"></div>
            </td>
        </tr>
        <tr>
            <td width="140" style="vertical-align:top;"><?php _e("Subscription Options", "membermouse"); ?></td>
            <td>
                <div id="mm_subscription_options_section">
                    <p style="margin:0px 0px 5px 0px;"><input id="mm_recurring_setting_first" <?php echo $editable; ?> name="mm_recurring_setting" type="radio" value='first' <?php echo (($coupon->getRecurringBillingSetting() == "first") ? "checked" : ""); ?> /> <?php _e("Apply discount to the first charge only", "membermouse"); ?></p>
                    <p style="margin:10px 0px 0px 0px;"><input id="mm_recurring_setting_all" <?php echo $editable; ?> name="mm_recurring_setting" type="radio" value='all' <?php echo (($coupon->getRecurringBillingSetting() == "all") ? "checked" : ""); ?> /> <?php _e("Apply discount to all charges", "membermouse"); ?></p>
                </div>
            </td>
        </tr>
        <?php do_action('mm_subscription_options_section_after', $coupon); ?>
        <tr>
            <td colspan="2">
                <div style="width: 98%; margin-top: 8px;" class="mm-divider"></div>
            </td>
        </tr>
        <tr>
            <td valign="top" width="140"><?php _e("Restrictions", "membermouse"); ?></td>
            <td>
                <table>
                    <tr>
                        <td width="140"><?php _e("Start Date", "membermouse"); ?></td>
                        <td>
                            <input id="mm_start_date" type="text" value='<?php echo $coupon->getStartDate(true); ?>' style="width:110px;" />
                            <a onClick="jQuery('#mm_start_date').focus();"><?php echo MM_Utils::getCalendarIcon(); ?></a>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e("End Date", "membermouse"); ?></td>
                        <td>
                            <input id="mm_end_date" type="text" value='<?php echo $coupon->getEndDate(true); ?>' style="width:110px;" />
                            <a onClick="jQuery('#mm_end_date').focus();"><?php echo MM_Utils::getCalendarIcon(); ?></a>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e("Limit Quantity", "membermouse"); ?></td>
                        <td>
                            <input id="mm_quantity" type="text" style='width: 80px;' value='<?php echo $coupon->getQuantity(); ?>' />
                        </td>
                    </tr>
                    <tr valign='top'>
                        <td valign='top'><?php _e("Valid Products", "membermouse"); ?></td>
                        <td valign='top'>
                            <div style="overflow: auto; height: 165px; width: 250px; border: 1px solid #ccc;">
                                <?php echo $products; ?>
                            </div>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</div>

<script type='text/javascript'>
    jQuery(document).ready(function() {
        jQuery("#mm_start_date").datepicker({
            dateFormat: "mm/dd/yy"
        });
        jQuery("#mm_end_date").datepicker({
            dateFormat: "mm/dd/yy"
        });
        mmjs.typeChangeHandler();
        mmjs.processForm();
    });
</script>

<div class="mm-dialog-footer-container">
    <div class="mm-dialog-button-container">
        <a href="javascript:mmjs.createCoupon();" class="mm-ui-button blue"><?php _e("Save Coupon", "membermouse"); ?></a>
        <a href="javascript:mmjs.closeDialog();" class="mm-ui-button"><?php _e("Cancel", "membermouse"); ?></a>
    </div>
</div>