<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

$view = new MM_CustomFieldView();
$dataGrid = new MM_DataGrid($_REQUEST, "id", "desc", 10);
$data = $view->getViewData($dataGrid);
$dataGrid->setTotalRecords($data);
$dataGrid->recordName = "custom field";

$rows = array();

foreach ($data as $key => $item) {
    $customField = new MM_CustomField($item->id);

    // Actions
    $editActionUrl = 'onclick="mmjs.edit(\'mm-custom-fields-dialog\', \'' . $customField->getId() . '\', 475, 335)"';
    $deleteActionUrl = 'onclick="mmjs.remove(\'' . $customField->getId() . '\')"';
    $actions = MM_Utils::getEditIcon("Edit Custom Field", '', $editActionUrl);

    if (!MM_CustomField::isBeingUsed($customField->getId())) {
        $actions .= MM_Utils::getDeleteIcon(__("Delete Custom Field", "membermouse"), 'margin-left:5px;', $deleteActionUrl);
    } else {
        $actions .= MM_Utils::getDeleteIcon(__("This custom field is currently being used and cannot be deleted", "membermouse"), 'margin-left:5px;', '', true);
    }

    if ($item->show_on_my_account) {
        $myAcctPage = MM_Utils::getCheckIcon(__("Show on My Account Page", "membermouse"));
    } else {
        $myAcctPage = MM_Utils::getCrossIcon(__("Hide on My Account Page", "membermouse"));
    }

    $smartTags = '<a title="' . __("Show Form SmartTag", "membermouse") . '" onclick="mmjs.showCheckoutFormSmartTags(' . $customField->getId() . ',\'' . addslashes($customField->getDisplayName()) . '\',\'' . addslashes($customField->getType()) . '\')" class="mm-ui-button" style="margin:0px;">' . MM_Utils::getIcon('tag', '', '1.2em', '1px', '', 'margin-right:0px;') . '</a>';

    $rows[] = array(
        array('content' => "<span title='ID [" . $customField->getId() . "]'>" . $customField->getDisplayName() . "</span>"),
        array('content' => MM_CustomField::getFieldTypeName($item->type)),
        array('content' => $myAcctPage),
        array('content' => $smartTags),
        array('content' => $actions),
    );
}

$headers = array(
    'name'                    => array('content' => __('Name', "membermouse")),
    'type'                    => array('content' => __('Type', "membermouse"), "attr" => "style='width:110px;'"),
    'show_on_my_account'    => array('content' => __('My Account Page', "membermouse"), "attr" => "style='width:125px;'"),
    ''                        => array('content' => __('Form SmartTag', "membermouse"), "attr" => "style='width:145px;'"),
    'actions'                => array('content' => __('Actions', "membermouse"), "attr" => "style='width:60px;'")
);

$dataGrid->setHeaders($headers);
$dataGrid->setRows($rows);
$dataGrid->width = "750px";

$dgHtml = $dataGrid->generateHtml();

if ($dgHtml == "") {
    $dgHtml = "<p><i>" . __("No custom fields.", "membermouse") . "</i></p>";
}
?>
<div class="mm-wrap">
    <div class="mm-button-container">
        <a onclick="mmjs.create('mm-custom-fields-dialog', 475, 335)" class="mm-ui-button green"><?php echo MM_Utils::getIcon('plus-circle', '', '1.2em', '1px'); ?> <?php _e("Create Custom Field", "membermouse"); ?></a>
    </div>

    <div class="clear"></div>

    <?php echo $dgHtml; ?>
</div>