<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

$placeholderString = ' ';

if ($p->customFieldType === MM_CustomField::$TYPE_DROPDOWN) {
    $placeholderString = " placeholder='Please select an option' ";
} elseif (
    $p->customFieldType === MM_CustomField::$TYPE_TEXT ||
    $p->customFieldType === MM_CustomField::$TYPE_INPUT
) {
    $placeholderString = " placeholder='Please enter your {$p->customFieldName}' ";
}

$smarttag = "[MM_Form_Field type='custom' id='{$p->customFieldId}' isRequired='false'{$placeholderString}class='']";
?>

<div id="mm-form-container" style="width:460px;">
    <div style="font-size:11px;">
        <p>
            <?php
            printf(
                // Translators: 1: custom field name, 2: checkout form tag, 3: custom form tag.
                esc_html__('Use the SmartTag below to add the "%1$s" custom field to a MemberMouse checkout form. The SmartTag must be added between the %2$s or %3$s SmartTags.', 'membermouse'),
                esc_html($p->customFieldName),
                '<code>[MM_Form type=\'checkout\']...[/MM_Form]</code>',
                '<code>[MM_Form type=\'custom\']...[/MM_Form]</code>'
            );
            ?>
        </p>

        <p style="margin-top:30px; margin-bottom:20px;"><input id="mm-smart-tag" type="text" readonly value="<?php echo esc_attr(htmlentities($smarttag, ENT_COMPAT | ENT_HTML401, 'UTF-8')); ?>" style="width:440px; font-family:courier; font-size:11px;" onclick="jQuery('#mm-smart-tag').focus(); jQuery('#mm-smart-tag').select();" /></p>

        <ul>
            <li>
                <?php
                printf(
                    // Translators: 1: isRequired attribute, 2: true value.
                    esc_html__('Set the %1$s attribute to %2$s if you want the field to be required.', 'membermouse'),
                    '<code>isRequired</code>',
                    '<code>true</code>'
                );
                ?>
            </li>
            <li>
                <?php
                printf(
                    // Translators: 1: class attribute.
                    esc_html__('Set the %1$s attribute to apply a custom CSS class to the field.', 'membermouse'),
                    '<code>class</code>'
                );
                ?>
            </li>
            <li>
                <?php
                printf(
                    // Translators: 1: type attribute, 2: custom-hidden value.
                    esc_html__('Set the %1$s attribute to %2$s if you want to make this a hidden field.', 'membermouse'),
                    '<code>type</code>',
                    '<code>custom-hidden</code>'
                );
                ?>
            </li>
            <?php if ($p->customFieldType === MM_CustomField::$TYPE_DROPDOWN || $p->customFieldType === MM_CustomField::$TYPE_TEXT || $p->customFieldType === MM_CustomField::$TYPE_INPUT) : ?>
                <li>
                    <?php
                    printf(
                        // Translators: 1: placeholder attribute.
                        esc_html__('Set the %1$s attribute if you want to have a placeholder text in the field.', 'membermouse'),
                        '<code>placeholder</code>'
                    );
                    ?>
                </li>
            <?php endif; ?>
        </ul>
        <p>
            <?php
            printf(
                // Translators: 1: link opening tag, 2: MM_Form_Field tag, 3: link closing tag.
                esc_html__('Read this article to %1$slearn more about the %2$s SmartTag%3$s.', 'membermouse'),
                '<a href="https://membermouse.com/docs/mm-form-field-smarttag" target="_blank">',
                '<code>MM_Form_Field</code>',
                '</a>'
            );
            ?>
        </p>
    </div>
</div>