<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

if (isset($_REQUEST[MM_Session::$PARAM_USER_ID])) {
    $user = new MM_User($_REQUEST[MM_Session::$PARAM_USER_ID]);

    if ($user->isValid()) {
        // check to make sure current employee has access to manage this member
        global $current_user;
        $employee = MM_Employee::findByUserId($current_user->ID);
        $allowAccess = true;

        if ($employee->isValid()) {
            $allowAccess = $employee->canManageMember($user);
        }

        if ($allowAccess) {
            include_once MM_MODULES . "/details.header.php";

            $columnWidth = 125;
            $enableUsernameChange = (MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_ENABLE_USERNAME_CHANGE) == "1") ? true : false;
?>
            <style>
                .custom-combobox {
                    position: relative;
                    display: inline-block;
                }

                .custom-combobox-toggle {
                    position: absolute;
                    top: 0;
                    bottom: 0;
                    margin-left: -1px;
                    padding: 0;
                }

                .custom-combobox-input {
                    margin: 0;
                    padding: 5px 10px;
                }

                .spacing {
                    padding: 10px 10px 10px 10px
                }
            </style>

            <script>
                function unlockUsernameField() {
                    if (jQuery('#mm-username').prop('disabled') == true) {
                        jQuery('#mm-username').prop('disabled', false);
                        jQuery("#mm-unlock-usermame").hide();
                        jQuery("#mm-username-change-override").val(1);
                    }
                }
            </script>
            <div id="mm-form-container">
                <input type="hidden" id="page" value="<?php echo $_REQUEST["page"]; ?>" />

                <table cellspacing="8">
                    <tr>
                        <td width="<?php echo $columnWidth; ?>px;"><?php _e("Membership Status", "membermouse"); ?></td>
                        <td>
                            <?php
                            $statusDesc = MM_Status::getImage($user->getStatus()) . " ";

                            switch ($user->getStatus()) {
                                case MM_Status::$ACTIVE:
                                case MM_Status::$OVERDUE:
                                    $statusDesc .= sprintf(__('Account became %1$s on %2$s', 'membermouse'), MM_Status::getName($user->getStatus(), true), $user->getStatusUpdatedDate(true));
                                    break;

                                case MM_Status::$PENDING_CANCELLATION:
                                    $statusDesc .= sprintf(__('Account is %1$s as of %2$s', 'membermouse'), MM_Status::getName($user->getStatus(), true), $user->getStatusUpdatedDate(true));
                                    break;

                                case MM_Status::$CANCELED:
                                case MM_Status::$PAUSED:
                                case MM_Status::$LOCKED:
                                    $statusDesc .= sprintf(__('Account was %1$s on %2$s', 'membermouse'), MM_Status::getName($user->getStatus(), true), $user->getStatusUpdatedDate(true));
                                    break;

                                case MM_Status::$ERROR:
                                    $statusDesc .= __("An error was encountered when creating this account.", "membermouse");
                                    break;

                                case MM_Status::$PENDING_ACTIVATION:
                                    $statusDesc .= __("Account is pending activation", "membermouse");
                                    break;

                                case MM_Status::$EXPIRED:
                                    $statusDesc .= sprintf(__('Account %1$s on %2$s', 'membermouse'), MM_Status::getName($user->getStatus(), true), $user->getStatusUpdatedDate(true));
                                    break;
                            }
                            ?>

                            <div style="margin-bottom:5px;">
                                <?php echo $statusDesc; ?>
                                <a href="?page=<?php echo MM_MODULE_MANAGE_MEMBERS . "&module=" . MM_MODULE_MEMBER_DETAILS_ACTIVITY_LOG . "&event_type=" . MM_ActivityLog::$EVENT_TYPE_ACCESS_RIGHTS . "&user_id=" . $user->getId(); ?>" style="font-size:11px;"><?php _e("view details", "membermouse"); ?></a>
                            </div>
                            <?php if ($user->isComplimentary()) { ?>
                                <div style="margin-bottom:5px;">
                                    <?php echo MM_Utils::getIcon('ticket', 'purple', '1.4em', '1px', __("Membership is complimentary", "membermouse")); ?>
                                    <?php _e("This account is complimentary", "membermouse"); ?>
                                </div>
                            <?php } ?>
                        </td>
                    </tr>

                    <?php if (($user->getStatus() == MM_Status::$ERROR || $user->getStatus() == MM_Status::$PENDING_ACTIVATION) && $user->getStatusMessage() != "") { ?>
                        <tr>
                            <td></td>
                            <td>
                                <div style="width:500px; font-size:11px; color:#555;"><em><?php echo $user->getStatusMessage(); ?></em></div>
                            </td>
                        </tr>
                    <?php } ?>

                    <tr>
                        <td colspan="2"><input type="hidden" id="mm-id" value="<?php echo $user->getId(); ?>" /></td>
                    </tr>

                    <tr>
                        <td><?php _e("Account Stats", "membermouse"); ?></td>
                        <td>
                            <div style="margin-bottom:5px;">
                                <?php echo MM_Utils::getIcon('info', 'black', '1.2em', '1px', '', 'padding-left:4px; margin-right:4px;'); ?> <?php _e("Member ID is", "membermouse"); ?> <span style='font-family:courier'><?php echo $user->getId(); ?></span>
                            </div>
                            <div style="margin-bottom:5px;">
                                <?php echo MM_Utils::getIcon('calendar-o', 'purple', '1.2em', '1px'); ?> <?php printf(__('Account created on %s', 'membermouse'), $user->getRegistrationDate(true)); ?>
                            </div>

                            <?php
                            if ($user->isImported()) {
                            ?>
                                <div style="margin-bottom:5px;">
                                    <?php echo MM_Utils::getIcon('sign-in', 'blue', '1.3em', '1px'); ?> <?php printf(__('Account imported on %s', 'membermouse'), $user->getRegistrationDate(true)); ?>
                                </div>
                            <?php
                            }
                            ?>

                            <?php
                            $welcomeEmailSent = $user->getWelcomeEmailSentDate();

                            if (!empty($welcomeEmailSent)) {
                            ?>
                                <div style="margin-bottom:5px;">
                                    <?php echo MM_Utils::getIcon('paper-plane-o', 'green', '1.2em', '1px'); ?> <?php printf(__('Welcome email sent on %s', 'membermouse'), $user->getWelcomeEmailSentDate(true)); ?>
                                </div>
                            <?php
                            }

                            $emailCount = $user->getEmailCount();
                            if ($emailCount > 0) {
                            ?>
                                <div style="margin-bottom:5px;">
                                    <?php echo MM_Utils::getIcon('envelope-o', 'beige', '1.2em', '1px'); ?> <?php _e("Emails sent:", "membermouse"); ?>
                                    <span style='font-family:courier; font-size:14px;'><?php echo $emailCount; ?></span>
                                    <a href="?page=<?php echo MM_MODULE_MANAGE_MEMBERS . "&module=" . MM_MODULE_MEMBER_DETAILS_ACTIVITY_LOG . "&event_type=" . MM_ActivityLog::$EVENT_TYPE_EMAIL . "&user_id=" . $user->getId(); ?>" style="font-size:11px;"><?php _e("view details", "membermouse"); ?></a>
                                </div>
                            <?php
                            } else {
                            ?>
                                <div style="margin-bottom:5px;">
                                    <?php echo MM_Utils::getIcon('envelope-o', 'beige', '1.2em', '1px'); ?>
                                    <em><?php _e("No email activity available", "membermouse"); ?></em>
                                </div>
                            <?php
                            }
                            ?>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="2"></td>
                    </tr>

                    <tr>
                        <td><?php _e("Engagement Stats", "membermouse"); ?></td>
                        <td>
                            <?php
                            $loginCount = $user->getLoginCount();
                            $pageAccessCount = $user->getPageAccessCount();

                            if ($loginCount > 0) {
                            ?>
                                <div style="margin-bottom:5px;">
                                    <?php echo MM_Utils::getIcon('calendar-o', 'purple', '1.2em', '1px'); ?> <?php _e("Last Login Date:", "membermouse"); ?> <?php echo $user->getLastLoginDate(true); ?>
                                </div>
                                <div style="margin-bottom:5px;">
                                    <?php echo MM_Utils::getIcon('globe', 'purple', '1.3em', '1px'); ?> <?php _e("Last Login IP:", "membermouse"); ?> <span style='font-family:courier; font-size:12px;'><?php echo MM_Utils::generateIPLinks($user->getLastLoginIpAddress(), ",");  ?></span>
                                </div>
                                <div style="margin-bottom:5px;">
                                    <?php echo MM_Utils::getIcon('key', 'yellow', '1.2em', '1px'); ?> <?php _e("Logins:", "membermouse"); ?>
                                    <span style='font-family:courier; font-size:14px;'><?php echo $loginCount; ?></span>
                                    <a href="?page=<?php echo MM_MODULE_MANAGE_MEMBERS . "&module=" . MM_MODULE_MEMBER_DETAILS_ACTIVITY_LOG . "&event_type=" . MM_ActivityLog::$EVENT_TYPE_LOGIN . "&user_id=" . $user->getId(); ?>" style="font-size:11px;"><?php _e("view details", "membermouse"); ?></a>
                                </div>
                            <?php
                            } else {
                            ?>
                                <div style="margin-bottom:5px;">
                                    <?php echo MM_Utils::getIcon('key', 'yellow', '1.2em', '1px'); ?>
                                    <em><?php _e("No login activity available", "membermouse"); ?></em>
                                </div>
                            <?php
                            }

                            if ($pageAccessCount > 0) {
                            ?>
                                <div style="margin-bottom:5px;">
                                    <?php echo MM_Utils::getIcon('file-o', 'turq', '1.2em', '1px'); ?> <?php _e("Pages Accessed:", "membermouse"); ?>
                                    <span style='font-family:courier; font-size:14px;'><?php echo $pageAccessCount; ?></span>
                                    <a href="?page=<?php echo MM_MODULE_MANAGE_MEMBERS . "&module=" . MM_MODULE_MEMBER_DETAILS_ACTIVITY_LOG . "&event_type=" . MM_ActivityLog::$EVENT_TYPE_PAGE_ACCESS . "&user_id=" . $user->getId() . "&sortby=url"; ?>" style="font-size:11px;"><?php _e("view details", "membermouse"); ?></a>
                                </div>
                            <?php
                            } else {
                            ?>
                                <div style="margin-bottom:5px;">
                                    <?php echo MM_Utils::getIcon('file-o', 'turq', '1.2em', '1px'); ?>
                                    <em><?php _e("No page access activity available", "membermouse"); ?></em>
                                </div>
                            <?php
                            }
                            ?>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="2"></td>
                    </tr>

                    <tr>
                        <td><?php _e("Tools", "membermouse"); ?></td>
                        <td>
                            <div style="margin-bottom:5px;">
                                <a style='cursor: pointer;' onclick="mmjs.showMergeAccountsDialog('<?php echo $user->getId(); ?>');" class="mm-ui-button"><?php echo MM_Utils::getIcon('compress', 'salmon', '1.3em', '1px'); ?> <?php _e("Merge accounts", "membermouse"); ?></a>
                            </div>
                            <div style="margin-bottom:5px;">
                                <a style='cursor: pointer;' onclick="mmjs.loginAsMember('<?php echo $user->getId(); ?>');" class="mm-ui-button"><?php echo MM_Utils::getIcon('key', 'yellow', '1.2em', '1px'); ?> <?php _e("Login as this member", "membermouse"); ?></a>
                            </div>
                            <?php if (!empty($welcomeEmailSent)) { ?>
                                <div style="margin-bottom:5px;">
                                    <a style='cursor: pointer;' onclick="mmjs.sendWelcomeEmail('<?php echo $user->getId(); ?>');" class="mm-ui-button"><?php echo MM_Utils::getIcon('paper-plane-o', 'green', '1.2em', '1px'); ?> <?php _e("Resend welcome email to member", "membermouse"); ?></a>
                                </div>
                            <?php } ?>
                            <div style="margin-bottom:5px;">
                                <a style='cursor: pointer;' onclick="mmjs.forgetMember('<?php echo $user->getId(); ?>');" class="mm-ui-button"><?php echo MM_Utils::getIcon('eraser', 'pink', '1.2em', '1px'); ?> <?php _e("Forget this member", "membermouse"); ?></a>
                            </div>
                        </td>
                    </tr>

                    <tr>
                        <td colspan="2">
                            <div style="width: 600px; margin-top: 8px; margin-bottom: 8px;" class="mm-divider"></div>
                        </td>
                    </tr>

                    <tr>
                        <td><?php _e("First Name", "membermouse"); ?></td>
                        <td><input id="mm-first-name" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> style="width:200px;" value="<?php echo $user->getFirstName() ?>"></td>
                    </tr>
                    <tr>
                        <td><?php _e("Last Name", "membermouse"); ?></td>
                        <td><input id="mm-last-name" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> style="width:200px;" value="<?php echo $user->getLastName() ?>"></td>
                    </tr>
                    <tr>
                        <td><?php _e("Email", "membermouse"); ?></td>
                        <td><input id="mm-email" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> style="width:200px;" value="<?php echo $user->getEmail() ?>"></td>
                    </tr>
                    <tr>
                        <td><?php _e("Username", "membermouse"); ?></td>
                        <td>
                            <input id="mm-username" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> style="width:200px;" value="<?php echo $user->getUsername() ?>" <?php echo ($enableUsernameChange == true) ? "" : "disabled"; ?>>
                            <?php if (!$enableUsernameChange) { ?>
                                <span class="description"><?php _e("Username locked by default.", "membermouse"); ?></span> <a href="https://membermouse.com/docs/allow-members-to-change-their-username" target="_blank"><?php _e("Learn more", "membermouse"); ?></a>

                                <span id="mm-unlock-usermame">
                                    | <a onclick="unlockUsernameField();" style="cursor:pointer; text-decoration:underline;"><?php echo MM_Utils::getIcon('unlock', 'yellow', '1.2em', '1px'); ?> <?php _e("Unlock", "membermouse"); ?></a>
                                </span>
                                <input id="mm-username-change-override" type="hidden" value="0">
                            <?php } ?>
                        </td>
                    </tr>
                    <tr>
                        <td style="padding-top:10px;"><?php _e("Password", "membermouse"); ?></td>
                        <td>
                            <div style="margin-top:10px; margin-bottom:15px;">
                                <?php echo MM_Utils::getIcon('paper-plane-o', 'green', '1.2em', '1px'); ?>
                                <a style='cursor: pointer;' onclick="mmjs.sendPasswordEmail('<?php echo $user->getId(); ?>');"><?php _e("Email reset password email to member", "membermouse"); ?></a>
                            </div>

                            <div style="margin-bottom:5px;">
                                <span style="margin-right:18px;"><?php _e("New Password", "membermouse"); ?></span> <input id="mm-new-password" type="password" <?php echo MM_Utils::preventAutocomplete(true); ?>>
                            </div>
                            <div style="margin-bottom:10px;">
                                <?php _e("Confirm Password", "membermouse"); ?> <input id="mm-confirm-password" type="password" <?php echo MM_Utils::preventAutocomplete(true); ?>>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td><?php _e("Phone", "membermouse"); ?></td>
                        <td><input id="mm-phone" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> style="width:200px;" value="<?php echo $user->getPhone() ?>"></td>
                    </tr>
                    <tr>
                        <td><?php _e("Notes", "membermouse"); ?></td>
                        <td>
                            <textarea id="mm-notes" rows="6" <?php echo MM_Utils::preventAutocomplete(); ?> style="font-family:courier; width:450px;"><?php echo $user->getNotes() ?></textarea>
                        </td>
                    </tr>
                </table>

                <div style="width: 600px; margin-top: 8px; margin-bottom: 8px;" class="mm-divider"></div>

                <table cellspacing="8">
                    <tr>
                        <td width="<?php echo $columnWidth; ?>px;"><?php _e("Billing Address", "membermouse"); ?></td>
                        <td>
                            <table cellspacing="8">
                                <tr>
                                    <td width='95'><?php _e("Address Line 1", "membermouse"); ?></td>
                                    <td><input id="mm-billing-address" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> class="medium-text" value="<?php echo $user->getBillingAddress(); ?>" /></td>
                                </tr>
                                <tr>
                                    <td width='95'><?php _e("Address Line 2", "membermouse"); ?></td>
                                    <td><input id="mm-billing-address2" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> class="medium-text" value="<?php echo $user->getBillingAddress2(); ?>" /></td>
                                </tr>
                                <tr>
                                    <td><?php _e("City", "membermouse"); ?></td>
                                    <td><input id="mm-billing-city" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> class="medium-text" value="<?php echo $user->getBillingCity(); ?>" /></td>
                                </tr>
                                <tr>
                                    <td><?php _e("State", "membermouse"); ?></td>
                                    <?php
                                    $form = new MM_CheckoutForm();
                                    $field = new stdClass();
                                    $field->fieldId = "mm_field_billing_state";
                                    $field->fieldName = "billingstate";
                                    $field->label = "State";
                                    $data = array();
                                    $data["mm_field_billing_state"] = $user->getBillingState() ? $user->getBillingState() : "";
                                    $data["mm_field_billing_country"] = $user->getBillingCountry() ? $user->getBillingCountry() : "";
                                    $form->billingCountryList = MM_HtmlUtils::getCountryList($data["mm_field_billing_country"]);
                                    ?>
                                    <td><?php echo MM_CheckoutForm::generateInputFormField($field->fieldName, $data, $form, "mm-myaccount-form-field"); ?></td>
                                </tr>
                                <tr>
                                    <td><?php _e("Zip Code", "membermouse"); ?></td>
                                    <td><input id="mm-billing-zip-code" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> class="medium-text" value="<?php echo $user->getBillingZipCode(); ?>" /></td>
                                </tr>
                                <tr>
                                    <td><?php _e("Country", "membermouse"); ?></td>
                                    <?php
                                    $form = new MM_CheckoutForm();
                                    $field = new stdClass();
                                    $field->fieldId = "mm_field_billing_country";
                                    $field->fieldName = "billingcountry";
                                    $field->label = "Country";
                                    $data = array();
                                    $data["mm_field_billing_country"] = $user->getBillingCountry() ? $user->getBillingCountry() : "";
                                    $form->billingCountryList = MM_HtmlUtils::getCountryList($data["mm_field_billing_country"]);
                                    ?>
                                    <td><?php echo MM_CheckoutForm::generateInputFormField($field->fieldName, $data, $form, "mm-myaccount-form-field"); ?></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <div style="width: 600px; margin-top: 8px; margin-bottom: 8px;" class="mm-divider"></div>

                <table cellspacing="8">
                    <tr>
                        <td width="<?php echo $columnWidth; ?>px;"><?php _e("Shipping Address", "membermouse"); ?></td>
                        <td>
                            <table cellspacing="8">
                                <tr>
                                    <td width='95'><?php _e("Address Line 1", "membermouse"); ?></td>
                                    <td><input id="mm-shipping-address" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> class="medium-text" value="<?php echo $user->getShippingAddress(); ?>" /></td>
                                </tr>
                                <tr>
                                    <td width='95'><?php _e("Address Line 2", "membermouse"); ?></td>
                                    <td><input id="mm-shipping-address2" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> class="medium-text" value="<?php echo $user->getShippingAddress2(); ?>" /></td>
                                </tr>
                                <tr>
                                    <td><?php _e("City", "membermouse"); ?></td>
                                    <td><input id="mm-shipping-city" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> class="medium-text" value="<?php echo $user->getShippingCity(); ?>" /></td>
                                </tr>
                                <tr>
                                    <td><?php _e("State", "membermouse"); ?></td>
                                    <?php
                                    $form = new MM_CheckoutForm();
                                    $field = new stdClass();
                                    $field->fieldId = "mm_field_shipping_state";
                                    $field->fieldName = "shippingstate";
                                    $field->label = "State";
                                    $data = array();
                                    $data["mm_field_shipping_state"] = $user->getShippingState() ? $user->getShippingState() : "";
                                    $data["mm_field_shipping_country"] = $user->getShippingCountry() ? $user->getShippingCountry() : "";
                                    $form->shippingCountryList = MM_HtmlUtils::getCountryList($data["mm_field_shipping_country"]);
                                    ?>
                                    <td><?php echo MM_CheckoutForm::generateInputFormField($field->fieldName, $data, $form, "mm-myaccount-form-field"); ?></td>
                                </tr>
                                <tr>
                                    <td><?php _e("Zip Code", "membermouse"); ?></td>
                                    <td><input id="mm-shipping-zip-code" type="text" <?php echo MM_Utils::preventAutocomplete(); ?> class="medium-text" value="<?php echo $user->getShippingZipCode(); ?>" /></td>
                                </tr>
                                <tr>
                                    <td><?php _e("Country", "membermouse"); ?></td>
                                    <?php
                                    $form = new MM_CheckoutForm();
                                    $field = new stdClass();
                                    $field->fieldId = "mm_field_shipping_country";
                                    $field->fieldName = "shippingcountry";
                                    $field->label = "Country";
                                    $data = array();
                                    $data["mm_field_shipping_country"] = $user->getShippingCountry() ? $user->getShippingCountry() : "";
                                    $form->shippingCountryList = MM_HtmlUtils::getCountryList($data["mm_field_shipping_country"]);
                                    ?>
                                    <td><?php echo MM_CheckoutForm::generateInputFormField($field->fieldName, $data, $form, "mm-myaccount-form-field"); ?></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <div style='clear: both; height:10px;'></div>

                <div style="width:600px">
                    <input type="button" class="mm-ui-button blue" value="Update Member" onclick="mmjs.updateMember(<?php echo $user->getId(); ?>);">

                    <?php if (($user->getStatus() == MM_Status::$ERROR) || ($user->getStatus() == MM_Status::$PENDING_ACTIVATION) ||   ($user->getStatus() == MM_Status::$PENDING_CANCELLATION)  || !$user->hasActiveSubscriptions()) { ?>
                        <span style="float:right;">
                            <input type="button" class="mm-ui-button red" value="Delete Member" onclick="mmjs.deleteMember(<?php echo $user->getId(); ?>, '<?php echo MM_ModuleUtils::getUrl($crntPage, MM_MODULE_BROWSE_MEMBERS); ?>');">
                        </span>
                    <?php } ?>
                </div>
            </div>

            <div id='mm-edit-merge-dialog'></div>
            <div style='clear: both; height:20px;'></div>
            <script language="javascript">
                var mm_nonce_name_checkout_form = '<?php echo MM_View::$MM_NONCE_NAME_CHECKOUT_FORM; ?>';
            </script>
<?php
        } else {
            echo "<div style=\"margin-top:10px;\"><em>" . __("You do not have permission to manage this member.", "membermouse") . "</em></div>";
        }
    } else {
        echo "<div style=\"margin-top:10px;\"><em>" . __("Invalid Member ID.", "membermouse") . "</em></div>";
    }
}
?>