<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

if (!defined('ABSPATH')) {
    die('You are not allowed to call this page directly.');
}
?>

<div class="wrap">
    <div class="mm-extensions-container">
        <div class="mm-extensions-image">
            <img src="<?php echo esc_url($info['extensionLogoUrl']); ?>" alt="<?php echo esc_attr($info['extensionName']); ?>">
        </div>

        <div class="mm-extensions-description">
            <?php
            echo $info['extensionDescription'] . "<br/>";
            if (!empty($info['supportArticleUrl'])) {
                printf(
                    __('%1$sLearn More%2$s', 'membermouse'),
                    '<a href="' . $info['supportArticleUrl'] . '" target="_blank">',
                    '</a>'
                );
            }
            ?>
        </div>

        <div class="mm-extensions-info mm-clearfix">
            <div class="mm-extensions-info-image">
                <img src="<?php echo esc_url($info['infoImageUrl']); ?>" alt="<?php echo esc_attr($info['extensionName']); ?>">
            </div>
            <div class="mm-extensions-info-features">
                <div class="mm-extensions-features-table">
                    <?php foreach ($info['extensionFeatures'] as $feature): ?>
                        <div class="mm-extensions-features-table-row">
                            <div class="mm-extensions-features-table-icon">
                                <i class="mm-extensions-icon mm-extensions-icon-right-big"></i>
                            </div>
                            <div class="mm-extensions-features-table-text">
                                <?php echo $feature; ?>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
            </div>
        </div>
        <div class="mm-extensions-step mm-extensions-step-no-number mm-extensions-step-current mm-clearfix">
            <div class="mm-extensions-step-detail">
                <div id="mm-extension-step-title" class="mm-extensions-step-title">
                    <?php
                    if ($info['isInstalled'] && $info['isActive']) {
                        printf(
                            __('%s is Installed and Active', 'membermouse'),
                            $info['extensionName']
                        );
                    } else if ($info['isInstalled']) {
                        printf(
                            __('%s is Installed', 'membermouse'),
                            $info['extensionName']
                        );
                    } else {
                        printf(
                            __('Install and Activate %s', 'membermouse'),
                            $info['extensionName']
                        );
                    }
                    ?>
                </div>
                <?php
                if ($info['hasPermission']) {
                    if ($info['isInstalled'] && $info['isActive']) { ?>
                        <button type="button" class="mm-<?php echo $info['extensionToken']; ?>-action button button-primary button-mm-hero" data-action="configure">
                            <?php _e('Configure Add-on', 'membermouse'); ?>
                        </button>
                    <?php } else if ($info['isInstalled']) { ?>
                        <button type="button" class="mm-<?php echo $info['extensionToken']; ?>-action button button-primary button-mm-hero" data-action="activate">
                            <?php _e('Enable Add-on', 'membermouse'); ?>
                        </button>
                    <?php } else { ?>
                        <button type="button" class="mm-<?php echo $info['extensionToken']; ?>-action button button-primary button-mm-hero" data-action="install-activate">
                            <?php _e('Install & Activate Add-on', 'membermouse'); ?>
                        </button>
                    <?php }
                } else { ?>
                    <div class="mm-extensions-not-in-plan">
                        <?php echo $info['upgradeMessage']; ?>
                        <p>
                            <?php printf(
                                __('To get access, %1$supgrade your plan now%2$s.', 'membermouse'),
                                '<a href="' . MM_MemberMouseService::getUpgradeUrl($info['requiredPermission']) . '" target="_blank">',
                                '</a>'
                            ); ?>
                        </p>
                    </div>
                <?php } ?>
                <div id="mm-action-notice" class="mm-action-notice notice inline">
                    <p id="mm-action-notice-message"></p>
                </div>
            </div>
        </div>
    </div>
</div>