<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

//load csv parsing library
wp_enqueue_script("membermouse-papaparse", plugins_url(MM_PLUGIN_NAME . "/lib/papaparse/papaparse.min.js"), array(), MemberMouse::getPluginVersion());
?>

<style>
    .mm-import-wizard-step {
        font: 21px/1.3 'PT Sans', 'Myriad Pro', Myriad, Arial, Helvetica, sans-serif;
        margin-bottom: 20px;
        color: #004D66;
        margin-top: 20px;
    }

    .mm-import-wizard-notice {
        color: #F90;
        font: 16px/0.4em 'PT Sans', 'Myriad Pro', Myriad, Arial, Helvetica, sans-serif;
        margin-bottom: 20px;
        margin-top: 20px;
    }

    #mm-form-container td {
        font-size: 14px;
        vertical-align: middle;
    }

    .mm-import-complete-table {
        margin: 0 auto;
    }
</style>

<div class="mm-wrap" style="font-size:14px;">

    <form onSubmit="javascript: return false;">
        <p class="mm-import-wizard-step"><?php _e('Step 1: Download Import Template', "membermouse"); ?></p>

        <p style="margin-left:12px;">
            <a class="mm-ui-button" onclick="mmjs.downloadTemplate('<?php echo MM_MODULES_URL; ?>','<?php echo MM_EXPORT_FILE_MEMBERS_IMPORT_TEMPLATE; ?>');"><?php echo MM_Utils::getIcon('download', '', '1.3em', '2px'); ?> <?php _e('Download Import Template', "membermouse"); ?></a>
            <a class="mm-ui-button" onclick="stl_js.showIdLookup('');"><?php echo MM_Utils::getIcon('search', '', '1.3em', '2px'); ?> <?php _e('Lookup IDs', "membermouse"); ?></a>
            <a class="mm-ui-button" href="http://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements" target="_blank"><?php echo MM_Utils::getIcon('globe', '', '1.3em', '2px'); ?> <?php _e('ISO Country Codes', "membermouse"); ?></a>
        </p>

        <p style="margin-left:12px; margin-top:20px;">
            <?php _e('Member Status IDs:', "membermouse"); ?>
            <span style="margin-left:10px; font-size:14px;">
                <?php echo MM_Status::getImage(MM_Status::$ACTIVE); ?> 1
            </span>
            <span style="margin-left:10px; font-size:14px;">
                <?php echo MM_Status::getImage(MM_Status::$CANCELED); ?> 2
            </span>
            <span style="margin-left:10px; font-size:14px;">
                <?php echo MM_Status::getImage(MM_Status::$LOCKED); ?> 3
            </span>
            <span style="margin-left:10px; font-size:14px;">
                <?php echo MM_Status::getImage(MM_Status::$PAUSED); ?> 4
            </span>
            <span style="margin-left:10px; font-size:14px;">
                <?php echo MM_Status::getImage(MM_Status::$OVERDUE); ?> 5
            </span>
            <span style="margin-left:10px; font-size:14px;">
                <?php echo MM_Status::getImage(MM_Status::$PENDING_ACTIVATION); ?> 6
            </span>
            <span style="margin-left:10px; font-size:14px;">
                <?php echo MM_Status::getImage(MM_Status::$ERROR); ?> 7
            </span>
            <span style="margin-left:10px; font-size:14px;">
                <?php echo MM_Status::getImage(MM_Status::$EXPIRED); ?> 8
            </span>
        </p>

        <p class="mm-import-wizard-step" style="margin-bottom:10px;"><?php _e('Step 2: Upload Import File', "membermouse"); ?></p>

        <div id="mm-upload-import-file-form">
            <table cellspacing="12">
                <tr>
                    <td width="120px;">
                        <input id="mm-import-file-from-computer-radio" type="radio" checked value="computer" name="import-file-location">
                        <?php _e('From Computer', "membermouse"); ?>
                    </td>
                    <td>
                        <div id="mm-file-upload-container">
                            <input id="fileToUpload" name="fileToUpload" type="file" size="30" />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <input id="mm-import-file-from-url-radio" type="radio" value="url" name="import-file-location">
                        <?php _e('From URL', "membermouse"); ?>
                    </td>
                    <td>
                        <span style="font-family: courier; font-size: 12px;">
                            <input type="text" id="mm-import-file-from-url-source" style="width:430px;" />
                        </span>
                    </td>
                </tr>
            </table>
        </div>

        <p class="mm-import-wizard-step" style="margin-bottom:10px;"><?php _e('Step 3: Configure Import Settings', "membermouse"); ?></p>

        <table cellspacing="12">
            <tr>
                <td width="140"><?php _e('Import members as', "membermouse"); ?></td>
                <td>
                    <select id="mm-membership-selector" name="mm-membership-selector">
                        <?php echo MM_HtmlUtils::getMemberships(null, true); ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <input type='checkbox' id='mm-send-welcome-email' name='mm-send-welcome-email' /> <?php _e('Send welcome email to new members', "membermouse"); ?>
                </td>
            </tr>
        </table>

        <p class="mm-import-wizard-step" style="margin-top:10px;"><?php _e('Step 4: Import Members', "membermouse"); ?></p>

        <p style="margin-left:12px;">
            <input type="hidden" id="mm-import-file-source" name="mm-import-file-source" />
            <input type="hidden" id="mm-import-file-from-computer" name="mm-import-file-from-computer" />
            <input type="hidden" id="mm-import-file-from-url" name="mm-import-file-from-url" />
            <input type='button' class="mm-ui-button green" value='<?php _e('Import Members', "membermouse"); ?>' onClick="return mmjs.validateForm();" />
        </p>
    </form>
</div>
<div class="mbtDialog" id="import_status_dialog" style='display:none'>
    <h3><i class="fa fa-download" style="top:1px;"></i> <?php _e("Import Members", "membermouse"); ?></h3>
    <p><?php _e("Your members are being imported. Please wait...", "membermouse"); ?> </p>
    <div class="importProgress">
        <label for="importProgress"><?php _e("Import Progress", "membermouse"); ?>:</label>
        <progress id="importProgress" value="0" max="100">0</progress>
        <div id="importProgressText"></div>
        <p><input type='button' name='cancel' value="Cancel" onclick="mmjs.closeImportStatusDialog('<?php _e("Import Cancelled", "membermouse"); ?>');" class="mm-ui-button" /></p>
    </div>
    <div class="importComplete" style="display:none">
        <table class="mm-import-complete-table">
            <tr>
                <td><?php _e("Members Imported", "membermouse"); ?>:</td>
                <td id="importSuccessCount"></td>
            </tr>
            <tr>
                <td><?php _e("Errors", "membermouse"); ?>:</td>
                <td id="importErrorCount"></td>
            </tr>
        </table>
        <p><input type='button' name='closeStatusWindow' value="Close" onclick="mmjs.closeImportStatusDialog();" class="mm-ui-button" /></p>
    </div>
</div>