<?php
global $current_user;

$view = new MM_JobsQueueLogView();
$view->setupEnhancedDatagrid();

//this variable will make translations available to the grid js
$mmehdts = $view->getDefaultGridTranslations();
$mmehdts += [
    //translate all module specific strings and add here
];

//this variable will make the following named images/html available to the grid js
$mmehdgi = $view->getDefaultGridImages("bundle");
$mmehdgi += [
    //module specific
];

//get the initial data from the view, get a unique id for the grid
$dataset = json_encode($view->search());
$gridId = uniqid();

$showFailed = (MM_OptionUtils::getOption(MM_JobsQueueLogView::$SEARCH_OPTION_SHOW_FAILED_JOBS . "-" . $current_user->ID) == "1") ? true : false;
?>
<span style="font-size:11px;">
    <input type='hidden' id='mm-admin-id' value='<?php echo $current_user->ID; ?>' />
    <?php echo "Now showing: "; ?>
    <select id='mm-show-failed-jobs'>
        <option value="completed" <?php if (!$showFailed) echo "SELECTED"; ?>>Completed Jobs</option>
        <option value="failed" <?php if ($showFailed) echo "SELECTED"; ?>>Failed Jobs</option>
    </select>
</span>
<div class="mm-wrap">
    <div id="gridHolder" data-grid-id="<?php echo $gridId; ?>" style="width:98%">
        <!-- Container for datagrid -->
    </div>

    <?php if ($dataset != null) { ?>
        <script type="application/json" id="<?php echo "jobqueuelog-{$gridId}-data"; ?>">
            <?php echo $dataset; ?>
        </script>
    <?php } ?>
</div>

<div id="dialog-confirm"></div>

<script type='text/javascript'>
    jQuery(document).ready(function() {
        let mmehdgi = <?php echo json_encode($mmehdgi); ?>; //set up images
        let mmehdts = <?php echo json_encode($mmehdts); ?>; //set up translations
        mmjs.renderGrid(mmehdgi, mmehdts);
        mmjs.bindEventListeners();
    });
</script>