<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
$limeLightProduct = new MM_LimeLightProduct($p->id);
$limeLightService = MM_PaymentServiceFactory::getPaymentService(MM_PaymentService::$LIMELIGHT_SERVICE_TOKEN);
?>
<div id="mm-form-container">
    <table cellspacing="10">
        <tr>
            <td width="150"><?php _e("MemberMouse Product", "membermouse"); ?></td>
            <td>
                <select name='mm_product_id' id='mm_product_id' onchange="mmjs.getMMProductDescription();">
                    <?php
                    $unmappedProducts = MM_LimeLightProduct::getUnmappedProducts();

                    // add currently selected product
                    if ($limeLightProduct->isValid()) {
                        $product = new MM_Product($limeLightProduct->getMMProductId());

                        if ($product->isValid()) {
                            $unmappedProducts[$limeLightProduct->getMMProductId()] = $product->getName();
                        }
                    }

                    echo MM_HtmlUtils::generateSelectionsList($unmappedProducts, $limeLightProduct->getMMProductId());
                    ?>
                </select>

                <div id="mm_product_description" style="margin-top:10px;"></div>
            </td>
        </tr>

        <tr>
            <td colspan="2">
                <div style="width: 98%; margin-top: 8px;" class="mm-divider"></div>
            </td>
        </tr>

        <tr>
            <td width="150"><?php _e("Limelight Campaign", "membermouse"); ?></td>
            <td><?php
                $productId = $limeLightProduct->getLimeLightProductId();
                if (empty($productId)) {
                ?>
                    <select name='limelight_campaign_id[]' id='limelight_campaign_id' onchange='mmjs.getLimeLightProducts();' multiple='true' style="height: 200px">
                        <?php echo MM_HtmlUtils::generateSelectionsList($limeLightService->getCampaigns(), $limeLightProduct->getLimeLightCampaignId()); ?>
                    </select>
                <?php } else { ?>

                    <select name='limelight_campaign_id[]' id='limelight_campaign_id' onchange='mmjs.getLimeLightProducts();'>
                        <?php echo MM_HtmlUtils::generateSelectionsList($limeLightService->getCampaigns(), $limeLightProduct->getLimeLightCampaignId()); ?>
                    </select>
                <?php } ?>
            </td>
        </tr>

        <tr>
            <td width="150"><?php _e("Limelight Product", "membermouse"); ?></td>
            <td>
                <div id="limelight_product_display_section">
                    <?php
                    $productId = $limeLightProduct->getLimeLightProductId();
                    if (!empty($productId)) {
                    ?>
                        <span style="font-family:courier;"><?php echo $limeLightProduct->getLimeLightProductName(); ?> [<?php echo $limeLightProduct->getLimeLightProductId(); ?>]</span>
                    <?php } else { ?>
                        <a href="javascript:mmjs.getLimeLightProducts();"><?php _e("Load Limelight Products", "membermouse"); ?></a>
                    <?php } ?>
                    <a href="javascript:mmjs.getLimeLightProducts();" title="<?php _e("Get Limelight Products", "membermouse"); ?>"><?php echo MM_Utils::getIcon("download", "green", "1.4em", "2px;"); ?></a>
                    <a href="javascript:mmjs.getLimeLightProductDescription('');" title="<?php _e("View Limelight Product Info", "membermouse"); ?>"><?php echo MM_Utils::getIcon("info-circle", "blue", "1.3em", "1px;"); ?></a>
                    <br />
                    <?php if ($limeLightProduct->getLimeLightProductId() > 0) { ?>
                        <div style='clear:both; height: 10px;'></div>
                        <input type='checkbox' onchange="mmjs.doToggleCampaignSelection();" id='limelight_map_all_associated_campaigns' name='limelight_map_all_associated_campaigns' value='1' <?php echo (($limeLightProduct->getLimeLightCampaignId() == 0) ? "checked" : ""); ?> /> <?php _e("Use the product mapping specified above across all Lime Light campaigns.", "membermouse"); ?> <?php echo MM_Utils::getIcon("info-circle", "blue", "1.3em", "1px;", __("When this is checked, Lime Light product whatever will be mapped to the MemberMouse product whatever regardless of what Lime Light campaign is specified. This can be overridden for specific campaigns in a separate mapping.", "membermouse")); ?>
                    <?php } ?>

                </div>

                <div id="limelight_select_product_section" style="display:none;">
                    <select name='limelight_product_id_selector' id='limelight_product_id_selector' style="display:none;">
                    </select>
                    <a href="javascript:mmjs.getLimeLightProductDescription('');" title="<?php _e("View Limelight Product Info", "membermouse"); ?>"><?php echo MM_Utils::getIcon("info-circle", "blue", "1.3em", "1px;"); ?></a>
                    <br />
                    <div style='clear:both; height: 10px;'></div>
                    <input type='checkbox' onchange="mmjs.doToggleCampaignSelection();" id='limelight_map_all_associated_campaigns' name='limelight_map_all_associated_campaigns' value='1' /> <?php _e("Use the product mapping specified above across all Limelight campaigns.", "membermouse"); ?> <?php echo MM_Utils::getIcon("info-circle", "blue", "1.3em", "1px;", __("When this is checked, Limelight product whatever will be mapped to the MemberMouse product whatever regardless of what Limelight campaign is specified. This can be overridden for specific campaigns in a separate mapping.", "membermouse")); ?>
                </div>

            </td>
        </tr>
    </table>

    <input id='id' type='hidden' value='<?php if ($limeLightProduct->getId() != 0) {
                                            echo $limeLightProduct->getId();
                                        } ?>' />
    <input id='limelight_campaign_name' name='limelight_campaign_name' type='hidden' />
    <input id='limelight_campaign_map_all' name='limelight_campaign_map_all' type='hidden' value="0" />
    <input id='limelight_product_name' name='limelight_product_name' type='hidden' value='<?php echo $limeLightProduct->getLimeLightProductName(); ?>' />
    <input id='limelight_product_id' name='limelight_product_id' type='hidden' value='<?php echo $limeLightProduct->getLimeLightProductId(); ?>' />
</div>

<div class="mm-dialog-footer-container">
    <div class="mm-dialog-button-container">
        <a href="javascript:mmjs.save();" class="mm-ui-button blue"><?php _e("Save Product Mapping", "membermouse"); ?></a>
        <a href="javascript:mmjs.closeDialog();" class="mm-ui-button"><?php _e("Cancel", "membermouse"); ?></a>
    </div>
</div>
<script>
    jQuery(document).ready(function() {
        mmjs.getMMProductDescription();
        <?php if ($limeLightProduct->getLimeLightProductId() > 0) { ?>
            mmjs.doToggleCampaignSelection();
        <?php } ?>
    });
</script>