<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */


$view = new MM_LimeLightProductsView();
$dataGrid = new MM_DataGrid($_REQUEST, "limelight_campaign_name", "asc", 10);
$data = $view->getViewData($dataGrid);
$dataGrid->setTotalRecords($data);
$dataGrid->recordName = "product mapping";

$rows = array();

foreach ($data as $key => $item) {
    $mmProductName = MM_NO_DATA;
    $mmProductDescription = MM_NO_DATA;
    $product = new MM_Product($item->membermouse_product_id);

    if ($product->isValid()) {
        $mmProductName = $product->getName();
        $mmProductDescription = $product->getBillingDescription() . " ";

        if ($product->hasTrial()) {
            $mmProductDescription .= MM_Utils::getIcon('clock-o', 'beige', '1.3em', '2px', __('Has Trial', 'membermouse'), 'margin-right:5px;');
        }

        if ($product->isRecurring()) {
            if ($product->doLimitPayments()) {
                $mmProductDescription .= MM_Utils::getIcon('calendar-o', 'beige', '1.3em', '2px', __('Payment Plan', 'membermouse'), 'margin-right:5px;');
            } else {
                $mmProductDescription .= MM_Utils::getIcon('refresh', 'beige', '1.3em', '2px', __('Subscription', 'membermouse'), 'margin-right:5px;');
            }
        }

        if ($product->isShippable()) {
            $mmProductDescription .= MM_Utils::getIcon('truck', 'beige', '1.3em', '2px', __('Requires Shipping', 'membermouse'), 'margin-right:5px;');
        }

        if ($product->getSku() != "") {
            $mmProductDescription .= MM_Utils::getIcon('barcode', 'beige', '1.3em', '2px', sprintf(__('SKU [%s]', 'membermouse'), $product->getSku()), 'margin-right:5px;');
        }
    }

    // Actions
    $editActionUrl = 'onclick="mmjs.edit(\'mm-limelight-products-dialog\', \'' . $item->id . '\', 550, 335)"';
    $deleteActionUrl = 'onclick="mmjs.remove(\'' . $item->id . '\')"';
    $actions = MM_Utils::getEditIcon(__("Edit Product Mapping", "membermouse"), '', $editActionUrl);
    $actions .= MM_Utils::getDeleteIcon(__("Delete Product Mapping", "membermouse"), 'margin-left:5px;', $deleteActionUrl);

    // Lime Light Product
    $llProduct = "{$item->limelight_product_name} [{$item->limelight_product_id}]";
    $llProduct .= '<a href="javascript:mmjs.getLimeLightProductDescription(\'' . $item->limelight_product_id . '\');" style="margin-left: 5px; cursor:pointer;" title="' . __('View Limelight Product Info', 'membermouse') . '">' . MM_Utils::getIcon("info-circle", "blue", "1.3em", "2px;") . '</a>';

    $llProductNameAndID = "{$item->limelight_campaign_name} [{$item->limelight_campaign_id}]";
    if (intval($item->limelight_campaign_id) <= 0) {
        if ($item->limelight_campaign_id == 0) {
            $llProductNameAndID = "<i>ALL CAMPAIGNS</i>";
        } else {
            $llProductNameAndID = "{$item->limelight_campaign_name}";
        }
    }

    $rows[] = array(
        array('content' => $llProductNameAndID),
        array('content' => $llProduct),
        array('content' => $mmProductName),
        array('content' => $mmProductDescription),
        array('content' => $actions),
    );
}

$headers = array(
    'limelight_campaign_name'    => array('content' => '<a onclick="mmjs.sort(\'limelight_campaign_name\');" href="#">' . __('Limelight Campaign', 'membermouse') . '</a>'),
    'limelight_product_name'     => array('content' => '<a onclick="mmjs.sort(\'limelight_product_name\');" href="#">' . __('Limelight Product', 'membermouse') . '</a>'),
    'membermouse_product_id'    => array('content' => __('MemberMouse Product', 'membermouse')),
    'membermouse_product_desc'    => array('content' => __('Product Description', 'membermouse')),
    'actions'                    => array('content' => __('Actions', 'membermouse'), 'attr' => 'style="width:50px;"')
);

$dataGrid->setHeaders($headers);
$dataGrid->setRows($rows);

$dgHtml = $dataGrid->generateHtml();

if ($dgHtml == "") {
    $dgHtml = "<p><em>" . __("No product mappings.", "membermouse") . "</em></p>";
}
?>
<div class="mm-wrap">
    <?php
    if (MM_MemberMouseService::hasPermission(MM_MemberMouseService::$PYMT_SERVICE_LIMELIGHT)) {
        $products = MM_Product::getAll();

        if (count($products) > 0) {
            $unmappedProducts = MM_LimeLightProduct::getUnmappedProducts();

            if (count($unmappedProducts) > 0) {
    ?>
                <div class="mm-button-container">
                    <a onclick="mmjs.create('mm-limelight-products-dialog', 550, 560)" class="mm-ui-button green"><?php echo MM_Utils::getIcon('plus-circle', '', '1.2em', '1px'); ?> <?php _e("Create Product Mapping", "membermouse"); ?></a>
                </div>

                <div class="clear"></div>
            <?php } ?>

            <div style="width:95%;">
                <?php echo $dgHtml; ?>
            </div>
    <?php
        } else {
            echo "<p><em>" . __("No MemberMouse products created.", "membermouse") . "</em></p>";
        }
    } else {
        echo MM_Utils::getIcon('lock', 'yellow', '1.3em', '2px');
        $upgradeUrl = '<a href="' . MM_MemberMouseService::getUpgradeUrl(MM_MemberMouseService::$PYMT_SERVICE_LIMELIGHT) . '" target="_blank">';
        printf(__('This feature is not available on your current plan. To get access, %1$supgrade your plan now%2$s.', 'membermouse'), $upgradeUrl, '</a>');
    }
    ?>
</div>