<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */


$view = new MM_LimeLightShippingMethodsView();
$dataGrid = new MM_DataGrid($_REQUEST, "limelight_shipping_method_name", "asc", 10);
$data = $view->getViewData($dataGrid);
$dataGrid->setTotalRecords($data);
$dataGrid->recordName = "shipping method mapping";

$rows = array();

foreach ($data as $key => $item) {
    $split = explode("-", $item->membermouse_shipping_option_key);
    $token = $split[0];
    $mmShippingMethodName = MM_NO_DATA;

    //get the shipping method
    $shippingMethod = MM_ShippingMethod::getShippingMethodByToken($token);

    if ($shippingMethod) {
        $optionRetrievalResponse = $shippingMethod->getShippingOptionByKey(new MM_Order(), $item->membermouse_shipping_option_key);
        $shippingOption = $optionRetrievalResponse->message;

        if ($shippingOption) {
            $mmShippingMethodName = "{$shippingOption->getName()} ({$shippingOption->getRate(true)})";
        }
    }

    // Actions
    $editActionUrl = 'onclick="mmjs.edit(\'mm-limelight-shipping-methods-dialog\', \'' . $item->id . '\', 550, 235)"';
    $deleteActionUrl = 'onclick="mmjs.remove(\'' . $item->id . '\')"';
    $actions = MM_Utils::getEditIcon(__("Edit Shipping Method Mapping", "membermouse"), '', $editActionUrl);
    $actions .= MM_Utils::getDeleteIcon(__("Delete Shipping Method Mapping", "membermouse"), 'margin-left:5px;', $deleteActionUrl);

    // Lime Light Shipping Method
    $llShippingMethod = "{$item->limelight_shipping_method_name} [{$item->limelight_shipping_method_id}]";
    $llShippingMethod .= '<a href="javascript:mmjs.getLimeLightShippingDescription(\'' . $item->limelight_shipping_method_id . '\');" style="margin-left: 5px; cursor:pointer;" title="' . __('View Limelight Shipping Method Info', 'membermouse') . '">' . MM_Utils::getIcon("info-circle", "blue", "1.3em", "2px;") . '</a>';


    $rows[] = array(
        array('content' => $llShippingMethod),
        array('content' => $mmShippingMethodName),
        array('content' => $actions),
    );
}

$headers = array(
    'limelight_shipping_method_name'    => array('content' => '<a onclick="mmjs.sort(\'limelight_shipping_method_name\');" href="#">' . __('Limelight Shipping Method', 'membermouse') . '</a>'),
    'membermouse_shipping_method_id'    => array('content' => __('MemberMouse Shipping Method', 'membermouse')),
    'actions'                            => array('content' => __('Actions', 'membermouse'), 'attr' => 'style="width:50px;"')
);

$dataGrid->setHeaders($headers);
$dataGrid->setRows($rows);

$dgHtml = $dataGrid->generateHtml();

if ($dgHtml == "") {
    $dgHtml = "<p><em>" . __("No shipping method mappings.", "membermouse") . "</em></p>";
}
?>
<div class="mm-wrap">
    <?php
    if (MM_MemberMouseService::hasPermission(MM_MemberMouseService::$PYMT_SERVICE_LIMELIGHT)) {
        $shippingMethods = MM_ShippingMethod::getAvailableShippingOptions();

        if (count($shippingMethods) > 0) {
            $unmappedShippingMethods = MM_LimeLightShippingMethod::getUnmappedShippingMethods();

            if (count($unmappedShippingMethods) > 0) {
    ?>
                <div class="mm-button-container">
                    <a onclick="mmjs.create('mm-limelight-shipping-methods-dialog', 550, 255)" class="mm-ui-button green"><?php echo MM_Utils::getIcon('plus-circle', '', '1.2em', '1px'); ?> <?php _e('Create Shipping Method Mapping', 'membermouse'); ?></a>
                </div>
            <?php } ?>

            <div class="clear"></div>

            <div style="width:65%;">
                <?php echo $dgHtml; ?>
            </div>
    <?php
        } else {
            echo "<p><em>" . __("No MemberMouse shipping methods created.", "membermouse") . "</em></p>";
        }
    } else {
        echo MM_Utils::getIcon('lock', 'yellow', '1.3em', '2px');
        $upgradeUrl = '<a href="' . MM_MemberMouseService::getUpgradeUrl(MM_MemberMouseService::$PYMT_SERVICE_LIMELIGHT) . '" target="_blank">';
        printf(__('This feature is not available on your current plan. To get access, %1$supgrade your plan now%2$s.', 'membermouse'), $upgradeUrl, '</a>');
    }
    ?>
</div>