<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

$migrationWarningMsg = sprintf(__('Your site has been upgraded to MemberMouse version %s from a previous version. To ensure a seamless transition and optimal performance, your database tables need to be upgraded. Please create a full site backup before proceeding with the database upgrade.', 'membermouse'), MemberMouse::getPluginVersion());
$supportMsg = sprintf(__('For more information, please see %s.', 'membermouse'), '<a target="_blank" href="https://membermouse.com/docs/important-changes-for-membermouse-3-0-read-this-first/#database-upgrade">Important Changes for MemberMouse 3.0</a>');

?>
<div class="mm-wrap">
    <p class="mm-header-text"><?php _e("Upgrade Database Tables", "membermouse"); ?></p>
    <div style="width:645px;">
        <?php if (!mmShouldUseLegacyDB()) { ?>
            <p><?php _e("Your database has already been upgraded", "membermouse"); ?></p>
        <?php } else { ?>
            <div style="width:750px;" class="mm-info-box yellow">
                <form id="db-migration-form">
                    <p><i class="fa fa-exclamation-triangle" style="color:#eed202"></i> <strong><?php echo $migrationWarningMsg; ?></strong></p>
                    <p><?php echo $supportMsg; ?></p>
                    <div class="mm-button-container">
                        <input type="checkbox" name="migrate-collation" id="migrate-collation" checked=CHECKED> <?php _e("Also change table collation (recommended). This will clear the Activity Log.", "membermouse"); ?>
                    </div>
                    <div class="mm-button-container">
                        <a id="do-migration" class="mm-ui-button green"><?php _e("Begin Upgrade", "membermouse"); ?></a>
                    </div>
                </form>
            </div>
        <?php } ?>
    </div>
</div>
<div class="mbtDialog" id="mm-migration-progress-dialog" style='display:none'>
    <h3><i class="fa fa-download" style="top:1px;"></i> <?php _e("Database Upgrade", "membermouse"); ?></h3>
    <p><?php _e("Your database is being upgraded.", "membermouse"); ?></p>
    <p><em><?php _e("Please do not close this window or navigate away from this page until the process is complete.", "membermouse"); ?></em></p>
    <div>
        <label for="mm-migration-progress"><?php _e("Upgrade progress", "membermouse"); ?>:</label>
        <progress id="mm-migration-progress" value="0" max="100"></progress>
        <br>
        <div id="mm-migration-progress-text"></div>
    </div>
    <p>
        <input type='button' value="OK" id="mm-migration-ok" class="mm-ui-button" style="display:none" />
    </p>
</div>