<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

// Lookup table to translate internal column ID to expected CSS class
$cssIdMap = [
    "orderNumber" => "id",
    "date" => "date",
    "productName" => "description",
    "amount" => "amount",
    "transType" => "type"
];

?>
<table id="mm-order-history-table">
    <thead>
        <tr>
            <?php foreach ($p->datagrid->headers as $key => $header) {
                $cssId = (array_key_exists($key, $cssIdMap)) ? $cssIdMap[$key] : $key; ?>
                <th id="mm-order-history-<?php echo $cssId; ?>-column" scope="col" <?php echo ((isset($header["attr"])) ? $header["attr"] : ""); ?>><?php echo $header["content"]; ?></th>
            <?php } ?>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($p->datagrid->rows as $key => $record) { ?>
            <tr>
                <?php foreach ($record as $key => $field) { ?>
                    <td><?php echo $field["content"]; ?></td>
                <?php } ?>
            </tr>
        <?php } ?>
    </tbody>
</table>