<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
?>

<div id="mm-form-container" style="width:460px;">
    <p><span class="mm-section-header"><?php printf(__('Purchase links for "%s"', 'membermouse'), $p->productName); ?></span></p>

    <div style="font-size:11px;">
        <p><?php printf(__('MemberMouse offers two methods for creating purchase links. Use one of the links below to allow customers to purchase the "%s" product.', 'membermouse'), $p->productName); ?></p>

        <p><strong><?php _e("Purchase Link SmartTag", "membermouse"); ?></strong><?php echo MM_Utils::getInfoIcon(__("You can use this Purchase Link SmartTag in any post or page on your site. When using this SmartTag MemberMouse will automatically generate a link customers can click on to purchase this product.", "membermouse")); ?></p>

        <input id="mm-smart-tag" type="text" readonly value="<?php echo htmlentities($p->smartTag, ENT_COMPAT | ENT_HTML401, "UTF-8"); ?>" style="width:440px; font-family:courier; font-size:11px;" onclick="jQuery('#mm-smart-tag').focus(); jQuery('#mm-smart-tag').select();" />

        <ul style="margin-left:20px;">
            <li><?php printf(__('Set the %1$s attribute to %2$s to indicate that this purchase is a gift.', 'membermouse'), '<code>isGift</code>', '<code>true</code>'); ?></li>
        </ul>

        <p style="margin-left:20px;">
            <?php printf(__('Read this article to %1$slearn more about the %2$s.', 'membermouse'), '<a href="https://membermouse.com/docs/mm-purchase-link-smarttag" target="_blank">', '<code>MM_Purchase_Link</code> SmartTag'); ?>
        </p>

        <p>
            <strong><?php _e("Static Link", "membermouse"); ?></strong>
            <?php echo MM_Utils::getInfoIcon(__("You can use this link anywhere -- in a PPC or banner ad, email, on your site, on a 3rd party site, etc. Customers can click on this link to purchase this product", "membermouse")); ?>
        </p>

        <input id="mm-static-link" type="text" readonly value="<?php echo htmlentities($p->staticLink, ENT_COMPAT | ENT_HTML401, "UTF-8"); ?>" style="width:440px; font-family:courier; font-size:11px;" onclick="jQuery('#mm-static-link').focus(); jQuery('#mm-static-link').select();" />

        <?php
        $affiliateId = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_AFFILIATE);
        $subAffiliateId = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_SUB_AFFILIATE);
        ?>
        <p><strong><?php _e("Add Affiliate Tracking", "membermouse"); ?></strong></p>
        <p><?php _e("To add affiliate tracking to the above purchase links you simply need to append affiliate tracking parameters to the URL as follows:", "membermouse"); ?></p>
        <p><em><?php _e("Purchase Link SmartTag", "membermouse"); ?></em>: <br /><code>&lt;a href="[MM_Purchase_Link productId='#']<strong>&<?php echo $affiliateId; ?>=###&<?php echo $subAffiliateId; ?>=###</strong>"&gt;<?php _e("Buy Now", "membermouse"); ?>&lt;/a&gt;</code></p>
        <p><em><?php _e("Static Link", "membermouse"); ?></em>: <br /><code>http://yourdomain.com/checkout/?rid=p4K7d<strong>&<?php echo $affiliateId; ?>=###&<?php echo $subAffiliateId; ?>=###</strong></code></p>
        <p><?php printf(__('Where all %1$s characters would be replaced with the appropriate values. Read this article to %2$slearn more about creating an affiliate link%3$s.', 'membermouse'), '<code>#</code>', '<a href="https://membermouse.com/docs/create-an-affiliate-link" target="_blank">', '</a>'); ?></p>
    </div>
</div>