<?php
$action = new MM_Action($p->id);
$actionValue = $action->getActionValue();
$eventAttributes = $action->getEventAttributes();
$status = $action->getStatus();

// set defaults
$params = array("scriptUrl", "emailToId", "emailFromId", "emailCC", "emailBody", "emailSubject", "zapierMailbox", "zapierAdditionalInfo");
foreach ($params as $key) {
    if (!isset($actionValue[$key])) {
        if ($key == "emailToId") {
            $actionValue[$key] = MM_Action::$CURRENT_MEMBER_PLACEHOLDER;
        } else {
            $actionValue[$key] = "";
        }
    }
}

$memberInfoTitle = sprintf(
    __('New Member Signup (%s)', 'membermouse'),
    "[MM_Member_Data name='email']",
);
$orderReceiptTitle = sprintf(
    __('Thank you for your order (#%s)', 'membermouse'),
    "[MM_Order_Data name='id']",
);
$orderReceiptGreeting = sprintf(
    __('Hi %s,', 'membermouse'),
    "[MM_Member_Data name='firstName']",
);
$orderReceiptShippingMsg = sprintf(
    __('Your order will be shipped via %s', 'membermouse'),
    "[MM_Order_Data name='shippingMethod']",
);
$orderReceiptContactMsg = sprintf(
    __('If you have any questions concerning your order, feel free to contact us at %s.', 'membermouse'),
    "[MM_Employee_Data name='email']",
);
?>
<script>
    function insertMemberInfoTemplate() {
        var str = "<?php echo $memberInfoTitle; ?>";
        jQuery("#mm-send-email-subject").val(str);
        var str = "<?php _e("Congratulations! A new member has just signed up.", "membermouse"); ?>" + "\n\n";
        str += "<?php _e("Here are their details", "membermouse"); ?>" + ":\n";
        str += "<?php _e("ID", "membermouse"); ?>: [MM_Member_Data name='id']\n";
        str += "<?php _e("Name", "membermouse"); ?>: [MM_Member_Data name='firstName'] [MM_Member_Data name='lastName']\n";
        str += "<?php _e("Email", "membermouse"); ?>: [MM_Member_Data name='email']\n";
        str += "<?php _e("Membership Level", "membermouse"); ?>: [MM_Member_Data name='membershipName']\n";
        str += "<?php _e("Status", "membermouse"); ?>: [MM_Member_Data name='statusName']";
        insertTemplate(str);
    }

    function insertOrderReceiptTemplate() {
        var str = "<?php echo $orderReceiptTitle; ?>";
        jQuery("#mm-send-email-subject").val(str);

        var str = "<?php echo $orderReceiptGreeting; ?>\n\n";

        str += "<?php _e("Thank you for your purchase!", "membermouse"); ?>" + "\n\n";

        str += "<?php _e("Here are your order details", "membermouse"); ?>" + ":\n";
        str += "<?php _e("Order ID", "membermouse"); ?>: [MM_Order_Data name='id']\n";
        str += "<?php _e("Product Name", "membermouse"); ?>: [MM_Order_Data name='productName']\n";
        str += "<?php _e("Subtotal", "membermouse"); ?>: [MM_Order_Data name='subtotal' doFormat='true']\n";
        str += "<?php _e("Discount", "membermouse"); ?>: [MM_Order_Data name='discount' doFormat='true']\n";
        str += "<?php _e("Shipping", "membermouse"); ?>: [MM_Order_Data name='shipping' doFormat='true']\n";
        str += "<?php _e("Order Total", "membermouse"); ?>: [MM_Order_Data name='total' doFormat='true']\n\n";

        str += "<?php _e("Billing Address", "membermouse"); ?>" + ":\n";
        str += "[MM_Order_Data name='billingAddress']\n";
        str += "[MM_Order_Data name='billingCity'], [MM_Order_Data name='billingState'] [MM_Order_Data name='billingZipCode']\n";
        str += "[MM_Order_Data name='billingCountry']\n\n";

        str += "<?php _e("Shipping Address", "membermouse"); ?>" + ":\n";
        str += "[MM_Order_Data name='shippingAddress']\n";
        str += "[MM_Order_Data name='shippingCity'], [MM_Order_Data name='shippingState'] [MM_Order_Data name='shippingZipCode']\n";
        str += "[MM_Order_Data name='shippingCountry']\n\n";

        str += "<?php echo $orderReceiptShippingMsg; ?>" + "\n\n";
        str += "<?php echo $orderReceiptContactMsg; ?>";

        insertTemplate(str);
    }

    function insertOverduePaymentTemplate() {
        var str = "<?php _e("Your Account Is Past Due", "membermouse"); ?>";
        jQuery("#mm-send-email-subject").val(str);

        var str = "[MM_Member_Data name='firstName'],\n\n";

        str += "<?php _e("Your recent payment was declined.", "membermouse"); ?>" + "\n\n";

        str += "<?php _e("Please update your billing information to reactivate your account.", "membermouse"); ?>" + "\n";
        str += "<?php _e("To update your credit card details, please click the link below", "membermouse"); ?>" + ":\n\n";

        str += "[MM_CorePage_Link type='myaccount' autoLogin='true']\n\n";

        str += "<?php _e("Thank you for your prompt attention to this matter.", "membermouse"); ?>";

        insertTemplate(str);
    }

    function insertTemplate(str) {
        jQuery("#mm-send-email-body").val(str);
    }
</script>

<div id="mm-form-container">
    <div id="mm-status-container" style="margin-top:5px;">
        <span class="mm-section-header"><?php _e("Status", "membermouse"); ?></span>
        <input type="radio" name="status" value="1" onclick="mmjs.statusChangeHandler()" <?php echo (($status == "1") ? "checked" : ""); ?> /> <?php _e("Active", "membermouse"); ?> &nbsp;
        <input type="radio" name="status" value="0" onclick="mmjs.statusChangeHandler()" <?php echo (($status == "0") ? "checked" : ""); ?> /> <?php _e("Inactive", "membermouse"); ?>
        <input id="mm-action-status" type="hidden" value="<?php echo $status; ?>" />
    </div>

    <input type='hidden' id='mm-action-id' value='<?php echo $action->getId(); ?>' />
    <p><span class="mm-section-header"><?php _e("When the following event occurs", "membermouse"); ?>...</span></p>
    <p style="margin-left:20px;">
        <select id="mm-event-type" onchange="mmjs.eventChangeHandler();">
            <?php echo MM_HtmlUtils::getEventTypesList($action->getEventType()); ?>
        </select>
    </p>

    <!-- Insert second tier options for events -->
    <div id="mm_product_purchase_attributes" style="display: none;">
        <p style="margin-left: 20px;">
            <?php _e("When the product is", "membermouse"); ?>...<br />
            <select id="mm-product-purchase-selector">
                <option value=""><?php _e("Any Product", "membermouse"); ?></option>
                <?php
                $productId = "";

                if (is_array($eventAttributes) && isset($eventAttributes["product_id"])) {
                    $productId = $eventAttributes["product_id"];
                }
                echo MM_HtmlUtils::getProducts($productId);
                ?>
            </select>
        </p>
    </div>

    <div id="mm_member_add_attributes" style="display: none;">
        <p style="margin-left: 20px;">
            <?php _e("When membership level is", "membermouse"); ?>...<br />
            <select id="mm-member-add-selector">
                <option value=""><?php _e("Any Membership Level", "membermouse"); ?></option>
                <?php
                $membershipLevelId = "";

                if (is_array($eventAttributes) && isset($eventAttributes["membership_level_id"])) {
                    $membershipLevelId = $eventAttributes["membership_level_id"];
                }
                echo MM_HtmlUtils::getMemberships($membershipLevelId);
                ?>
            </select>
        </p>
    </div>

    <div id="mm_member_status_change_attributes" style="display: none;">
        <p style="margin-left: 20px;">
            <?php _e("When membership level is", "membermouse"); ?>...<br />
            <select id="mm-member-selector">
                <option value=""><?php _e("Any Membership Level", "membermouse"); ?></option>
                <?php
                $membershipLevelId = "";

                if (is_array($eventAttributes) && isset($eventAttributes["membership_level_id"])) {
                    $membershipLevelId = $eventAttributes["membership_level_id"];
                }
                echo MM_HtmlUtils::getMemberships($membershipLevelId);
                ?>
            </select>
        </p>
        <p style="margin-left: 20px;">
            <?php _e("When membership status is...", "membermouse"); ?><br />
            <select id="mm-member-status-selector">
                <option value=""><?php _e("Any Status", "membermouse"); ?></option>
                <?php
                $statusId = "";

                if (is_array($eventAttributes) && isset($eventAttributes["status_id"])) {
                    $statusId = $eventAttributes["status_id"];
                }
                echo MM_HtmlUtils::generateSelectionsList(MM_Status::getStatusTypesList(array(MM_Status::$PENDING_ACTIVATION, MM_Status::$ERROR)), $statusId);
                ?>
            </select>
        </p>
    </div>

    <div id="mm_bundles_add_attributes" style="display: none;">
        <p style="margin-left: 20px;">
            <?php _e("When bundle is", "membermouse"); ?>...<br />
            <select id="mm-bundle-add-selector">
                <option value=""><?php _e("Any Bundle", "membermouse"); ?></option>
                <?php
                $bundleId = "";

                if (is_array($eventAttributes) && isset($eventAttributes["bundle_id"])) {
                    $bundleId = $eventAttributes["bundle_id"];
                }
                echo MM_HtmlUtils::getBundles($bundleId);
                ?>
            </select>
        </p>
    </div>

    <div id="mm_bundles_status_change_attributes" style="display: none;">
        <p style="margin-left: 20px;">
            <?php _e("When bundle is", "membermouse"); ?>...<br />
            <select id="mm-bundle-selector">
                <option value=""><?php _e("Any Bundle", "membermouse"); ?></option>
                <?php
                $bundleId = "";

                if (is_array($eventAttributes) && isset($eventAttributes["bundle_id"])) {
                    $bundleId = $eventAttributes["bundle_id"];
                }
                echo MM_HtmlUtils::getBundles($bundleId);
                ?>
            </select>
        </p>

        <p style="margin-left: 20px;">
            <?php _e("When bundle status is", "membermouse"); ?>...<br />
            <select id="mm-bundle-status-selector">
                <option value=""><?php _e("Any Status", "membermouse"); ?></option>
                <?php
                $statusId = "";

                if (is_array($eventAttributes) && isset($eventAttributes["status_id"])) {
                    $statusId = $eventAttributes["status_id"];
                }
                echo MM_HtmlUtils::generateSelectionsList(MM_Status::getStatusTypesList(), $statusId);
                ?>
            </select>
        </p>
    </div>


    <p><span class="mm-section-header"><?php _e("Perform the following action", "membermouse"); ?>...</span></p>
    <p style="margin-left:20px;">
        <select id="mm-action-type" onchange="mmjs.actionChangeHandler();">
            <?php echo MM_HtmlUtils::getActionsList($action->getActionType()); ?>
        </select>
    </p>

    <div id="mm-action-call-script" style="display:none; margin-left:20px;">
        <p style="font-size:11px;">
            <?php _e("Enter the URL of your custom script below", "membermouse"); ?>:
        </p>
        <input type='text' id='mm-script-url' value='<?php echo $actionValue["scriptUrl"]; ?>' style="width:400px; font-family:courier !important; font-size:11px;" />
        <p style="font-size:11px;">
            <?php _e("When the event selected above occurs, MemberMouse will call the script passing an event type and any relevant data.", "membermouse"); ?>
            <?php _e("Download the sample scripts below to see how to respond to different events and access the data passed.", "membermouse"); ?>

        </p>
        <p>
            <a href="https://membermouse.com/assets/files/member_notification_script.php" class="mm-ui-button">
                <?php echo MM_Utils::getIcon('user', '', '1.3em', '1px'); ?> <?php _e("Member Notification Script", "membermouse"); ?>
            </a>
            <span style="margin-left:10px;"></span>
            <a href="https://membermouse.com/assets/files/bundle_notification_script.php" class="mm-ui-button">
                <?php echo MM_Utils::getIcon('cube', '', '1.3em', '1px'); ?> <?php _e("Bundle Notification Script", "membermouse"); ?>
            </a>
        </p>
        <p>
            <a href="https://membermouse.com/assets/files/payment_notification_script.php" class="mm-ui-button">
                <?php echo MM_Utils::getIcon('money', '', '1.3em', '1px'); ?> <?php _e("Payment Notification Script", "membermouse"); ?>
            </a>
            <span style="margin-left:10px;"></span>
            <a href="https://membermouse.com/assets/files/affiliate_notification_script.php" class="mm-ui-button">
                <?php echo MM_Utils::getIcon('bullhorn', '', '1.3em', '1px'); ?> <?php _e("Affiliate Notification Script", "membermouse"); ?>
            </a>
        </p>
        <p>
            <a href="https://membermouse.com/assets/files/product_purchased_notification_script.php" class="mm-ui-button">
                <?php echo MM_Utils::getIcon('shopping-cart', '', '1.3em', '1px'); ?> <?php _e("Product Purchased Notification Script", "membermouse"); ?>
            </a>
            <span style="margin-left:10px;"></span>
        </p>

    </div>

    <div id="mm-action-notify-zapier" style="display:none; margin-left:20px;">
        <div style="line-height:22px; margin-bottom:5px;">
            <?php _e("Mailbox", "membermouse"); ?> <a href="https://parser.zapier.com/" target="_blank" style="font-size:10px;"><?php _e("create mailbox", "membermouse"); ?></a><br />
            <input id="mm-notify-zapier-mailbox" type="text" style="width:295px; font-family:courier; font-size:11px;" value="<?php echo $actionValue["zapierMailbox"]; ?>" />
        </div>

        <div style="line-height:22px; margin-bottom:10px;">
            <?php _e("From", "membermouse"); ?> <br />
            <select id="mm-notify-zapier-from" class="medium-text">
                <?php echo MM_HtmlUtils::getEmployees($actionValue["emailFromId"]); ?>
            </select>
        </div>

        <div class="mm-info-box yellow" style="margin-bottom:10px;">
            <?php echo MM_Utils::getIcon('info-circle', '#8a6d3b', '1.3em', '2px', '', ''); ?>
            <?php _e("MemberMouse will automatically send all data related to this event to Zapier. If you'd like to append additional information to the data already being sent, enter it in the field below.", "membermouse"); ?>

        </div>

        <div style="line-height:22px;">
            <?php _e("Additional Information", "membermouse"); ?> <?php echo MM_SmartTagLibraryView::smartTagLibraryButtons("mm-send-email-body"); ?>
            <span style="font-size:11px; color:#666666;">
                <?php
                $validSmartTags = __("Only the following SmartTags can be used here", "membermouse") . ":\n";
                $validSmartTags .= "[MM_Access_Decision] (you must provide an ID)\n";
                $validSmartTags .= "[MM_Content_Data] (you must provide an ID)\n";
                $validSmartTags .= "[MM_Content_Link] (you must provide an ID)\n";
                $validSmartTags .= "[MM_CorePage_Link]\n";
                $validSmartTags .= "[MM_CustomField_Data]\n";
                $validSmartTags .= "[MM_Employee_Data]\n";
                $validSmartTags .= "[MM_Member_Data]\n";
                $validSmartTags .= "[MM_Member_Decision]\n";
                $validSmartTags .= "[MM_Member_Link]\n";
                $validSmartTags .= "[MM_Order_Data] (" . __("only with payment and affiliate events", "membermouse") . ")\n";
                $validSmartTags .= "[MM_Order_Decision] (" . __("only with payment and affiliate events", "membermouse") . ")\n";
                $validSmartTags .= "[MM_Purchase_Link]";
                ?>
                <br />
                <em><?php _e("Note: Only certain SmartTags can be used here", "membermouse"); ?></em><?php echo MM_Utils::getInfoIcon($validSmartTags); ?>
            </span>
        </div>

        <div style="margin-top:5px">
            <textarea id="mm-notify-zapier-additional-info" style="width:450px; font-family:courier; font-size:11px;" rows="6"><?php echo htmlentities($actionValue["zapierAdditionalInfo"], ENT_QUOTES, 'UTF-8', true); ?></textarea>
        </div>
    </div>

    <div id="mm-action-send-email" style="display:none; margin-left:20px;">
        <div>
            <?php _e("To", "membermouse"); ?>
            <select id="mm-send-email-to" class="medium-text" style="margin-left:19px;">
                <option value="<?php echo MM_Action::$CURRENT_MEMBER_PLACEHOLDER; ?>" <?php echo ($actionValue["emailToId"] == MM_Action::$CURRENT_MEMBER_PLACEHOLDER) ? "selected" : ""; ?>><?php _e("Current Member", "membermouse"); ?></option>
                <?php echo MM_HtmlUtils::getEmployees($actionValue["emailToId"]); ?>
            </select>
        </div>

        <div>
            <?php _e("From", "membermouse"); ?>
            <select id="mm-send-email-from" class="medium-text">
                <?php echo MM_HtmlUtils::getEmployees($actionValue["emailFromId"]); ?>
            </select>
        </div>

        <div>
            <?php _e("CC", "membermouse"); ?><?php echo MM_Utils::getInfoIcon(__("Enter emails addresses to CC separated by commas", "membermouse")); ?>
            <input id="mm-send-email-cc" type="text" style="width:295px; font-family:courier; font-size:11px;" value="<?php echo $actionValue["emailCC"]; ?>" />
        </div>

        <div style="margin-top:5px">
            <?php _e("Subject", "membermouse"); ?>*
            <input id="mm-send-email-subject" type="text" style="width:386px; font-family:courier; font-size:11px;" value="<?php echo htmlentities($actionValue["emailSubject"], ENT_COMPAT | ENT_HTML401, "UTF-8"); ?>" />
        </div>

        <div style="margin-top:5px">
            <?php _e("Body", "membermouse"); ?>* <?php echo MM_SmartTagLibraryView::smartTagLibraryButtons("mm-send-email-body"); ?>
            <span style="font-size:11px; color:#666666;">
                <?php _e("Insert template", "membermouse"); ?>: <a href="javascript:insertMemberInfoTemplate();" style="color:#21759B;"><?php _e("Member Added", "membermouse"); ?></a>, <a href="javascript:insertOrderReceiptTemplate();" style="color:#21759B;"><?php _e("Order Receipt", "membermouse"); ?></a>,
                <a href="javascript:insertOverduePaymentTemplate();" style="color:#21759B;"><?php _e("Account Overdue Notice", "membermouse"); ?></a>
                <?php
                $validSmartTags = __("Only the following SmartTags can be used here", "membermouse") . ":\n";
                $validSmartTags .= "[MM_Access_Decision] (" . __("you must provide an ID", "membermouse") . "\n";
                $validSmartTags .= "[MM_Content_Data] (" . __("you must provide an ID", "membermouse") . ")\n";
                $validSmartTags .= "[MM_Content_Link] (" . __("you must provide an ID", "membermouse") . ")\n";
                $validSmartTags .= "[MM_CorePage_Link]\n";
                $validSmartTags .= "[MM_CustomField_Data]\n";
                $validSmartTags .= "[MM_Employee_Data]\n";
                $validSmartTags .= "[MM_Member_Data]\n";
                $validSmartTags .= "[MM_Member_Decision]\n";
                $validSmartTags .= "[MM_Member_Link]\n";
                $validSmartTags .= "[MM_Order_Data] (" . __("only with payment and affiliate events", "membermouse") . ")\n";
                $validSmartTags .= "[MM_Order_Decision] (" . __("only with payment and affiliate events", "membermouse") . ")\n";
                $validSmartTags .= "[MM_Purchase_Link]";
                ?>
                <br />
                <em><?php _e("Note: Only certain SmartTags can be used here", "membermouse"); ?></em><?php echo MM_Utils::getInfoIcon($validSmartTags); ?>
            </span>
        </div>

        <div style="margin-top:5px">
            <textarea id="mm-send-email-body" style="width:450px; font-family:courier; font-size:11px;" rows="6"><?php echo htmlentities($actionValue["emailBody"], ENT_QUOTES, 'UTF-8', true); ?></textarea>
        </div>
    </div>

</div>

<script>
    mmjs.eventChangeHandler();
    mmjs.actionChangeHandler();
</script>

<div class="mm-dialog-footer-container">
    <div class="mm-dialog-button-container">
        <a href="javascript:mmjs.save();" class="mm-ui-button blue"><?php _e("Save Push Notification", "membermouse"); ?></a>
        <a href="javascript:mmjs.closeDialog();" class="mm-ui-button"><?php _e("Cancel", "membermouse"); ?></a>
    </div>
</div>