<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

$view = new MM_PushNotificationView();
$dataGrid = new MM_DataGrid($_REQUEST, "event_type", "asc", 10);
$data = $view->getViewData($dataGrid);
$dataGrid->setTotalRecords($data);
$dataGrid->width = "98%";
$dataGrid->recordName = "notification";

$rows = array();

$headers = array(
    'event_type'    => array('content' => '<a onclick="mmjs.sort(\'event_type\');" href="#">' . __("Event", "membermouse") . '</a>'),
    'action_type'    => array('content' => '<a onclick="mmjs.sort(\'action_type\');" href="#">' . __("Action", "membermouse") . '</a>'),
    'status'        => array('content' => '<a onclick="mmjs.sort(\'status\');" href="#">' . __("Status", "membermouse") . '</a>'),
    'actions'        => array('content' => '')
);

foreach ($data as $key => $item) {
    $editActionUrl = 'onclick="mmjs.edit(\'mm-push-notification-dialog\', \'' . $item->id . '\', 510, 615)"';
    $deleteActionUrl = 'onclick="mmjs.remove(\'' . $item->id . '\')"';
    $actions = MM_Utils::getEditIcon(__("Edit Push Notification", "membermouse"), '', $editActionUrl);
    $actions .= MM_Utils::getDeleteIcon(__("Delete Push Notification", "membermouse"), 'margin-left:5px;', $deleteActionUrl);

    if ($item->status == "1") {
        $actions .= '<a title="' . __("Send Test Notification", "membermouse") . '" style="margin-left: 5px; cursor:pointer" onclick="mmjs.sendTestNotification(\'' . $item->id . '\');">' . MM_Utils::getIcon('flask', 'green', '1.3em', '2px') . '</a>';
    } else {
        $actions .= '<a title="' . __("Activate this push notification in order to send a test", "membermouse") . '" style="margin-left: 5px;">' . MM_Utils::getIcon('flask', 'grey', '1.3em', '2px') . '</a>';
    }

    $description = "";
    $actionValue = unserialize($item->action_value);

    if ($item->action_type == MM_Action::$MM_ACTION_SEND_EMAIL) {
        $description .= MM_Utils::getIcon('paper-plane-o', 'green', '1.3em', '2px', '', 'margin-right:4px;');
        $description .= " " . __("Send an email to", "membermouse") . " ";

        if ($actionValue["emailToId"] == "-1") {
            $description .= __("the current member", "membermouse");
        } else {
            $employee = new MM_Employee($actionValue["emailToId"]);
            $description .= "<span style='font-family:courier;'>" . $employee->getEmail() . "</span>";
        }

        if (!empty($actionValue["emailCC"])) {
            $ccEmails = explode(",", $actionValue["emailCC"]);

            if (count($ccEmails) > 0) {
                if (count($ccEmails) == 1) {
                    $description .= ", CC <span style='font-family:courier;'>" . $ccEmails[0] . "</span>";
                } else {
                    $description .= ", CC " . count($ccEmails) . " " . __("others", "membermouse");
                }
            }
        }
    } else if ($item->action_type == MM_Action::$MM_ACTION_NOTIFY_ZAPIER) {
        $description .= MM_Utils::getIcon('bolt', 'yellow', '1.3em', '2px', '', 'margin-right:4px;');
        $description .= " " . __("Notify Zapier mailbox", "membermouse") . " <span style='font-family:courier;'>" . MM_Utils::abbrevString($actionValue["zapierMailbox"], 80) . "</span>";
    } else if ($item->action_type == MM_Action::$MM_ACTION_CALL_SCRIPT) {
        $description .= MM_Utils::getIcon('file-code-o', 'turq', '1.3em', '2px', '', 'margin-right:4px;');
        $description .= " " . __("Call script", "membermouse") . " <span style='font-family:courier;'>" . MM_Utils::abbrevString($actionValue["scriptUrl"], 80) . "</span>";
    }

    $eventName = MM_Event::getName($item->event_type);
    $eventNameAttributes = "";

    $eventAttributes = unserialize($item->event_attributes);

    // add event attributes
    switch ($item->event_type) {
        case MM_Event::$PRODUCT_PURCHASE:
            if (is_array($eventAttributes) && isset($eventAttributes["product_id"])) {
                $productId = $eventAttributes["product_id"];

                if (intval($productId) > 0) {
                    $product = new MM_Product($productId);

                    if ($product->isValid()) {
                        $eventNameAttributes = " (<em>" . $product->getName() . "</em>)";
                    }
                }
            }

            if (empty($eventNameAttributes)) {
                $eventNameAttributes = " (<em>" . __("Any Product Purchased", "membermouse") . "</em>)";
            }
            break;

        case MM_Event::$MEMBER_ADD:
            if (is_array($eventAttributes) && isset($eventAttributes["membership_level_id"])) {
                $membershipLevelId = $eventAttributes["membership_level_id"];

                if (intval($membershipLevelId) > 0) {
                    $membership = new MM_MembershipLevel($membershipLevelId);

                    if ($membership->isValid()) {
                        $eventNameAttributes = " (<em>" . $membership->getName() . "</em>)";
                    }
                }
            }

            if (empty($eventNameAttributes)) {
                $eventNameAttributes = " (<em>" . __("Any Membership Level", "membermouse") . "</em>)";
            }
            break;

        case MM_Event::$BUNDLE_ADD:
            if (is_array($eventAttributes) && isset($eventAttributes["bundle_id"])) {
                $bundleId = $eventAttributes["bundle_id"];

                if (intval($bundleId) > 0) {
                    $bundle = new MM_Bundle($bundleId);

                    if ($bundle->isValid()) {
                        $eventNameAttributes = " (<em>" . $bundle->getName() . "</em>)";
                    }
                }
            }

            if (empty($eventNameAttributes)) {
                $eventNameAttributes = " (<em>" . __("Any Bundle", "membermouse") . "</em>)";
            }
            break;

        case MM_Event::$MEMBER_STATUS_CHANGE:
            if (is_array($eventAttributes)) {
                if (isset($eventAttributes["membership_level_id"]) || isset($eventAttributes["status_id"])) {
                    $eventNameAttributes .= " (<em>";
                    $membershipName = "";
                    $statusName = "";
                    $membershipStatusMsg = array();

                    if (isset($eventAttributes["membership_level_id"])) {
                        $membershipId = $eventAttributes["membership_level_id"];

                        if (intval($membershipId) > 0) {
                            $membership = new MM_MembershipLevel($membershipId);

                            if ($membership->isValid()) {
                                $membershipName = $membership->getName();
                            }
                        }
                    }

                    if (empty($membershipName)) {
                        $membershipName = __("Any Membership Level", "membermouse");
                    }

                    $membershipStatusMsg[] = $membershipName;

                    if (isset($eventAttributes["status_id"])) {
                        $statusId = $eventAttributes["status_id"];

                        if (intval($statusId) > 0) {
                            $statusName = MM_Status::getName($statusId) . " " . __("Status", "membermouse");
                        }
                    }

                    if (empty($statusName)) {
                        $statusName = __("Any Status", "membermouse");
                    }

                    $membershipStatusMsg[] = $statusName;

                    $eventNameAttributes .= implode(", ", $membershipStatusMsg);

                    $eventNameAttributes .= "</em>)";
                }
            }

            if (empty($eventNameAttributes)) {
                $eventNameAttributes = " (<em>" . __("Any Membership Level, Any Status", "membermouse") . "</em>)";
            }
            break;

        case MM_Event::$BUNDLE_STATUS_CHANGE:
            if (is_array($eventAttributes)) {
                if (isset($eventAttributes["bundle_id"]) || isset($eventAttributes["status_id"])) {
                    $eventNameAttributes .= " (<em>";
                    $bundleName = "";
                    $statusName = "";
                    $bundleStatusMsg = array();

                    if (isset($eventAttributes["bundle_id"])) {
                        $bundleId = $eventAttributes["bundle_id"];

                        if (intval($bundleId) > 0) {
                            $bundle = new MM_Bundle($bundleId);

                            if ($bundle->isValid()) {
                                $bundleName = $bundle->getName();
                            }
                        }
                    }

                    if (empty($bundleName)) {
                        $bundleName = __("Any Bundle", "membermouse");
                    }

                    $bundleStatusMsg[] = $bundleName;

                    if (isset($eventAttributes["status_id"])) {
                        $statusId = $eventAttributes["status_id"];

                        if (intval($statusId) > 0) {
                            $statusName = MM_Status::getName($statusId) . " " . __("Status", "membermouse");
                        }
                    }

                    if (empty($statusName)) {
                        $statusName = __("Any Status", "membermouse");
                    }

                    $bundleStatusMsg[] = $statusName;

                    $eventNameAttributes .= implode(", ", $bundleStatusMsg);

                    $eventNameAttributes .= "</em>)";
                }
            }

            if (empty($eventNameAttributes)) {
                $eventNameAttributes = " (<em>" . __("Any Bundle", "membermouse") . ", " . __("Any Status", "membermouse") . "</em>)";
            }
            break;
    }

    $rows[] = array(
        array('content' => $eventName . $eventNameAttributes),
        array('content' => $description),
        array('content' => MM_Utils::getStatusImage($item->status)),
        array('content' => $actions),
    );
}

$dataGrid->setHeaders($headers);
$dataGrid->setRows($rows);

$dgHtml = $dataGrid->generateHtml();

if ($dgHtml == "") {
    $dgHtml = "<p><i>" . __("No push notifications configured.", "membermouse") . "</i></p>";
}
?>
<div class="mm-wrap">

    <?php if (MM_MemberMouseService::hasPermission(MM_MemberMouseService::$FEATURE_PUSH_NOTIFICATIONS)) { ?>
        <div class="mm-button-container">
            <a onclick="mmjs.create('mm-push-notification-dialog', '510', '635')" class="mm-ui-button green"><?php echo MM_Utils::getIcon('plus-circle', '', '1.2em', '1px'); ?> <?php _e("Create Push Notification", "membermouse"); ?></a>
        </div>

        <div class="clear"></div>

        <?php echo $dgHtml; ?>
    <?php } else { ?>
        <?php echo MM_Utils::getIcon('lock', 'yellow', '1.3em', '2px'); ?>
        <?php _e("This feature is not available on your current plan.", "membermouse"); ?> <?php printf(__("To get access, %supgrade your plan now%s.", "membermouse"), '<a href="' . MM_MemberMouseService::getUpgradeUrl(MM_MemberMouseService::$FEATURE_PUSH_NOTIFICATIONS) . '" target="_blank">', '</a>'); ?>
    <?php } ?>

</div>