<?php

/**
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

$view = new MM_RemindersView();
$view->setupEnhancedDatagrid();

//translations
$mmehdts = $view->getDefaultGridTranslations();

//images
$mmehdgi = $view->getDefaultGridImages("reminder");
$mmehdgi += [
    'send-email-image'             => MM_Utils::getIcon('paper-plane-o', 'green', '1.3em', '2px', '', 'margin-right:4px;'),
    'notify-zapier-image'          => MM_Utils::getIcon('bolt', 'yellow', '1.3em', '2px', '', 'margin-right:4px;'),
    'call-script-image'            => MM_Utils::getIcon('file-code-o', 'turq', '1.3em', '2px', '', 'margin-right:4px;'),
    'product'                      => MM_Utils::getIcon('shopping-cart', 'blue', '1.3em', '1px', __('Products', 'membermouse'), 'margin-right:5px;'),
    'test-reminder-image'          => MM_Utils::getIcon('flask', 'green', '1.3em', '2px'),
    'test-reminder-disabled-image' => MM_Utils::getIcon('flask', 'grey', '1.3em', '2px'),
];

//get the initial data from the view, get a unique id for the grid
$dataset = json_encode($view->search());
$gridId = uniqid();

?>
<div class="mm-wrap">
    <div class="mm-button-container">
        <a onclick="mmjs.create('mm-reminders-dialog', 620, 645)" class="mm-ui-button green"><?php echo MM_Utils::getIcon('plus-circle', '', '1.2em', '1px'); ?> <?php _e("Create Reminder", "membermouse"); ?></a>
    </div>
    <div class="clear"></div>

    <div id="gridHolder" data-grid-id="<?php echo $gridId; ?>" style="width:98%">
        <!-- Container for datagrid -->
    </div>

    <?php if ($dataset != null) { ?>
        <!-- Initial data for datagrid -->
        <script type="application/json" id="<?php echo "reminders-{$gridId}-data"; ?>">
            <?php echo $dataset; ?>
        </script>
    <?php } ?>
</div>
<div id="dialog-confirm"></div>
<div id="mm-reminders-dialog"></div>

<script type="text/javascript">
    jQuery(document).ready(function() {
        let mmehdgi = <?php echo json_encode($mmehdgi); ?>; //set up images
        let mmehdts = <?php echo json_encode($mmehdts); ?>; //set up translations
        mmjs.productsLink = "<?php echo MM_ModuleUtils::getUrl(MM_MODULE_PRODUCT_SETTINGS, MM_MODULE_PRODUCTS) . "&autoload="; ?>";
        mmjs.renderGrid(mmehdgi, mmehdts);
        mmjs.bindEventListeners();
    });
</script>