<?php
$showContent = true;
$error = "";

if (isset($_GET["update"]) && $_GET["update"] == "true") {
    MM_MemberMouseService::authorize();
    $reportingDashboard = MM_ModuleUtils::getUrl(MM_MODULE_REPORTING);

    if (MM_MemberMouseService::hasPermission(MM_MemberMouseService::$FEATURE_REPORTING_SUITE) == MM_MemberMouseService::$ACTIVE) {
?>
        <h2 class="mm-dashboard-title"><?php _e("Congratulations! Advanced Reporting has been activated.", "membermouse"); ?></h2>

        <p style="line-height:30px;"><a href="<?php echo $reportingDashboard; ?>" class="mm-ui-button green"><?php _e("Go to Reporting Dashboard", "membermouse"); ?></a></p>
    <?php
        $showContent = false;
    } else {
        /* translators: %1$s: HTML Anchor Tag Open, %2$s: HTML Anchor Tag Close */
        $error = sprintf(
            __('Your license doesn\'t have access to the advanced reporting suite. Contact %1$sMemberMouse support%2$s if you need assistance upgrading.', 'membermouse'),
            '<a href="mailto:support@membermouse.com">',
            '</a>'
        );
    }
}

if ($showContent) {
    $getReportingUrl = MM_ModuleUtils::getUrl(MM_MODULE_GET_REPORTING);

    if (!empty($error)) {
        echo "<div class='error'><p>{$error}</p></div>";
    }
    ?>
    <style>
        #mm-upgrade-container {}

        #mm-upgrade-content {
            padding-right: 60px;
        }

        #mm-upgrade-col-left {
            float: left;
            width: 700px;
        }

        #mm-upgrade-col-right {
            float: left;
            width: 470px;
        }
    </style>
    <div id="mm-upgrade-container">
        <div id="mm-upgrade-col-left">
            <div id="mm-upgrade-content">
                <h2 class="mm-dashboard-title"><?php _e("Profit from the Advanced Reporting Suite!", "membermouse"); ?></h2>

                <iframe width="649" height="360" src="https://www.youtube.com/embed/Q3bf17pNDNQ?si=aS1GcA5oA-FJ0aD8" title="Get Advanced Reporting" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe>

                <p>
                    <?php
                    _e(
                        "The reporting suite from MemberMouse is based on input from our customers who have built multi-million dollar " .
                            "membership websites. If you're serious about taking your business to the next level, unlocking this reporting suite will " .
                            "give you the metrics and insights you need to grow.",
                        "membermouse"
                    );
                    ?>
                </p>

                <h2 class="mm-dashboard-title"><?php _e("Unlock the Power of Lifetime Customer Value", "membermouse"); ?></h2>
                <p>
                    <?php
                    _e(
                        "Direct response marketers have known for years that accurate measurements of customer value are critical to scaling a " .
                            "business profitably. Since the profitability of customers can vary dramatically by source, it's important to understand " .
                            "which traffic sources are making you money and which are not.",
                        "membermouse"
                    );
                    ?>
                </p>
                <h2 class="mm-dashboard-title"><?php esc_attr_e("Plus Retention, Churn, Channel Sales & More...", "membermouse"); ?></h2>

                <p>
                    <?php
                    _e(
                        "Improving retention is one of the highest leverage actions that can be done to increase profitability. So in addition " .
                            "to customer value, you'll also be able to measure retention and churn rates, which are key components that drive " .
                            "profitability. Small increases in retention = big boosts to profits.",
                        "membermouse"
                    );
                    ?>
                </p>

                <br><br>
            </div><!--/.mm-upgrade-content-->
        </div><!--/.mm-upgrade-col-left-->
        <div id="mm-upgrade-col-right">
            <h2 class="mm-dashboard-title"><i class="fa fa-bar-chart-o" style="#00465D"></i> <?php _e("How to Get Advanced Reporting", "membermouse"); ?></h2>

            <ol>
                <li>
                    <p><?php _e("Go to your My Account page inside MemberMouse.com", "membermouse"); ?></p>
                    <p><a href="https://membermouse.com/dashboard/account-settings/" target=_blank" class="mm-ui-button blue"><?php _e("Access My Account", "membermouse"); ?></a></p>
                </li>
                <li>
                    <?php
                    /* translators: %1$s: HTML <em> Tag Open, %2$s: HTML <em> Tag Close */
                    printf(
                        __('In the %1$sLicense Management%2$s section, select the %1$sPro%2$s plan or higher from the dropdown in the %1$sUpgrade%2$s column', 'membermouse'),
                        '<em>',
                        '</em>'
                    );
                    ?>
                </li>
                <li>
                    <?php
                    printf(
                        __('Click %1$sUpgrade%2$s', 'membermouse'),
                        '<em>',
                        '</em>'
                    );
                    ?>
                </li>
                <li>
                    <p><?php _e("Once your license has been upgraded, return here and click the button below to update your MemberMouse plugin", "membermouse"); ?></p>
                    <p><a href="<?php echo $getReportingUrl; ?>&update=true" class="mm-ui-button"><?php _e("Update MemberMouse Plugin", "membermouse"); ?></a></p>
                </li>
            </ol>

            <p style="border-top:1px solid #ccc; padding-top:10px; margin-top:15px">
                <?php
                /* translators: %1$s: Support email link, %2$s: HTML anchor tag open, %3$s: HTML anchor tag close */
                printf(
                    __(
                        'If you need help upgrading your account, simply send an email to %1$s with the subject line %2$sReporting Upgrade%3$s, include the ' .
                            'URL of the site you want upgraded and we\'ll upgrade your account for you. Otherwise, simply follow the instructions above.',
                        'membermouse'
                    ),
                    '<a href="mailto:support@membermouse.com?subject=Reporting%20Upgrade">support@membermouse.com</a>',
                    '<span style="font-family:courier">',
                    '</span>'
                );
                ?>
            </p>
        </div><!--/.mm-upgrade-col-right-->
    </div><!--/.mm-upgrade-container-->
    </div>
<?php } ?>