<?php
$report = new MM_NewMembersComparisonReport();
$startDate = date("m/d/Y", strtotime("-3 months"));
$endDate = date("m/d/Y");

$membershipLevels = MM_MembershipLevel::getMembershipLevelsList();
$firstInList = (is_array($membershipLevels)) ? current(array_keys($membershipLevels)) : "";
$membershipLevelsOptionsHtml = MM_HtmlUtils::generateSelectionsList($membershipLevels);

?>
<!---------- Report Injection ---------->
<div class="mm-report-container">
    <h2 class="mm-dashboard-title"><?php _e("Compare Membership Levels", "membermouse"); ?></h2>

    <?php include("dropdown_nav_menu.php"); ?>


    <div class="mm-graph-container">
        <form novalidate="">
            <div id="mm-form-container" class="mm-report-params">

                <div class="mm-report-filter">
                    <div class="mm-report-filter-set">
                        <label><?php _e("Start Date", "membermouse"); ?>:</label>
                        <input type="text" id="start_date" name="start_date" class="mm-reporting-datepicker" value="<?php echo $startDate; ?>" placeholder="mm/dd/yyyy" />
                        <a onClick="jQuery('#start_date').focus();"><i class="fa fa-calendar"></i></a>
                    </div>
                    <!--/.mm-report-filter-set-->
                    <div class="mm-report-filter-set">
                        <label><?php _e("End Date", "membermouse"); ?>:</label>
                        <input type="text" id="end_date" name="end_date" class="mm-reporting-datepicker" value="<?php echo $endDate; ?>" placeholder="mm/dd/yyyy" />
                        <a onClick="jQuery('#end_date').focus();"><i class="fa fa-calendar"></i></a>
                    </div>
                    <!--/.mm-report-filter-set-->
                    <div class="mm-report-filter-set">
                        <label><?php _e("Group By", "membermouse"); ?>:</label>
                        <select name="type">
                            <option value="daily"><?php _e("Daily", "membermouse"); ?></option>
                            <option selected="selected" value="weekly"><?php _e("Weekly", "membermouse"); ?></option>
                            <option value="monthly"><?php _e("Monthly", "membermouse"); ?></option>
                            <option value="yearly"><?php _e("Yearly", "membermouse"); ?></option>
                        </select>
                    </div>
                    <!--/.mm-report-filter-set-->
                    <br />
                    <div class="mm-report-filter-set">
                        <label><?php _e("Membership Levels", "membermouse"); ?></label>
                        <select name="membership_levels">
                            <?php echo $membershipLevelsOptionsHtml; ?>
                        </select>
                        <?php $optionNone = __("None", "membermouse"); ?>
                        <select name="membership_levels">
                            <option selected="selected" value="none"><?php echo $optionNone; ?></option>
                            <?php echo $membershipLevelsOptionsHtml; ?>
                        </select>

                        <select name="membership_levels">
                            <option selected="selected" value="none"><?php echo $optionNone; ?></option>
                            <?php echo $membershipLevelsOptionsHtml; ?>
                        </select>

                        <select name="membership_levels">
                            <option selected="selected" value="none"><?php echo $optionNone; ?></option>
                            <?php echo $membershipLevelsOptionsHtml; ?>
                        </select>
                    </div>
                    <br />
                    <!--/.mm-report-filter-set-->
                    <div class="mm-report-filter-set">
                        <input class="mm-report-submitter" type="submit" value="<?php _e("Generate Report", "membermouse"); ?>" />
                        <input class="mm-report-reset" type="reset" value="<?php _e("Reset Form", "membermouse"); ?>" />
                    </div>
                    <!--/.mm-report-filter-set-->
                </div>
                <!--/.mm-report-filter-->

            </div>
        </form>

        <div id="rendered_report">
            <?php echo $report->createVisualElement(MM_NewMembersComparisonReport::$NEW_MEMBERS_COMPARISON_DATAGRID, array("start_date" => $startDate, "end_date" => $endDate, "type" => "weekly", "membership_levels" => array($firstInList, "none", "none", "none")), "100%", "100%"); ?>
            <?php echo $report->createVisualElement(MM_NewMembersComparisonReport::$NEW_MEMBERS_COMPARISON_LINECHART, array("start_date" => $startDate, "end_date" => $endDate, "type" => "weekly", "membership_levels" => array($firstInList, "none", "none", "none")), "100%", "456"); ?>
            <div class="clear"></div>
        </div>
        <!--/#rendered_report-->
    </div>
    <!--/.mm-graph-container-->

</div>
<!--/.mm-report-container-->

<div id="mm-report-description" style="display:none;" title="<?php _e("Report Description", "membermouse"); ?>" style="font-size:11px;">
    <?php
    _e(
        "The Compare Levels report allows you to compare the performance of membership levels against each other. This report is " .
            "useful to help you understand which membership levels are popular, and how they are performing relative to each other.",
        "membermouse"
    );
    ?>
</div>