/*!
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
var MM_EhdWithExporterView = MM_EnhancedDatagridView.extend(
    {
        getSearchFormValues: function () {
            var form_obj = new MM_Form('mm-form-container');
            var values = form_obj.getFields();

            values.sortBy = this.sortBy;
            values.sortDir = this.sortDir;
            values.crntPage = this.crntPage;
            values.resultSize = this.resultSize;
            values.csv = 1;
            values.mm_action = "search";
            return values;
        },

        normalizePayloadKeys: function (payload, keys) {
            keys.forEach((key) => {
                if (payload[key + "[]"] !== undefined) {
                    payload[key] = payload[key + "[]"];
                    delete payload[key + "[]"];
                }
            });
            return payload;
        },

        csvExport: function (crntPage) {
            if (this.confirmExport()) {
                if (crntPage != undefined) {
                    this.crntPage = crntPage;
                }

                var payload = this.getSearchFormValues();

                //// We need to make these key value pairs normalized for use
                //// on the server side and with the batch transfer libs
                payload = this.normalizePayloadKeys(payload, this.payloadKeys);

                var postvars = [];
                postvars["module"] = this.module;
                postvars["action"] = this.action;
                postvars["method"] = this.method;
                postvars["mm_action"] = "csvBatchExport";

                jQuery.blockUI({ css: { width: '700px' }, message: jQuery('#export_status_dialog') });

                var callbackFunc = function (status, msg) {
                    var myResponseMsg = null;
                    if (status == this.STATUS_FAILED) {
                        myResponseMsg = wp.i18n.__("Export has failed with error:", "membermouse") + " " + msg;
                    }
                    else if (status == this.STATUS_CANCELLED) {
                        myResponseMsg = wp.i18n.__("Export has been cancelled.", "membermouse");
                    }

                    jQuery.unblockUI({
                        onUnblock: function (data) {
                            if (myResponseMsg != null) {
                                alert(myResponseMsg);
                            }
                        }
                    });
                }

                this.mmBatch = new MembermouseBatchTransfer(50, MemberMouseGlobal.adminUrl + "admin-ajax.php", MemberMouseGlobal.adminUrl + "admin-ajax.php", postvars, callbackFunc);
                this.mmBatch.updateStatus = (currentChunk, totalChunks, currentRecord, totalRecords) => {
                    jQuery("#exportProgress").attr("max", totalRecords)
                    jQuery("#exportProgress").attr("value", currentRecord)
                    jQuery("#exportProgressText").html(`${currentRecord}/${totalRecords}`);
                };
                this.mmBatch.initializeBatchReceive(payload);
            }
        },

        csvExportCallback: function () {
            jQuery.unblockUI();
            jQuery(this.exportFormId).append('<form id="mm_exportform" method="post" target="_blank"><input type="hidden" id="mm_exportdata" name="exportdata" /></form>');
            jQuery("#mm_exportform").submit().remove();

            this.search();
            return true;
        },

        cancelExport: function () {
            this.mmBatch.cancel();
        },

        confirmExport: function () {
            let confirmMsg = "";

            if (mmjs && mmjs.grid) {
                let selectedRecords = Object.keys(mmjs.grid.currentSelection).length;
                let recordsToExport = (selectedRecords > 0) ? selectedRecords : mmjs.grid.totalResults;
                confirmMsg = wp.i18n.sprintf(wp.i18n.__('You are preparing to export %1$s %2$s.', "membermouse"), recordsToExport, this.entityType) + "\n\n";
            }
            confirmMsg += wp.i18n.__("Click OK to begin", "membermouse");
            return confirm(confirmMsg);
        },
    });