/*!
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
var MM_JobsQueueLogViewJS = MM_EnhancedDatagridView.extend({

    storeJobStateSearchOptions: function () {
        this.module = "MM_JobsQueueLogView";
        this.method = "performAction";
        this.action = "module-handle";

        var values = {
            mm_action: "storeJobStateSearchOptions",
            mm_admin_id: jQuery("#mm-admin-id").val(),
            mm_show_failed_jobs: (jQuery("#mm-show-failed-jobs").val() === "failed") ? 1 : 0
        }

        var ajax = new MM_Ajax(false, this.module, this.action, this.method);
        ajax.useLoader = true;
        ajax.send(values, false, 'mmjs', "storeSearchOptionsCallback");
    },


    storeSearchOptionsCallback: function (data) {
        if (data == undefined) {
            alert("No response received");
        }
        else if (data.type == "error") {
            alert(data.message);
        }
        else {
            // reload grid
            mmjs.grid.dumpCacheAndRefresh();
        }
    },

    renderGrid: function (imageList, translationList) {
        jQuery(document).ready(function () {
            let gridConfig = {
                "columns": [{ "id": "id", "name": wp.i18n.__("ID", "membermouse"), "sortable": true, "searchType": "numeric", "defaultSortType": "DESC" },
                { "id": "runtime", "name": wp.i18n.__("Run Time", "membermouse"), "sortable": true, "searchType": "date", "defaultSearchField": true },
                { "id": "firstrun", "name": wp.i18n.__("First Run", "membermouse"), "sortable": true, "searchType": "date" },
                { "id": "lastrun", "name": wp.i18n.__("Last Run", "membermouse"), "searchType": "date" },
                { "id": "priority", "name": wp.i18n.__("Priority", "membermouse"), "searchType": "numeric" },
                { "id": "tries", "name": wp.i18n.__("Tries", "membermouse"), "sortable": true, "searchType": "numeric" },
                { "id": "reason", "name": wp.i18n.__("Reason", "membermouse"), "sortable": true },
                { "id": "status", "name": wp.i18n.__("Status", "membermouse"), "sortable": true },
                { "id": "created_at", "name": wp.i18n.__("Created At", "membermouse"), "sortable": true, "searchType": "date" },
                    // { "id": "actions", "name":"Actions", "render":mmjs.renderActions }
                ],
                "version": 1, //MUST increment this every time the column definitions change!
                "datasource": mmjs.search.bind(mmjs)
            };
            grid = new MM_EnhancedDatagridJS(document.getElementById("gridHolder"), "job", gridConfig);
            grid.bulkOperationsEnabled = false;
            grid.ajaxSearchEnabled = false;

            if (imageList) {
                grid.setImageReferences(imageList);
            }
            if (translationList) {
                grid.setTranslationObject(translationList);
            }
            grid.render();
            mmjs.setGrid(grid);
        });
    },

    bindEventListeners: function () {
        let el = document.querySelector("#mm-show-failed-jobs");
        el.addEventListener('click', () => {
            mmjs.storeJobStateSearchOptions();
        });
    }
});

var mmjs = new MM_JobsQueueLogViewJS("MM_JobsQueueLogView", wp.i18n.__("Jobs Queue Log", "membermouse"));