/*!
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
var MM_ReminderViewJS = MM_EnhancedDatagridView.extend({

    productsLink: false,

    actionChangeHandler: function () {
        if (jQuery("#mm-action-type").val() == "action_send_email") {
            jQuery("#mm-reminder-email-options").show();
            jQuery("#mm-reminder-notify-zapier-options").hide();
            jQuery("#mm-reminder-custom-script-options").hide();
        }
        else if (jQuery("#mm-action-type").val() == "action_call_script") {
            jQuery("#mm-reminder-email-options").hide();
            jQuery("#mm-reminder-notify-zapier-options").hide();
            jQuery("#mm-reminder-custom-script-options").show();
        }
        else if (jQuery("#mm-action-type").val() == "action_notify_zapier") {
            jQuery("#mm-reminder-email-options").hide();
            jQuery("#mm-reminder-notify-zapier-options").show();
            jQuery("#mm-reminder-custom-script-options").hide();
        }
    },

    statusChangeHandler: function () {
        jQuery("#mm_reminder_status").attr('value', jQuery('#mm-status-container input:radio:checked').val());
    },

    validateForm: function () {
        let tmpUnitValue = jQuery("#unit_value").val().trim();
        if ((tmpUnitValue == "") || isNaN(Number(tmpUnitValue)) || (Number(tmpUnitValue) < 0)) {
            alert("Please enter a valid unit value");
            return false;
        }

        if (jQuery("#mm-action-type").val() == "action_send_email") {
            if (jQuery('#mm-send-email-subject').val().trim() == "") {
                alert("Please enter an email subject");
                jQuery('#mm-send-email-subject').focus();
                return false;
            }

            if (jQuery('#mm-send-email-body').val().trim() == "") {
                alert("Please enter an email body");
                jQuery('#mm-send-email-body').focus();
                return false;
            }
        }
        else if (jQuery("#mm-action-type").val() == "action_notify_zapier") {
            if (jQuery('#mm-notify-zapier-mailbox').val() == "") {
                alert("Please enter a Zapier mailbox");
                jQuery('#mm-notify-zapier-mailbox').focus();
                return false;
            }
        }
        else if (jQuery("#mm-action-type").val() == "action_call_script") {
            if (jQuery("#mm-script-url").val() == "") {
                alert("Please enter a script URL");
                jQuery('#mm-script-url').focus();
                return false;
            }

            var url = jQuery("#mm-script-url").val();
            if (url.length > 0) {
                if (!this.isValidURL(url)) {
                    alert("Please enter a valid script URL");
                    jQuery('#mm-script-url').focus();
                    return false;
                }
            }
        }
        return true;
    },

    sendTestReminder: function (reminderId) {
        var values = {
            reminder_id: reminderId,
            mm_action: "sendTestReminder"
        };

        var ajax = new MM_Ajax(false, mmjs.module, mmjs.action, mmjs.method);
        ajax.send(values, false, 'mmjs', 'testReminderCallback');
    },

    testReminderCallback: function (data) {
        if (data.type == 'error') {
            alert(data.message);
        }
        else {
            alert("Test Reminder sent");
        }
    },

    appliesToChangeHandler: function () {
        const showProducts = (jQuery("input[type='radio'][name='applies_to']:checked").val() == "select_products");
        document.getElementById('mm-has-product-filter').value = (showProducts ? 1 : 0);
        if (showProducts) {
            jQuery("#mm-product-select").show();
        }
        else {
            jQuery("#mm-product-select").hide();
        }
    },


    save: function () {
        //clear products if product filter is not selected
        const hasProductFilter = (document.getElementById('mm-has-product-filter').value == 1);
        const productSelect = document.getElementById('mm-product-select');

        if (!hasProductFilter) {
            for (let i = 0; i < productSelect.options.length; i++) {
                productSelect.options[i].selected = false;
            }
        }
        mmjs._super(); //call save in MM_Core
    },


    renderProducts: function (value, dataCell, dataObj, grid) {
        if (dataObj.products) {
            if (dataObj.products.length == 0) {
                return "&mdash;";
            }

            let df = document.createDocumentFragment();

            let productIconSpan = document.createElement("span");
            productIconSpan.style.marginRight = "5px";
            productIconSpan.innerHTML = grid.getImage("product");
            df.appendChild(productIconSpan);

            let productLinkSpan = document.createElement("span");
            let first = true;
            dataObj.products.forEach((product) => {
                first = (first === true) ? false : productLinkSpan.appendChild(document.createTextNode(", "));
                let productLink = document.createElement("a");
                productLink.href = `${mmjs.productsLink}${product.id}`;
                productLink.title = `${product.name} [ID:${product.id}]`;
                let productLinkText = document.createTextNode(mmjs.abbrevString(product.name, 30));
                productLink.appendChild(productLinkText);
                productLinkSpan.appendChild(productLink);
            });
            df.appendChild(productLinkSpan);
            dataCell.appendChild(df);
        }
        else {
            return "&mdash;";
        }
    },


    renderWhenToSend: function (value, dataCell, dataObj, grid) {
        return `${dataObj.unit_value} ${dataObj.unit_of_measure} Before`;
    },


    renderActions: function (value, dataCell, dataObj, grid) {
        const editAction = mmjs.createImageButton(grid.getImage("edit"), "mm-reminder-edit", { "data-reminder-id": dataObj.id });
        const deleteAction = mmjs.createImageButton(grid.getImage("delete"), "mm-reminder-delete", { "data-reminder-id": dataObj.id });
        const testImage = (dataObj.status && (dataObj.status == 0)) ? "test-reminder-image" : "test-reminder-image";
        const sendTestAction = mmjs.createImageButton(grid.getImage(testImage), "mm-reminder-test", { "data-reminder-id": dataObj.id });

        dataCell.className = "mm-ehd-table-cell-nowrap";
        dataCell.appendChild(editAction);
        dataCell.appendChild(deleteAction);
        dataCell.appendChild(sendTestAction);
    },

    renderActionColumn: function (value, dataCell, dataObj, grid) {
        let frag = document.createDocumentFragment();
        let span = document.createElement("span");
        frag.appendChild(span);

        if (value == "action_send_email") {
            let sendEmailImage = grid.getImage("send-email-image");
            span.innerHTML = sendEmailImage + "&nbsp;Send	Email";
        }
        else if (value == "action_call_script") {
            let callScriptImage = grid.getImage("call-script-image");
            span.innerHTML = callScriptImage + "&nbsp;Call a custom script";
        }
        else if (value == "action_notify_zapier") {
            let zapierImage = grid.getImage("notify-zapier-image");
            span.innerHTML = zapierImage + "&nbsp;Notify Zapier";
        }
        dataCell.appendChild(frag);
    },

    renderGrid: function (imageList, translationList) {
        jQuery(document).ready(function () {
            let gridConfig = {
                "columns": [{ "id": "id", "name": "ID", "hidden": true },
                { "id": "sort_value", "name": "When to send", "sortable": true, "render": mmjs.renderWhenToSend },
                { "id": "products", "name": "Products", "render": mmjs.renderProducts },
                { "id": "action_type", "name": "Action", "sortable": true, "render": mmjs.renderActionColumn },
                { "id": "status", "name": "Status", "sortable": true, "render": mmjs.renderStatus },
                { "id": "actions", "name": "", "render": mmjs.renderActions }
                ],
                "version": 1, //MUST increment this every time the column definitions change!
                "datasource": mmjs.search.bind(mmjs)
            };
            grid = new MM_EnhancedDatagridJS(document.getElementById("gridHolder"), "reminders", gridConfig);
            grid.ajaxSearchEnabled = false;
            if (imageList) {
                grid.setImageReferences(imageList);
            }
            if (translationList) {
                grid.setTranslationObject(translationList);
            }
            grid.render();
            mmjs.setGrid(grid);
        });
    },

    bindEventListeners: function () {
        //action buttons
        mmjs.bindByClassName("#gridHolder", "click", ".mm-reminder-edit", ['reminderId'], (rmId) => {
            mmjs.edit.call(mmjs, 'mm-reminders-dialog', rmId);
        });

        mmjs.bindByClassName("#gridHolder", "click", ".mm-reminder-delete", ['reminderId'], mmjs.remove.bind(mmjs));

        mmjs.bindByClassName("#gridHolder", "click", ".mm-reminder-test", ['reminderId'], (rmId) => {
            mmjs.sendTestReminder.call(mmjs, rmId);
        });
    }

});

var mmjs = new MM_ReminderViewJS("MM_RemindersView", "Reminder");