/*!
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
var MM_SafeModeViewJS = MM_Core.extend({

    setSafeModeStatus: function (safeModeStatus) {
        var doSet = true;

        if (safeModeStatus != "off") {
            let confirmMsg = wp.i18n.__("Are you sure you want to enable Safe Mode?", "membermouse") + "\n\n" +
                wp.i18n.__("By clicking OK MemberMouse will do the following:", "membermouse") + "\n" +
                "- " + wp.i18n.__("Deactivate all plugins besides MemberMouse", "membermouse") + "\n" +
                "- " + wp.i18n.__("Activate the default WordPress theme (if available)", "membermouse") + "\n" +
                "- " + wp.i18n.__("Store the list of currently active plugins & theme so that they can be reactivated when Safe Mode is disabled", "membermouse") + "\n\n" +
                wp.i18n.__("Click OK to enable Safe Mode, or Cancel to abort.", "membermouse");

            doSet = confirm(confirmMsg);
        }

        if (doSet) {
            var values = {
                newStatus: safeModeStatus,
                mm_action: "setSafeModeStatus"
            };

            var ajax = new MM_Ajax(false, this.module, this.action, this.method);
            ajax.send(values, false, 'mmjs', this.updateHandler);
        }
    },

    clearLog: function () {
        var doSet = true;

        doSet = confirm(wp.i18n.__("Are you sure you want to clear the Safe Mode log?", "membermouse"));

        if (doSet) {
            var values = {
                mm_action: "clearSafeModeLog"
            };

            var ajax = new MM_Ajax(false, this.module, this.action, this.method);
            ajax.send(values, false, 'mmjs', this.updateHandler);
        }
    },
});

var mmjs = new MM_SafeModeViewJS("MM_SafeModeView", "");