/*!
 * 
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */
var MM_UpcomingPaymentsViewJS = MM_EnhancedDatagridView.extend(
    {

        bsm: "", //billing status map

        showSearch: function () {
            jQuery("#mm-show-search-btn").hide();
            jQuery("#mm-hide-search-btn").show();
            jQuery("#mm-advanced-search").slideDown(300, this.storeSearchState);
        },


        hideSearch: function () {
            jQuery("#mm-show-search-btn").show();
            jQuery("#mm-hide-search-btn").hide();
            jQuery("#mm-advanced-search").slideUp(300, this.storeSearchState);
        },


        storeSearchState: function () {
            this.module = "MM_UpcomingPaymentsView";
            this.method = "performAction";
            this.action = "module-handle";

            var values = {
                mm_action: "storeSearchState",
                mm_admin_id: jQuery("#mm-admin-id").val(),
                mm_show_search: "0"
            }

            if (jQuery('#mm-advanced-search').is(':visible')) {
                values.mm_show_search = "1";
            }

            var ajax = new MM_Ajax(false, this.module, this.action, this.method);
            ajax.useLoader = false;
            ajax.send(values, false, 'mmjs', "storeSearchStateCallback");
        },


        storeSearchStateCallback: function (data) {
            if (data == undefined) {
                alert("No response received");
            }
            else if (data.type == "error") {
                alert(data.message);
            }
            else {
                // do nothing
            }
        },

        resetForm: function () {
            let form = document.getElementById("manage-transactions-search-form");
            if (form) {
                form.reset();
                //todo: reset grid
            }
        },


        processSearchForm: function () {
            let queryStruct = { conditions: [] };
            let form_obj = new MM_Form('mm-form-container');
            let values = form_obj.getFields();
            for (key in values) {
                if ((key != "") &&
                    ((Array.isArray(values[key]) && (values[key].length > 0)) ||
                        (!Array.isArray(values[key]) && (values[key] != "")))) {

                    switch (key) {
                        case 'mm_from_date':
                            let fromDate = values[key] + " 00:00:00";
                            queryStruct.conditions.push({ "name": "se.scheduled_date", "value": fromDate, "rel": "gteq" });
                            break;
                        case 'mm_to_date':
                            let toDate = values[key] + " 23:59:59";
                            queryStruct.conditions.push({ "name": "se.scheduled_date", "value": toDate, "rel": "lteq" });
                            break;
                        case 'mm_order_number':
                            queryStruct.conditions.push({ "name": "o.order_number", "value": values[key], "rel": "like" });
                            break;
                        case 'mm_member_id':
                            queryStruct.conditions.push({ "name": "mud.wp_user_id", "value": values[key], "rel": "eq" });
                            break;
                        case 'mm_first_name':
                            queryStruct.conditions.push({ "name": "mud.first_name", "value": values[key], "rel": "like" });
                            break;
                        case 'mm_last_name':
                            queryStruct.conditions.push({ "name": "mud.last_name", "value": values[key], "rel": "like" });
                            break;
                        case 'mm_email':
                            queryStruct.conditions.push({ "name": "u.user_email", "value": values[key], "rel": "like" });
                            break;
                        case 'mm_product_ids[]':
                            queryStruct.products = values[key];
                            break;
                        /*
                        case 'mm_coupon_ids[]':
                            queryStruct.coupons = values[key];
                            break;
                        case 'mm_affiliate_id':
                            queryStruct.conditions.push({ "name": "o.affiliate_id", "value": values[key], "rel": "like" });
                            break;
                        case 'mm_sub_affiliate_id':
                            queryStruct.conditions.push({ "name": "o.sub_affiliate_id", "value": values[key], "rel": "like" });
                            break;
                        case 'mm_payment_service':
                            queryStruct.conditions.push({ "name": "p.id", "value": values[key], "rel": "in" });
                            break;
                        */
                    }
                }
            }
            mmjs.grid.dumpCacheAndRefresh(queryStruct);
        },


        showEditPaymentDateDialog: function (scheduledPaymentId) {
            var dialogId = "mm-edit-payment-date-dialog";
            jQuery("#" + dialogId).dialog({ autoOpen: false });

            var values = {};
            values.scheduledPaymentId = scheduledPaymentId;
            values.mm_action = "showEditPaymentDateDialog";

            mmdialog_js.mm_action = 'showEditPaymentDateDialog';
            mmdialog_js.method = 'showEditPaymentDateDialog';
            mmdialog_js.showDialog(dialogId, this.module, 400, 275, wp.i18n.__("Edit Payment Date", "membermouse"), values, "performAction");
        },


        saveNewPaymentDate: function () {
            mmjs.closeDialog();
            var form_obj = new MM_Form('mm-upcoming-payment-edit-div');
            var values = form_obj.getFields();
            values.mm_action = "editPaymentDate";

            var ajax = new MM_Ajax(false, this.module, this.action, this.method);
            ajax.send(values, false, 'mmjs', "commonActionCallback");
        },



        skipPayment: function (scheduledPaymentId) {
            mmjs.closeDialog();
            var isOk = confirm(wp.i18n.__("QUICK NOTE! If you skip a payment, the funds for that payment won't be credited to your account. Are you sure?", "membermouse"));
            if (isOk) {
                var values = {
                    scheduledPaymentId: scheduledPaymentId,
                    mm_action: "skipPayment"
                };
                var ajax = new MM_Ajax(false, this.module, this.action, this.method);
                ajax.send(values, false, 'mmjs', "commonActionCallback");
            }
        },


        cancelSubscriptionOnly: function (orderItemId) {
            mmjs.closeDialog();
            var isOk = confirm(wp.i18n.__("QUICK NOTE! When you delete a payment, the funds for that payment are not credited to your account, the corresponding subscription is cancelled, and the member retains access to your protected content. Are you sure?", "membermouse"));
            if (isOk) {
                var values = {
                    mm_order_item_id: orderItemId,
                    mm_action: "cancelSubscriptionOnly"
                };
                var ajax = new MM_Ajax(false, this.module, this.action, this.method);
                ajax.send(values, false, 'mmjs', "commonActionCallback");
            }
        },


        rebillSubscriptionNow: function (confirmationPrice) {
            /* translators: the amount that will be charged to the customer's credit card */
            let confirmMsg = wp.i18n.sprintf(wp.i18n.__("You are about to force this subscription to rebill immediately for %s. Click OK to confirm.", "membermouse"), confirmationPrice);
            if (confirm(confirmMsg)) {
                var form_obj = new MM_Form('mm-upcoming-payment-edit-div');
                var values = form_obj.getFields();
                values.mm_action = "rebillSubscriptionNow";

                var ajax = new MM_Ajax(false, this.module, this.action, this.method);
                ajax.send(values, false, 'mmjs', "rebillSubscriptionNowCallback");
            }
        },

        rebillSubscriptionNowCallback: function (response) {
            mmjs.closeDialog();
            if ('type' in response) {
                if (response.type == "success") {

                    let responseMsg = (response.message == "") ? wp.i18n.__("The subscription was billed successfully.", "membermouse") : response.message;
                    alert(responseMsg);
                    this.processSearchForm();
                }
            }
            else {
                alert(wp.i18n.__("There was an error billing the subscription.", "membermouse"));
            }
        },


        commonActionCallback: function (response) {
            if (response.type == "success") {
                alert(response.message);
                this.processSearchForm();
            }
            else {
                alert(response.message);
            }
        },


        skipSinglePayment: function (scheduledPaymentId) {
            return this.asyncRequest({ scheduledPaymentId: scheduledPaymentId, mm_action: "skipPayment" });
        },


        cancelSingleSubscription: function (scheduledPaymentId) {
            return this.asyncRequest({ scheduledPaymentId: scheduledPaymentId, mm_action: "cancelSingleSubscription" });
        },


        renderRecurringAmount: function (value, dataCell, dataObj, grid) {
            return dataObj.formatted_amount;
        },


        renderFullname: function (value, dataCell, dataObj, grid) {
            let last = dataObj.last_name ? dataObj.last_name : "";
            let first = dataObj.first_name ? dataObj.first_name : "";
            return `${last}, ${first}`;
        },


        renderStatus: function (value, dataCell, dataObj, grid) {
            let noData = "&mdash;";
            let retval = noData;

            switch (value) {
                case 1:
                    retval = wp.i18n.__("Queued", "membermouse");
                    break;
                case 2:
                    retval = wp.i18n.__("Completed", "membermouse");
                    break;
                default:
                    retval = noData;
            }
            return retval;
        },


        renderBillingStatus: function (value, dataCell, dataObj, grid) {
            if (!this.bsm || (!(value in this.bsm))) {
                return value;
            }

            let clearImage = grid.getImage('clear');

            var status = this.bsm[value];
            var descr = status;

            if (value == 9) {
                descr += " (" + wp.i18n.__("legacy", "membermouse") + ")";
            }

            return { "title": descr, "value": mmjs.abbrevString(status, 30) };
        },


        renderOrderNumber: function (value, dataCell, dataObj, grid) {
            return { "link": this.orderLink + dataObj.user_id, "value": value };
        },


        renderEmail: function (value, dataCell, dataObj, grid) {
            return { "link": this.memberLink + dataObj.user_id, "value": value };
        },


        renderDescription: function (value, dataCell, dataObj, grid) {
            return { "title": value, "value": mmjs.abbrevString(value, 30) };
        },


        renderScheduledDate: function (value, dataCell, dataObj, grid) {
            return grid.isJSDate(value) ? value.toLocaleString(undefined, { "dateStyle": "medium", "timeStyle": "short" }) : grid.dateFromMysqlDate(value).toLocaleString(undefined, { "dateStyle": "medium", "timeStyle": "short" });
        },


        resetGridHandler: function (data) {
            if (data) {
                jQuery("#mm-grid-container").html(data);
            }
        },


        bindEventListeners: function () {
            mmjs.bindByClassName("#gridHolder", "click", ".mm-upcoming-payment-edit", ['upcomingPaymentId'], mmjs.showEditPaymentDateDialog.bind(mmjs));
            mmjs.bindByClassName("#gridHolder", "click", ".mm-upcoming-payment-skip", ['upcomingPaymentId'], mmjs.skipPayment.bind(mmjs));
            mmjs.bindByClassName("#gridHolder", "click", ".mm-upcoming-payment-delete", ['orderItemId'], mmjs.cancelSubscriptionOnly.bind(mmjs));
        },


        renderActions: function (value, dataCell, dataObj, grid) {
            let editAction = null;
            if (grid.getImage("edit")) {
                editAction = mmjs.createImageButton(grid.getImage("edit"), "mm-upcoming-payment-edit", { "data-upcoming-payment-id": dataObj.id });
            } else {
                editAction = mmjs.createImageButton(grid.getImage("noedit"), '', {});
            }
            let skipAction = mmjs.createImageButton(grid.getImage("skip"), "mm-upcoming-payment-skip", { "data-upcoming-payment-id": dataObj.id });
            let deleteAction = mmjs.createImageButton(grid.getImage("delete"), "mm-upcoming-payment-delete", { "data-upcoming-payment-id": dataObj.id, "data-order-item-id": dataObj.order_item_id });

            dataCell.className = "mm-ehd-table-cell-nowrap";
            dataCell.appendChild(editAction);
            dataCell.appendChild(skipAction);
            dataCell.appendChild(deleteAction);
        },


        setupBulkOperations: function (grid) {
            grid.bulkOperationsEnabled = true;
            grid.supportedBulkOperations = [{ "id": "skip", "display_name": wp.i18n.__("Skip", "membermouse"), "inProgress": "skipping", "completed": "skipped" },
            { "id": "delete", "display_name": wp.i18n.__("Delete", "membermouse"), "inProgress": "deleting", "completed": "deleted" }];
            mmjs.bulkOperationHandlers.skip = mmjs.skipSinglePayment.bind(mmjs);
            mmjs.bulkOperationHandlers.delete = mmjs.cancelSingleSubscription.bind(mmjs);

            grid.bulkAdminFunction = mmjs.bulkopAdminister.bind(mmjs);
        },


        renderGrid: function (imageList, translationList, billingStatusMap) {
            jQuery(document).ready(function () {
                let gridConfig = {
                    "columns": [
                        { "id": "scheduled_date", "name": wp.i18n.__("Date", "membermouse"), "sortable": true, "searchType": "date", "defaultSortType": "ASC", "defaultSearchField": true, "render": mmjs.renderScheduledDate.bind(mmjs) },
                        { "id": "order_number", "name": wp.i18n.__("Order #", "membermouse"), "sortable": true, "searchType": "text", "render": mmjs.renderOrderNumber.bind(mmjs) },
                        { "id": "recurring_amount", "name": wp.i18n.__("Amount", "membermouse"), "sortable": true, "searchType": "numeric", "render": mmjs.renderRecurringAmount },
                        { "id": "last_name", "name": wp.i18n.__("Name", "membermouse"), "sortable": true, "searchType": "text", "render": mmjs.renderFullname },
                        { "id": "user_email", "name": wp.i18n.__("Email", "membermouse"), "sortable": true, "searchType": "text", "render": mmjs.renderEmail.bind(mmjs) },
                        { "id": "description", "name": wp.i18n.__("Description", "membermouse"), "sortable": true, "render": mmjs.renderDescription },
                        { "id": "payment_service", "name": wp.i18n.__("Service Provider", "membermouse"), "sortable": true },
                        { "id": "billing_status", "name": wp.i18n.__("State", "membermouse"), "sortable": true, "render": mmjs.renderBillingStatus.bind(mmjs) },
                        { "id": "status", "name": wp.i18n.__("Status", "membermouse"), "sortable": true, "searchType": "numeric", "render": mmjs.renderStatus.bind(mmjs) },
                        { "id": "actions", "name": wp.i18n.__("Actions", "membermouse"), "render": mmjs.renderActions }
                    ],
                    "version": 1, //MUST increment this every time the column definitions change!
                    "datasource": mmjs.search.bind(mmjs)
                };
                grid = new MM_EnhancedDatagridJS(document.getElementById("gridHolder"), "upcoming-payments", gridConfig);
                mmjs.setupBulkOperations(grid);
                grid.useCustomSearch();

                if (imageList) {
                    grid.setImageReferences(imageList);
                }

                if (translationList) {
                    grid.setTranslationObject(translationList);
                }

                if (billingStatusMap) {
                    mmjs.bsm = billingStatusMap;
                }

                grid.render();
                mmjs.setGrid(grid);
            });
        }
    });

var lastActionValues = {};
var mmjs = new MM_UpcomingPaymentsViewJS("MM_UpcomingPaymentsView", wp.i18n.__("Upcoming Payments", "membermouse"));