<script>
    function authNetTestModeChangeHandler() {
        if (jQuery("#authorizenet_use_test_gateway").is(":checked")) {
            jQuery("#auth-net-test-account-info").show();
            jQuery("#auth-net-login-label").html("<?php esc_html_e('Test API Login ID', 'membermouse'); ?>");
            jQuery("#auth-net-transaction-key-label").html("<?php esc_html_e('Test Transaction Key', 'membermouse'); ?>");
        } else {
            jQuery("#auth-net-test-account-info").hide();
            jQuery("#auth-net-login-label").html("<?php esc_html_e('API Login ID', 'membermouse'); ?>");
            jQuery("#auth-net-transaction-key-label").html("<?php esc_html_e('Transaction Key', 'membermouse'); ?>");
        }
    }

    jQuery(function() {
        authNetTestModeChangeHandler();
    });

    function showAuthNetTestCardNumbers() {
        var str = "<p><a target='_blank' href='https://developer.authorize.net/hello_world/testing_guide.html'>";
        str += "<?php esc_html_e('Click here to visit Authorize.net\'s documentation on test credit card numbers.', 'membermouse'); ?></a></p>";
        str += "<p><?php esc_html_e('You can use the following test credit card numbers when testing payments.', 'membermouse'); ?><br />";
        str += "<?php esc_html_e('The expiration date must be set to the present date or later:', 'membermouse'); ?></p>";
        str += "<table class='striped fixed widefat'>";
        str += "<tr><td>American Express</td><td>370000000000002</td></tr>";
        str += "<tr><td>Discover</td><td>6011000000000012</td></tr>";
        str += "<tr><td>Visa</td><td>4007000000027</td></tr>";
        str += "<tr><td>Second Visa</td><td>4012888818888</td></tr>";
        str += "<tr><td>JCB</td><td>3088000000000017</td></tr>";
        str += "<tr><td>Diners Club/Carte Blanche</td><td>38000000000006</td></tr>";
        str += "</table><br />";
        mmdialog_js.displayMessage(str, 500, 400, wp.i18n.__('Test Credit Card Numbers', "membermouse"), 'payment-test-cards-dialog');
    }
</script>

<div style="padding:10px;">
    <img src='https://membermouse.com/assets/plugin_images/logos/authorizenet.png' />

    <div style="margin-top:5px; margin-bottom:10px;">
        <a href='https://membermouse.com/docs/configuring-authorize-net' target='_blank'>
            <?php esc_html_e('Need help configuring Authorize.net?', 'membermouse'); ?>
        </a>
    </div>

    <div style="margin-bottom:10px;">
        <input type='checkbox' value='true' <?php echo (($p->useTestGateway() === true) ? 'checked' : ''); ?> id='authorizenet_use_test_gateway' name='payment_service[authorizenet][use_test_gateway]' onclick="authNetTestModeChangeHandler()" />
        <?php esc_html_e('Enable Test Mode', 'membermouse'); ?>
    </div>

    <div id="auth-net-test-account-info" style="margin-bottom:10px; margin-left:10px; <?php echo (($p->useTestGateway() === true) ? '' : 'display:none;'); ?>">
        <div style="margin-bottom:5px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('external-link', 'blue', '1.2em', '2px', '', 'margin-right:3px;');
            ?>
            <a href="https://developer.authorize.net/testaccount/" target="_blank">
                <?php esc_html_e('Sign Up for a Test Gateway Account', 'membermouse'); ?>
            </a>
        </div>
        <div style="margin-bottom:5px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('external-link', 'blue', '1.2em', '2px', '', 'margin-right:3px;');
            ?>
            <a href="https://sandbox.authorize.net/" target="_blank">
                <?php esc_html_e('Log Into Test Merchant Interface', 'membermouse'); ?>
            </a>
        </div>
        <div style="margin-bottom:5px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('credit-card', 'blue', '1.3em', '1px', 'Test Credit Card Numbers', 'margin-right:3px;');
            ?>
            <a href="javascript:showAuthNetTestCardNumbers()">
                <?php esc_html_e('Test Credit Card Numbers', 'membermouse'); ?>
            </a>
        </div>
        <div>
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('flask', 'blue', '1.3em', '1px', 'Setup Test Data', 'margin-right:3px;');
            ?>
            <a href="<?php echo esc_url(MM_ModuleUtils::getUrl(MM_ModuleUtils::getPage(), MM_MODULE_TEST_DATA)); ?>" target="_blank">
                <?php esc_html_e('Configure Test Data', 'membermouse'); ?>
            </a>
        </div>
    </div>

    <div style="margin-bottom:10px;">
        <span id="auth-net-login-label">
            <?php esc_html_e('API Login ID', 'membermouse'); ?>
        </span>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getLogin()); ?>' id='authorizenet_login' name='payment_service[authorizenet][login]' style='width: 275px;' />
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <span id="auth-net-transaction-key-label">
            <?php esc_html_e('Transaction Key', 'membermouse'); ?>
        </span>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getTransactionKey()); ?>' id='authorizenet_transaction_key' name='payment_service[authorizenet][transaction_key]' style='width: 275px;' />
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <span class="authorizenet" id="authorizenet-test-signature-key-label">
            <?php esc_html_e('Signature Key (optional)', 'membermouse'); ?>
        </span>

        <p class="authorizenet" style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getSignatureKey()); ?>' id='authorizenet_signature_key' name='payment_service[authorizenet][signature_key]' style='width: 275px;' />
        </p>
        <p style="font-size:11px; margin-left:0px; padding-right:20px;margin-top:10px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getInfoIcon function.
            echo MM_Utils::getInfoIcon('', '');
            esc_html_e('The Signature Key increases security by enabling the use of an HMAC-SHA512 authenticated hash to verify that Silent POSTs originate from Authorize.net.', 'membermouse');
            ?>
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <?php esc_html_e('Notification URL', 'membermouse'); ?>
        <p style="margin-left:10px;">
            <?php $ipnUrl = MM_PLUGIN_URL . '/x.php?service=authorizenet'; ?>
            <span style="font-family:courier; font-size:11px; margin-top:5px;">
                <input id="mm-authnet-ipn-url" type="text" value="<?php echo esc_attr($ipnUrl); ?>" style="width:550px; background-color:#fff;" readonly onclick="jQuery('#mm-authnet-ipn-url').focus(); jQuery('#mm-authnet-ipn-url').select();" />
            </span>
        </p>
        <p style="font-size:11px; margin-left:10px; padding-right:20px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getInfoIcon function.
            echo MM_Utils::getInfoIcon('', '');
            esc_html_e('Authorize.net uses silent posts to inform 3rd party systems when events happen within Authorize.net such as successful payments, subscription cancellations, etc.', 'membermouse');
            // Translators: %1$s and %2$s are HTML link tags.
            printf(esc_html__('MemberMouse keeps member accounts in sync with Authorize.net by listening for these notifications. In order for this to work, you must %1$sregister the notification URL above with Authorize.net%2$s.', 'membermouse'), '<a href="https://membermouse.com/docs/configuring-authorize-net" target="_blank">', '</a>');
            ?>
        </p>
    </div>
</div>