<script>
    function authNetCIMTestModeChangeHandler() {
        if (jQuery("#authorizenetcim_use_test_gateway").is(":checked")) {
            jQuery("#auth-net-cim-test-account-info").show();
            jQuery(".authorizenetcim-test").show();
            jQuery(".authorizenetcim-live").hide()
        } else {
            jQuery("#auth-net-cim-test-account-info").hide();
            jQuery(".authorizenetcim-test").hide();
            jQuery(".authorizenetcim-live").show();
        }
    }

    function authNetCIMAcceptJSChangeHandler() {
        if (jQuery("#authorizenetcim_accept_js_enabled").is(":checked")) {
            jQuery(".authorizenetcim-accept-js-block").show();
        } else {
            jQuery(".authorizenetcim-accept-js-block").hide();
        }
    }

    function showAuthNetCIMTestCardNumbers() {
        var str = "<p><a target='_blank' href='https://developer.authorize.net/hello_world/testing_guide.html'>";
        str += "<?php esc_html_e('Click here to visit Authorize.net\'s documentation on test credit card numbers.', 'membermouse'); ?></a></p>";
        str += "<p><?php esc_html_e('You can use the following test credit card numbers when testing payments.', 'membermouse'); ?><br />";
        str += "<?php esc_html_e('The expiration date must be set to the present date or later:', 'membermouse'); ?></p>";
        str += "<table class='striped fixed widefat'>";
        str += "<tr><td>American Express</td><td>370000000000002</td></tr>";
        str += "<tr><td>Discover</td><td>6011000000000012</td></tr>";
        str += "<tr><td>Visa</td><td>4007000000027</td></tr>";
        str += "<tr><td>Second Visa</td><td>4012888818888</td></tr>";
        str += "<tr><td>JCB</td><td>3088000000000017</td></tr>";
        str += "<tr><td>Diners Club/Carte Blanche</td><td>38000000000006</td></tr>";
        str += "</table><br />";
        mmdialog_js.displayMessage(str, 500, 400, wp.i18n.__('Test Credit Card Numbers', "membermouse"), 'payment-test-cards-dialog' );
    }

    jQuery(function() {
        authNetCIMTestModeChangeHandler();
        authNetCIMAcceptJSChangeHandler();
        jQuery("#authorizenetcim_accept_js_enabled").click(function() {
            if (jQuery("#authorizenetcim_accept_js_enabled").is(":checked")) {
                jQuery("#authorizenetcim_accept_js_warning").show("fast");
            } else {
                jQuery("#authorizenetcim_accept_js_warning").hide("fast");
            }
        });
        //first-run
        if (jQuery("#authorizenetcim_accept_js_enabled").is(":checked")) {
            jQuery("#authorizenetcim_accept_js_warning").show("fast");
        }
    });
</script>

<div style="padding:10px;">
    <img src='https://membermouse.com/assets/plugin_images/logos/authorizenet-cim.png' />

    <div style="margin-top:5px; margin-bottom:10px;">
        <a href='https://membermouse.com/docs/configuring-authorize-net-cim' target='_blank'>
            <?php esc_html_e('Need help configuring Authorize.net CIM?', 'membermouse'); ?>
        </a>
    </div>

    <div style="margin-bottom:10px;">
        <input type='checkbox' value='true' <?php echo (($p->inTestMode() === true) ? 'checked' : ''); ?> id='authorizenetcim_use_test_gateway' name='payment_service[authorizenetcim][test_mode]' onclick="authNetCIMTestModeChangeHandler()" />
        <?php esc_html_e('Enable Test Mode', 'membermouse'); ?>
    </div>

    <div style="margin-bottom:10px;">
        <input type='checkbox' value='true' <?php echo (($p->isAcceptJSEnabled() === true) ? 'checked' : ''); ?> id='authorizenetcim_accept_js_enabled' name='payment_service[authorizenetcim][accept_js_enabled]' onClick="authNetCIMAcceptJSChangeHandler()" />
        <i class="fa fa-star"></i> <?php esc_html_e('Enable Accept.JS', 'membermouse'); ?> (<em><a href="https://www.pcisecuritystandards.org/pci_security/completing_self_assessment" target="_blank"><?php esc_html_e('Highest PCI Compliance', 'membermouse'); ?></a>, <a href="https://membermouse.com/docs/strong-customer-authentication-sca-compliance" target="_blank"><?php esc_html_e('Not SCA-Ready', 'membermouse'); ?></a></em>)
        <?php if (!$p->isAcceptJSReady()) { ?>
            <br />
            <span id="authorizenetcim_accept_js_warning" style="display:none">
                <br />
                <i class="fa fa-exclamation-circle" aria-hidden="true" style="color:red"></i>
                <?php esc_html_e('Accept.js requires a non-localhost domain, and the checkout and my account pages must be secured with a valid SSL certificate to function properly', 'membermouse'); ?>
            </span>
        <?php } ?>
    </div>

    <div id="auth-net-cim-test-account-info" style="margin-bottom:10px; margin-left:10px; <?php echo (($p->inTestMode() === true) ? '' : 'display:none;'); ?>">
        <div style="margin-bottom:5px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('external-link', 'blue', '1.2em', '2px', '', 'margin-right:3px;');
            ?>
            <a href="https://developer.authorize.net/testaccount/" target="_blank">
                <?php esc_html_e('Sign Up for a Test Gateway Account', 'membermouse'); ?>
            </a>
        </div>
        <div style="margin-bottom:5px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('external-link', 'blue', '1.2em', '2px', '', 'margin-right:3px;');
            ?>
            <a href="https://sandbox.authorize.net/" target="_blank">
                <?php esc_html_e('Log Into Test Merchant Interface', 'membermouse'); ?>
            </a>
        </div>
        <div style="margin-bottom:5px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('credit-card', 'blue', '1.3em', '1px', '', 'margin-right:3px;');
            ?>
            <a href="javascript:showAuthNetCIMTestCardNumbers()">
                <?php esc_html_e('Test Credit Card Numbers', 'membermouse'); ?>
            </a>
        </div>
        <div>
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('flask', 'blue', '1.3em', '1px', '', 'margin-right:3px;');
            ?>
            <a href="<?php echo esc_url(MM_ModuleUtils::getUrl(MM_ModuleUtils::getPage(), MM_MODULE_TEST_DATA)); ?>" target="_blank">
                <?php esc_html_e('Configure Test Data', 'membermouse'); ?>
            </a>
        </div>
    </div>

    <div style="margin-bottom:10px;">
        <span class="authorizenetcim-test" id="authorizenetcim-test-login-label">
            <?php esc_html_e('Test API Login ID', 'membermouse'); ?>
        </span>

        <p class="authorizenetcim-test" style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getTestAPILogin()); ?>' id='authorizenetcim_test_api_login' name='payment_service[authorizenetcim][test_api_login]' style='width: 275px;' />
        </p>

        <span class="authorizenetcim-live" id="authorizenetcim-live-login-label">
            <?php esc_html_e('API Login ID', 'membermouse'); ?>
        </span>

        <p class="authorizenetcim-live" style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getLiveAPILogin()); ?>' id='authorizenetcim_live_api_login' name='payment_service[authorizenetcim][live_api_login]' style='width: 275px;' />
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <span class="authorizenetcim-test" id="authorizenetcim-test-transaction-key-label">
            <?php esc_html_e('Test Transaction Key', 'membermouse'); ?>
        </span>

        <p class="authorizenetcim-test" style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getTestTransactionKey()); ?>' id='authorizenetcim_test_transaction_key' name='payment_service[authorizenetcim][test_transaction_key]' style='width: 275px;' />
        </p>

        <span class="authorizenetcim-live" id="authorizenetcim-live-transaction-key-label">
            <?php esc_html_e('Transaction Key', 'membermouse'); ?>
        </span>

        <p class="authorizenetcim-live" style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getLiveTransactionKey()); ?>' id='authorizenetcim_live_transaction_key' name='payment_service[authorizenetcim][live_transaction_key]' style='width: 275px;' />
        </p>
    </div>

    <div class="authorizenetcim-accept-js-block" <?php echo (($p->isAcceptJSEnabled() === true) ? '' : 'display:none;'); ?>>
        <span class="authorizenetcim-test" id="authorizenetcim-test-public-client-key-label">
            <?php esc_html_e('Test Public Client Key', 'membermouse'); ?>
        </span>

        <p class="authorizenetcim-test" style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getTestPublicClientKey()); ?>' id='authorizenetcim_test_public_client_key' name='payment_service[authorizenetcim][test_public_client_key]' style='width: 275px;' />
        </p>

        <span class="authorizenetcim-live" id="authorizenetcim-live-public-client-key-label">
            <?php esc_html_e('Public Client Key', 'membermouse'); ?>
        </span>

        <p class="authorizenetcim-live" style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getLivePublicClientKey()); ?>' id='authorizenetcim_live_public_client_key' name='payment_service[authorizenetcim][live_public_client_key]' style='width: 275px;' />
        </p>
    </div>

    <div class="authorizenetcim-live" style="margin-bottom:10px;" id='authorizenetcim_live_validation_mode'>
        <input type='checkbox' value='true' <?php echo (($p->getLiveValidationMode() === true) ? 'checked' : ''); ?> name='payment_service[authorizenetcim][live_validation_mode]' />
        <?php esc_html_e('Perform credit card authorization before saving data', 'membermouse'); ?>
        <p style="font-size:11px; margin-left:0px; padding-right:20px;margin-top:10px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getInfoIcon function.
            echo MM_Utils::getInfoIcon('', '');
            esc_html_e('When activating credit card authorizations, please note that Authorize.net CIM requires the Billing Address and the Billing Zip Code to be provided in order for the authorization to process successfully.', 'membermouse');
            ?>
        </p>
    </div>
</div>