<script>
    function braintreeTestModeChangeHandler() {
        if (jQuery("#braintree_use_test_gateway").is(":checked")) {
            jQuery("#braintree-test-account-info").show();

            jQuery("#braintree-merchant-id-label").html("<?php esc_html_e('Test Merchant ID', 'membermouse'); ?>");
            jQuery("#braintree_test_merchant_id").show();
            jQuery("#braintree_live_merchant_id").hide();

            jQuery("#braintree-public-key-label").html("<?php esc_html_e('Test Public Key', 'membermouse'); ?>");
            jQuery("#braintree_test_public_key").show();
            jQuery("#braintree_live_public_key").hide();

            jQuery("#braintree-private-key-label").html("<?php esc_html_e('Test Private Key', 'membermouse'); ?>");
            jQuery("#braintree_test_private_key").show();
            jQuery("#braintree_live_private_key").hide();
        } else {
            jQuery("#braintree-test-account-info").hide();

            jQuery("#braintree-merchant-id-label").html("<?php esc_html_e('Live Merchant ID', 'membermouse'); ?>");
            jQuery("#braintree_test_merchant_id").hide();
            jQuery("#braintree_live_merchant_id").show();

            jQuery("#braintree-public-key-label").html("<?php esc_html_e('Live Public Key', 'membermouse'); ?>");
            jQuery("#braintree_test_public_key").hide();
            jQuery("#braintree_live_public_key").show();

            jQuery("#braintree-private-key-label").html("<?php esc_html_e('Live Private Key', 'membermouse'); ?>");
            jQuery("#braintree_test_private_key").hide();
            jQuery("#braintree_live_private_key").show();
        }
    }

    function showBraintreeTestCardNumbers() {
        var str = "<p><a target='_blank' href='https://developer.paypal.com/braintree/docs/reference/general/testing/php#credit-card-numbers'>";
        str += "<?php esc_html_e('Click here to visit Braintree\'s documentation on test credit card numbers.', 'membermouse'); ?></a></p>";
        str += "<p><?php esc_html_e('You can use the following test credit card numbers when testing payments.', 'membermouse'); ?><br />";
        str += "<?php esc_html_e('The expiration date must be set to the present date or later:', 'membermouse'); ?></p>";
        str += "<table class='striped fixed widefat'>";
        str += "<tr><td>Visa</td><td>4111111111111111</td></tr>";
        str += "<tr><td>MasterCard</td><td>5555555555554444</td></tr>";
        str += "<tr><td>American Express</td><td>378282246310005</td></tr>";
        str += "<tr><td>Discover</td><td>6011111111111117</td></tr>";
        str += "<tr><td>JCB</td><td>3530111333300000</td></tr>";
        str += "</table><br />";
        str += "<p>3D Secure Test Card</p>";
        str += "<table class='striped fixed widefat'>";
        str += "<tr><td>Visa</td><td>4000000000001091</td></tr>";
        str += "</table><br />";
        mmdialog_js.displayMessage(str, 500, 470, wp.i18n.__('Test Credit Card Numbers', 'membermouse'), 'payment-test-cards-dialog');
    }

    jQuery(function($) {
        braintreeTestModeChangeHandler();
    });
</script>

<div style="padding:10px;">
    <img src='https://membermouse.com/assets/plugin_images/logos/braintree.png' />

    <div style="margin-top:5px; margin-bottom:10px;">
        <a href='https://membermouse.com/docs/configuring-braintree' target='_blank'>
            <?php esc_html_e('Need help configuring Braintree?', 'membermouse'); ?>
        </a>
    </div>

    <div style="margin-bottom:10px;">
        <input type='checkbox' value='true' <?php echo (($p->inTestMode() === true) ? 'checked' : ''); ?> id='braintree_use_test_gateway' name='payment_service[braintree][test_mode]' onclick="braintreeTestModeChangeHandler()" />
        <?php esc_html_e('Enable Test Mode', 'membermouse'); ?>
    </div>

    <div style="margin-bottom:10px;">
        <input type='checkbox' value='true' <?php echo (($p->getHostedFieldsEnabled() === true) ? 'checked' : ''); ?> id='braintree_use_hosted_fields' name='payment_service[braintree][hosted_fields]' />
        <i class="fa fa-star"></i> <?php esc_html_e('Enable Hosted Fields / 3D Secure 2', 'membermouse'); ?> (<em><a href="https://www.pcisecuritystandards.org/pci_security/completing_self_assessment" target="_blank"><?php esc_html_e('Highest PCI Compliance', 'membermouse'); ?></a>, <a href="https://membermouse.com/docs/strong-customer-authentication-sca-compliance" target="_blank"><?php esc_html_e('SCA-Ready', 'membermouse'); ?></a></em>)
    </div>

    <div id="braintree-test-account-info" style="margin-bottom:10px; margin-left:10px; <?php echo (($p->inTestMode() === true) ? '' : 'display:none;'); ?>">
        <div style="margin-bottom:5px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('external-link', 'blue', '1.2em', '2px', '', 'margin-right:3px;');
            ?>
            <a href="https://sandbox.braintreegateway.com/" target="_blank">
                <?php esc_html_e('Log Into Sandbox Account', 'membermouse'); ?>
            </a>
        </div>
        <div style="margin-bottom:5px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('credit-card', 'blue', '1.3em', '1px', '', 'margin-right:3px;');
            ?>
            <a href="javascript:showBraintreeTestCardNumbers()">
                <?php esc_html_e('Test Credit Card Numbers', 'membermouse'); ?>
            </a>
        </div>
        <div>
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('flask', 'blue', '1.3em', '1px', '', 'margin-right:3px;');
            ?>
            <a href="<?php echo esc_url(MM_ModuleUtils::getUrl(MM_ModuleUtils::getPage(), MM_MODULE_TEST_DATA)); ?>" target="_blank">
                <?php esc_html_e('Configure Test Data', 'membermouse'); ?>
            </a>
        </div>
    </div>

    <div style="margin-bottom:10px;">
        <span id="braintree-merchant-id-label">
            <?php esc_html_e('Merchant ID', 'membermouse'); ?>
        </span>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getTestMerchantId()); ?>' id='braintree_test_merchant_id' name='payment_service[braintree][test_merchant_id]' style='width: 275px;' />
        </p>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getLiveMerchantId()); ?>' id='braintree_live_merchant_id' name='payment_service[braintree][live_merchant_id]' style='width: 275px;' />
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <span id="braintree-public-key-label">
            <?php esc_html_e('Public Key', 'membermouse'); ?>
        </span>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getTestPublicKey()); ?>' id='braintree_test_public_key' name='payment_service[braintree][test_public_key]' style='width: 275px;' />
        </p>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getLivePublicKey()); ?>' id='braintree_live_public_key' name='payment_service[braintree][live_public_key]' style='width: 275px;' />
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <span id="braintree-private-key-label">
            <?php esc_html_e('Private Key', 'membermouse'); ?>
        </span>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getTestPrivateKey()); ?>' id='braintree_test_private_key' name='payment_service[braintree][test_private_key]' style='width: 275px;' />
        </p>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getLivePrivateKey()); ?>' id='braintree_live_private_key' name='payment_service[braintree][live_private_key]' style='width: 275px;' />
        </p>
    </div>
</div>