<script type="text/javascript">
    function validateLimeLightConfigButtons() {
        var configButtonDisabled = (jQuery("#limelight_configure_products[disabled]").length > 0);
        var shouldDisableConfigButton = false;

        jQuery(".limelight_required_for_product_config").each(function() {
            if (jQuery(this).val() == "") {
                shouldDisableConfigButton = true;
            }
        });

        if (!configButtonDisabled && shouldDisableConfigButton) {
            jQuery("#limelight_configure_products").attr("disabled", "disabled");
            jQuery("#limelight_configure_shipping_methods").attr("disabled", "disabled");
        } else if (!shouldDisableConfigButton && configButtonDisabled) {
            jQuery("#limelight_configure_products").removeAttr("disabled");
            jQuery("#limelight_configure_shipping_methods").removeAttr("disabled");
        }
    }

    jQuery(function($) {
        //set initial button state
        validateLimeLightConfigButtons();

        //dynamically modify button state based on field contents
        $(".limelight_required_for_product_config").keyup(validateLimeLightConfigButtons);

        $("#limelight_configure_products").click(function(e) {
            e.preventDefault();
            window.location.href = "<?php echo MM_ModuleUtils::getUrl(MM_MODULE_PRODUCT_SETTINGS, MM_MODULE_LIMELIGHT_PRODUCTS); ?>";
        });

        $("#limelight_configure_shipping_methods").click(function(e) {
            e.preventDefault();
            window.location.href = "<?php echo MM_ModuleUtils::getUrl(MM_MODULE_PRODUCT_SETTINGS, MM_MODULE_LIMELIGHT_SHIPPING_METHODS); ?>";
        });
    });
</script>

<div style="padding:10px;">
    <img src='https://membermouse.com/assets/plugin_images/logos/limelight.png' />

    <div style="margin-top:5px; margin-bottom:10px;">
        <a href='https://membermouse.com/docs/configuring-lime-light' target='_blank'><?php _e("Need help configuring Limelight?", "membermouse"); ?></a>
    </div>



    <div style="margin-top:5px; margin-bottom:10px;">
        <a href="<?php echo MM_ModuleUtils::getUrl(MM_MODULE_LOGS, MM_MODULE_LIMELIGHT_LOG); ?>" class='mm-ui-button blue'>
            <?php _e("View Limelight IPN Log", "membermouse"); ?>
        </a>
    </div>

    <div style="margin-bottom:10px;">
        <?php _e("Limelight URL", "membermouse"); ?>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo $p->getURL(); ?>' id='limelight_url' class='limelight_required_for_product_config' name='payment_service[limelight][url]' style='width: 275px;' />
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <?php _e("API Username", "membermouse"); ?>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo $p->getAPIUsername(); ?>' id='limelight_api_username' class='limelight_required_for_product_config' name='payment_service[limelight][api_username]' style='width: 275px;' />
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <?php _e("API Password", "membermouse"); ?>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo $p->getAPIPassword(); ?>' id='limelight_api_password' class='limelight_required_for_product_config' name='payment_service[limelight][api_password]' style='width: 275px;' />
        </p>
    </div>
    <div style="margin-bottom:10px; margin-top:30px;">
        <?php _e("Membership Provider Postback URL", "membermouse"); ?>

        <p style="margin-left:10px;">
            <?php $postbackUrl = MM_PLUGIN_URL . "/x.php?service=limelight"; ?>

            <span style="font-family:courier; font-size:11px; margin-top:5px;">
                <input id="mm-limelight-postback-url" type="text" value="<?php echo $postbackUrl; ?>" style="width:550px; background-color:#fff;" onclick="jQuery('#mm-limelight-postback-url').focus(); jQuery('#mm-limelight-postback-url').select();" readonly />
            </span>
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <?php _e("Campaign Success Location", "membermouse"); ?> (<em><?php _e("Webform Integration Only", "membermouse"); ?></em>)

        <p style="margin-left:10px;">
            <?php $confirmationUrl = MM_PLUGIN_URL . "/x.php?service=limelight&op=conf"; ?>

            <span style="font-family:courier; font-size:11px; margin-top:5px;">
                <input id="mm-limelight-confirmation-page-url" type="text" value="<?php echo $confirmationUrl; ?>" style="width:550px; background-color:#fff;" onclick="jQuery('#mm-limelight-confirmation-page-url').focus(); jQuery('#mm-limelight-confirmation-page-url').select();" readonly />
            </span>
        </p>

        <p style="font-size:11px; margin-left:10px; padding-right:20px;">
            <?php
            echo MM_Utils::getInfoIcon("", "");
            _e("For each campaign in Lime Light with a webform integration you need to specify a success location to redirect to following a successful purchase. To ensure that customers are redirected to the the appropriate confirmation page within your membership site, set the success location URL for each campaign in Limelight to the URL above.", "membermouse");
            ?>
        </p>
    </div>

    <div style="margin-bottom:10px; margin-top:30px;">
        <?php _e("Product Mappings", "membermouse"); ?>

        <p style="margin-left:10px;">
            <button id='limelight_configure_products' class="mm-ui-button"><?php _e("Configure Lime Light Products", "membermouse"); ?></button>
        </p>

        <p style="font-size:11px; margin-left:10px; padding-right:20px;">
            <?php
            echo MM_Utils::getInfoIcon("", "");
            _e("Limelight and MemberMouse both define products. Products in MemberMouse need to be mapped to products in Limelight so that when a product is purchased in Limelight, it can be mapped to a MemberMouse product and the appropriate actions can be taken. It also makes it so that when a product is purchased in MemberMouse, it can be mapped to the appropriate Limelight product so the appropriate amount is charged to the customer.", "membermouse");
            ?>
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <?php _e("Shipping Method Mappings", "membermouse"); ?>

        <p style="margin-left:10px;">
            <button id='limelight_configure_shipping_methods' class="mm-ui-button"><?php _e("Configure Limelight Shipping Methods", "membermouse"); ?></button>
        </p>

        <p style="font-size:11px; margin-left:10px; padding-right:20px;">
            <?php
            echo MM_Utils::getInfoIcon("", "");
            _e("Limelight and MemberMouse both define shipping methods. Shipping methods in MemberMouse need to be mapped to shipping methods in Limelight so that when a shippable product is purchased in Limelight, the shipping method can be mapped to a MemberMouse shipping method. It also makes it so that when a shippable product is purchased in MemberMouse, the shipping method can be mapped to the appropriate Limelight shipping method so the appropriate amount is charged to the customer for shipping.", "membermouse");
            ?>
        </p>
    </div>
</div>