<script>
    function paypalTestModeChangeHandler() {
        if (jQuery("#paypal_use_sandbox").is(":checked")) {
            jQuery("#paypal-test-account-info").show();
            jQuery("#paypal-email-label").html("<?php _e("PayPal Sandbox Email", "membermouse"); ?>");
        } else {
            jQuery("#paypal-test-account-info").hide();
            jQuery("#paypal-email-label").html("<?php _e("PayPal Email", "membermouse"); ?>");
        }
    }

    jQuery(function() {
        paypalTestModeChangeHandler();

    });
</script>

<div style="padding:10px;">
    <img src='https://membermouse.com/assets/plugin_images/logos/paypal-logo.png' />

    <div style="margin-top:5px; margin-bottom:10px;">
        <a href='https://membermouse.com/docs/configuring-paypal' target='_blank'><?php _e("Need help configuring PayPal?", "membermouse"); ?></a> |
        <a href='https://membermouse.com/docs/troubleshooting-paypal' target="_blank"><?php _e("Troubleshooting PayPal", "membermouse"); ?></a>
    </div>

    <div style="margin-top:5px; margin-bottom:10px;">
        <a href="<?php echo MM_ModuleUtils::getUrl(MM_MODULE_LOGS, MM_MODULE_PAYPAL_IPN_LOG); ?>" class='mm-ui-button blue'>
            <i class="fa fa-paypal"></i> <?php _e("View PayPal IPN Log", "membermouse"); ?>
        </a>
    </div>

    <div style="margin-bottom:10px;">
        <input type='checkbox' value='true' <?php echo (($p->useSandbox() == true) ? "checked" : ""); ?> id='paypal_use_sandbox' name='payment_service[paypal][use_sandbox]' onclick="paypalTestModeChangeHandler()" />
        <?php _e("Enable Test Mode", "membermouse"); ?>
    </div>

    <div id="paypal-test-account-info" style="margin-bottom:10px; margin-left:10px; <?php echo (($p->useSandbox() == true) ? "" : "display:none;"); ?>">
        <div style="margin-bottom:5px;">
            <?php echo MM_Utils::getIcon('external-link', 'blue', '1.2em', '2px', '', "margin-right:3px;"); ?>
            <a href="https://developer.paypal.com/" target="_blank"><?php _e("Create Test Buyer/Seller Accounts", "membermouse"); ?></a>
        </div>
        <div style="margin-bottom:5px;">
            <?php echo MM_Utils::getIcon('external-link', 'blue', '1.2em', '2px', '', "margin-right:3px;"); ?>
            <a href="https://www.sandbox.paypal.com/home" target="_blank"><?php _e("Log Into Test Buyer/Seller Accounts (PayPal Sandbox)", "membermouse"); ?></a>
        </div>
        <div>
            <?php echo MM_Utils::getIcon('flask', 'blue', '1.3em', '1px', __('Setup Test Data', 'membermouse'), "margin-right:3px;"); ?>
            <a href="<?php echo MM_ModuleUtils::getUrl(MM_ModuleUtils::getPage(), MM_MODULE_TEST_DATA); ?>" target="_blank"><?php _e("Configure Test Data", "membermouse"); ?></a>
        </div>
    </div>

    <div style="margin-bottom:10px;">
        <span id="paypal-email-label"><?php _e("PayPal Email", "membermouse"); ?></span>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo $p->getEmail(); ?>' id='paypal_email' name='payment_service[paypal][email]' style='width: 275px;' />
        </p>

        <p style="font-size:11px; margin-left:10px; padding-right:20px;">
            <?php
            echo MM_Utils::getInfoIcon("", "");
            printf(__('In order to take full advantage of the PayPal integration, we suggest a %1$sBusiness PayPal%2$s account. Most features will work with a Personal PayPal account, but more advanced functionality like issuing refunds and automatically cancelling subscriptions directly within MemberMouse are not supported.', 'membermouse'), '<a href="https://www.paypal.com/webapps/mpp/product-selection" target="_blank">', '</a>');
            ?>
    </div>

    <div style="margin-bottom:10px;">
        <?php _e("Notification URL", "membermouse"); ?>

        <p style="margin-left:10px;">
            <?php $ipnUrl = MM_PLUGIN_URL . "/x.php?service=paypal"; ?>

            <span style="font-family:courier; font-size:11px; margin-top:5px;">
                <input id="mm-paypal-ipn-url" type="text" value="<?php echo $ipnUrl; ?>" style="width:550px; background-color:#fff;" readonly onclick="jQuery('#mm-paypal-ipn-url').focus(); jQuery('#mm-paypal-ipn-url').select();" />
            </span>
        </p>

        <p style="font-size:11px; margin-left:10px; padding-right:20px;">
            <?php
            echo MM_Utils::getInfoIcon("", "");
            _e('PayPal uses Instant Payment Notifications to inform 3rd party systems when events happen within PayPal such as successful payments, subscription cancellations, etc. MemberMouse keeps member accounts in sync with PayPal by listening for these notifications. In order for this to work, you must register the notification URL above with PayPal.', 'membermouse');
            ?>
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <?php _e("Auto-Return Configuration", "membermouse"); ?>

        <p style="margin-left:10px;">
            <span style="font-family:courier; font-size:11px; margin-top:5px;">
                <input id="mm-paypal-site-url" type="text" value="<?php echo site_url(); ?>" style="width:550px; background-color:#fff;" readonly onclick="jQuery('#mm-paypal-site-url').focus(); jQuery('#mm-paypal-site-url').select();" />
            </span>
        </p>

        <p style="font-size:11px; margin-left:10px; padding-right:20px;">
            <?php
            echo MM_Utils::getInfoIcon("", "");
            _e('In PayPal you have the option of having it automatically redirect to a MemberMouse confirmation page following a successful payment. To activate this behavior you need to configure auto-return in PayPal with the site URL above.', 'membermouse');
            ?>
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <span id="paypal-email-label"><?php _e("PDT Identity Token", "membermouse"); ?></span>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo $p->getPDTIdentityToken(); ?>' id='paypal_pdt_identity_token' name='payment_service[paypal][pdt_identity_token]' style='width: 550px;' />
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <span id="paypal-express-checkout-creds-label"><?php _e("API Credentials", "membermouse"); ?></span>

        <p style="margin-left:10px; font-family:courier; font-size:11px;">
            <label for="paypal_api_username" style="display:block; float:left; width:10em;"><?php _e("API Username", "membermouse"); ?></label> <input type='text' value='<?php echo $p->getAPIUsername(); ?>' id='paypal_api_username' name='payment_service[paypal][api_username]' style='width: 380px;' /><br />
            <label for="paypal_api_password" style="display:block; float:left; width:10em;"><?php _e("API Password", "membermouse"); ?></label> <input type='text' value='<?php echo $p->getAPIPassword(); ?>' id='paypal_api_password' name='payment_service[paypal][api_password]' style='width: 380px;' /><br />
            <label for="paypal_api_signature" style="display:block; float:left; width:10em;"><?php _e("API Signature", "membermouse"); ?></label> <input type='text' value='<?php echo $p->getAPISignature(); ?>' id='paypal_api_signature' name='payment_service[paypal][api_signature]' style='width: 380px;' /><br />
        </p>

        <p style="font-size:11px; margin-left:10px; padding-right:20px;">
            <?php
            echo MM_Utils::getInfoIcon("", "");
            _e('PayPal API credentials allow you to perform certain subscription management operations from MemberMouse without	having to log into your PayPal account.', 'membermouse');
            ?>
        </p>
    </div>

    <div style="margin-bottom:10px;">
        <?php _e("PayPal Sign-up Page Locale", "membermouse"); ?>
        <?php
        $validLocales = array();
        $validLocales[MM_PayPalService::$DFLT_LOCALE] = "Unspecified";
        $validLocales["AU"] = "Australia";
        $validLocales["AT"] = "Austria";
        $validLocales["BE"] = "Belgium";
        $validLocales["BR"] = "Brazil";
        $validLocales["CA"] = "Canada";
        $validLocales["CH"] = "Switzerland";
        $validLocales["CN"] = "China";
        $validLocales["DE"] = "Germany";
        $validLocales["ES"] = "Spain";
        $validLocales["GB"] = "United Kingdom";
        $validLocales["FR"] = "France";
        $validLocales["IT"] = "Italy";
        $validLocales["NL"] = "Netherlands";
        $validLocales["PL"] = "Poland";
        $validLocales["PT"] = "Portugal";
        $validLocales["RU"] = "Russia";
        $validLocales["US"] = "United States";
        $validLocales[""] = "-----";
        $validLocales["da_DK"] = "Danish (for Denmark only)";
        $validLocales["he_IL"] = "Hebrew";
        $validLocales["id_ID"] = "Indonesian (for Indonesia only)";
        $validLocales["ja_JP"] = "Japanese (for Japan only)";
        $validLocales["no_NO"] = "Norwegian (for Norway only)";
        $validLocales["pt_BR"] = "Brazilian Portuguese (for Portugal and Brazil only)";
        $validLocales["ru_RU"] = "Russian (for Lithuania, Latvia, and Ukraine only)";
        $validLocales["sv_SE"] = "Swedish (for Sweden only)";
        $validLocales["th_TH"] = "Thai (for Thailand only)";
        $validLocales["tr_TR"] = "Turkish (for Turkey only)";
        $validLocales["zh_CN"] = "Simplified Chinese (for China only)";
        $validLocales["zh_HK"] = "Traditional Chinese (for Hong Kong only)";
        $validLocales["zh_TW"] = "Traditional Chinese (for Taiwan only)";
        ?>
        <p style="margin-left:10px;">
            <select id='paypal_locale' name='payment_service[paypal][locale]'>
                <?php echo MM_HtmlUtils::generateSelectionsList($validLocales, $p->getLocale()); ?>
            </select>
        </p>

        <p style="font-size:11px; margin-left:10px; padding-right:20px;">
            <?php
            echo MM_Utils::getInfoIcon("", "");
            _e("This is used to set the locale of the PayPal sign-up page and indicates which language will be used. If unspecified, PayPal determines the locale by using a cookie in the subscriber's browser. If there is no PayPal cookie, the default locale is United States.", "membermouse");
            ?>
        </p>
    </div>
</div>

<!--
<table>
<tr>
	<td>
		API Username
	</td>
	<td>
		<input type='text' value='<?php echo $p->getAPIUsername(); ?>' id='paypal_api_username' name='payment_service[paypal][api_username]' style='width: 275px;' />
	</td>
</tr>
<tr>
	<td>
		API Password
	</td>
	<td>
		<input type='text' value='<?php echo $p->getAPIPassword(); ?>' id='paypal_api_password' name='payment_service[paypal][api_password]' style='width: 275px;' />
	</td>
</tr>
<tr>
	<td>
		API Signature
	</td>
	<td>
		<input type='text' value='<?php echo $p->getAPISignature(); ?>' id='paypal_api_signature' name='payment_service[paypal][api_signature]' style='width: 275px;' />
	</td>
</tr>
</table>
-->