<script>
    function stripeTestModeChangeHandler() {
        if (jQuery("#stripe_test_mode").is(":checked")) {
            jQuery("#stripe-test-account-info").show();
            jQuery(".stripe-test").show();
            jQuery(".stripe-live").hide();
        } else {
            jQuery(".stripe-test").hide();
            jQuery(".stripe-live").show();
            jQuery("#stripe-test-account-info").hide();

        }
    }

    function stripeConnectClickHandler() {

        jQuery('.mm-stripe-connect-new').on('click', function(e) {
            e.preventDefault();

            var stripe_connect_button = jQuery(this);

            var form_data = jQuery('#mm-payment-settings-form').serialize();

            var href = stripe_connect_button.data('url');
            var nonce = stripe_connect_button.data('nonce');

            jQuery.ajax({
                type: "POST",
                url: MemberMouseGlobal.ajaxurl,
                data: {
                    'form_data': form_data,
                    'action': 'mm_stripe_connect_save_settings',
                    'security': nonce
                },
                dataType: 'json',
                cache: false
            }).done(function(response) {
                window.location = href;
            }).fail(function(result) {
                console.log("AJAX call to server to mm_stripe_connect_save_settings failed.");
            });

            return false;

        });
    }

    function stripeDisconnectClickHandler() {
        jQuery('body').on('click', '.mm_stripe_disconnect_button', function(e) {
            var proceed = confirm(jQuery(this).data('disconnect-msg'));
            if (false === proceed) {
                e.preventDefault();
            }
        });
    }

    jQuery(function() {
        stripeTestModeChangeHandler();
        stripeConnectClickHandler();
        stripeDisconnectClickHandler();
    });

    function showStripeTestCardNumbers() {
        var str = "<p><a target='_blank' href='https://docs.stripe.com/testing#cards'>";
        str += "<?php esc_html_e('Click here to visit Stripe\'s documentation on test credit card numbers.', 'membermouse'); ?></a></p>";
        str += "<p><?php esc_html_e('You can use the following test credit card numbers when testing payments.', 'membermouse'); ?><br />";
        str += "<?php esc_html_e('The expiration date must be set to the present date or later:', 'membermouse'); ?></p>";
        str += "<table class='striped fixed widefat'>";
        str += "<tr><td>Visa</td><td>4242424242424242</td></tr>";
        str += "<tr><td>Visa</td><td>4012888888881881</td></tr>";
        str += "<tr><td>MasterCard</td><td>5555555555554444</td></tr>";
        str += "<tr><td>MasterCard</td><td>5105105105105100</td></tr>";
        str += "<tr><td>American Express</td><td>378282246310005</td></tr>";
        str += "<tr><td>American Express</td><td>371449635398431</td></tr>";
        str += "<tr><td>Discover</td><td>6011111111111117</td></tr>";
        str += "<tr><td>Discover</td><td>6011000990139424</td></tr>";
        str += "<tr><td>Diners Club</td><td>30569309025904</td></tr>";
        str += "<tr><td>Diners Club</td><td>38520000023237</td></tr>";
        str += "<tr><td>JCB</td><td>3530111333300000</td></tr>";
        str += "<tr><td>JCB</td><td>3566002020360505</td></tr>";
        str += "</table><br />";
        str += "<p>Regulatory Test Card (SCA)</p>";
        str += "<table class='striped fixed widefat'>";
        str += "<tr><td>Visa</td><td>4000002500003155</td></tr>";
        str += "</table><br />";
        mmdialog_js.displayMessage(str, 500, 700, wp.i18n.__('Test Credit Card Numbers', 'membermouse'), 'payment-test-cards-dialog');
    }
</script>

<style>
    .mm-payment-option-prompt {
        background: rgba(139, 139, 150, 0.1);
        box-shadow: 0 0 1px #bbb;
        align-items: center;
        justify-content: center;
        padding: 1em;
        color: #0a2540;
        width: 600px;
        text-align: center;
        font-size: 15px;
    }

    .mm-payment-option-prompt.connected .stripe-btn {
        border-radius: 7px;
        background: #00528c;
        color: white;
        font-weight: bold;
        padding: 0px 10px;
    }
</style>

<div style="padding:10px;">
    <img src='https://membermouse.com/assets/plugin_images/logos/stripe.png' />

    <div style="margin-top:5px; margin-bottom:10px;">
        <a href='https://membermouse.com/docs/configuring-stripe' target='_blank'><?php esc_html_e('Need help configuring Stripe?', 'membermouse'); ?></a>
    </div>

    <div style="margin-bottom:10px;">
        <input type='checkbox' value='true' <?php echo (($p->inTestMode() === true) ? 'checked' : ''); ?> id='stripe_test_mode' name='payment_service[stripe][test_mode]' onClick="stripeTestModeChangeHandler()" />
        <?php esc_html_e('Enable Test Mode', 'membermouse'); ?>
    </div>
    <div style="margin-bottom:10px;">
        <input type='checkbox' value='true' <?php echo (($p->getLinkAutofill() === true) ? 'checked' : ''); ?> id='stripe_link_autofill' name='payment_service[stripe][link_autofill]' />
        <?php
        // Translators: %1$s and %2$s are HTML link tags.
        printf(esc_html__('Enable %1$sLink%2$s Fast Checkout', 'membermouse'), '<a href="https://docs.stripe.com/payments/link/what-is-link">', '</a>');
        ?>
    </div>
    <div id="stripe-test-account-info" style="margin-bottom:10px; margin-left:10px; <?php echo (($p->inTestMode() === true) ? '' : 'display:none;'); ?>">
        <div style="margin-bottom:5px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('external-link', 'blue', '1.2em', '2px', '', 'margin-right:3px;');
            ?>
            <a href="https://manage.stripe.com/account/apikeys" target="_blank"><?php esc_html_e('Set up or retrieve your Stripe API Keys', 'membermouse'); ?></a>
        </div>
        <div style="margin-bottom:5px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('external-link', 'blue', '1.2em', '2px', '', 'margin-right:3px;');
            ?>
            <a href="https://manage.stripe.com/dashboard" target="_blank"><?php esc_html_e('Log Into your Stripe dashboard', 'membermouse'); ?></a>
        </div>
        <div style="margin-bottom:5px;">
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('credit-card', 'blue', '1.3em', '1px', '', 'margin-right:3px;');
            ?>
            <a href="javascript:showStripeTestCardNumbers()"><?php esc_html_e('Test Credit Card Numbers', 'membermouse'); ?></a>
        </div>
        <div>
            <?php
            // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- We dont need to escape the getIcon function.
            echo MM_Utils::getIcon('flask', 'blue', '1.3em', '1px', '', 'margin-right:3px;');
            ?>
            <a href="<?php echo esc_url(MM_ModuleUtils::getUrl(MM_ModuleUtils::getPage(), MM_MODULE_TEST_DATA)); ?>" target="_blank"><?php esc_html_e('Configure Test Data', 'membermouse'); ?></a>
        </div>
    </div>

    <?php
    $style_keys = '';
    $show_keys = false;
    if (! isset($_GET['display-keys']) && ! isset($_COOKIE['mm_stripe_display_keys']) && ! defined('MM_DISABLE_STRIPE_CONNECT')) {
        $style_keys = ' display:none;';
    } else {
        $show_keys = true;
    }

    $account_email = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_AUTH_ACCOUNT_EMAIL);
    $secret = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_AUTH_ACCOUNT_SECRET);
    $site_uuid = MM_OptionUtils::getOption(MM_OptionUtils::$OPTION_KEY_AUTH_ACCOUNT_SITE_UUID);
    $service_account_name = MM_OptionUtils::getOption('mm_stripe_service_account_name');
    $stripe_connect_id = MM_StripeConnect::get_method_id();

    // If we're authenticated then let's present a stripe url otherwise an authenticator url.
    if ($account_email && $secret && $site_uuid) {
        $stripe_connect_url = MM_StripeConnect::get_stripe_connect_url();
    } else {
        $stripe_connect_url = MM_AuthenticatorService::get_auth_connect_url(true, MM_StripeConnect::get_method_id());
    }
    ?>
    <?php if ('connected' === MM_StripeConnect::stripe_connect_status()) : ?>
        <div style="margin-bottom:10px;">
            <?php
            $refresh_url = add_query_arg(
                [
                    'action' => 'mm_stripe_connect_refresh',
                    'method-id' => MM_StripeConnect::get_method_id(),
                    '_wpnonce' => wp_create_nonce('stripe-refresh'),
                ],
                admin_url('admin-ajax.php')
            );
            $disconnect_url = add_query_arg(
                [
                    'action' => 'mm_stripe_connect_disconnect',
                    'method-id' => $stripe_connect_id,
                    '_wpnonce' => wp_create_nonce('stripe-disconnect'),
                ],
                admin_url('admin-ajax.php')
            );
            $disconnect_confirm_msg = esc_html__('Disconnecting from this Stripe Account will block webhooks from being processed, and prevent MemberMouse payments associated with it from working.', 'membermouse');
            ?>
            <div id="stripe-connected-actions" class="mm-payment-option-prompt connected">
                <?php if (empty($service_account_name)) : ?>
                    <?php esc_html_e('Connected to Stripe', 'membermouse'); ?>
                <?php else : ?>
                    <?php
                    // Translators: %1$s and %2$s are HTML tags.
                    printf(esc_html__('Connected to: %1$s %2$s %3$s', 'membermouse'), '<strong>', esc_html($service_account_name), '</strong>');
                    ?>
                <?php endif; ?>
                &nbsp;
                <span style="<?php echo esc_attr($style_keys); ?>">
                    <a href="<?php echo esc_url($refresh_url); ?>"
                        class="stripe-btn  mm_stripe_refresh_button button-secondary"><?php esc_html_e('Refresh Stripe Credentials', 'membermouse'); ?></a></span>
                <a href="<?php echo esc_url($disconnect_url); ?>" class=" stripe-btn  mm_stripe_disconnect_button button-secondary"
                    data-disconnect-msg="<?php echo esc_attr($disconnect_confirm_msg); ?>">
                    <?php esc_html_e('Disconnect', 'membermouse'); ?>
                </a>
            </div>
        </div>
    <?php endif; ?>

    <div style="margin-bottom:10px;<?php echo esc_attr($style_keys); ?>">
        <span class="stripe-test" id="stripe-test-api-key-label"><?php esc_html_e('Test Secret Key', 'membermouse'); ?></span>

        <p class="stripe-test" style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getTestAPIKey()); ?>' id='stripe_test_api_key' name='payment_service[stripe][test_api_key]' style='width: 275px;' />
        </p>

        <span class="stripe-live" id="stripe-live-api-key-label"><?php esc_html_e('Live Secret Key', 'membermouse'); ?></span>

        <p class="stripe-live" style="margin-left:10px; font-family:courier; font-size:11px;">
            <input type='text' value='<?php echo esc_attr($p->getLiveAPIKey()); ?>' id='stripe_live_api_key' name='payment_service[stripe][live_api_key]' style='width: 275px;' />
        </p>

        <div class="stripe-js-block">
            <span class="stripe-test" id="stripe-test-publishable-key-label"><?php esc_html_e('Test Publishable Key', 'membermouse'); ?></span>

            <p class="stripe-test" style="margin-left:10px; font-family:courier; font-size:11px;">
                <input type='text' value='<?php echo esc_attr($p->getTestPublishableKey()); ?>' id='stripe_test_publishable_key' name='payment_service[stripe][test_publishable_key]' style='width: 275px;' />
            </p>

            <span class="stripe-live" id="stripe-live-publishable-key-label"><?php esc_html_e('Live Publishable Key', 'membermouse'); ?></span>

            <p class="stripe-live" style="margin-left:10px; font-family:courier; font-size:11px;">
                <input type='text' value='<?php echo esc_attr($p->getLivePublishableKey()); ?>' id='stripe_live_publishable_key' name='payment_service[stripe][live_publishable_key]' style='width: 275px;' />
            </p>
        </div>
    </div>

    <?php
    if ('disconnected' === MM_StripeConnect::stripe_connect_status()) : ?>
        <div class="mm-payment-option-prompt">
            <h4><strong><?php esc_html_e('Re-Connect to Stripe', 'membermouse'); ?></strong></h4>
            <p><?php esc_html_e('This Payment Method has been disconnected so it may stop working for new and recurring payments at any time. To prevent this, re-connect your Stripe account by clicking the "Connect with Stripe" button below.', 'membermouse'); ?></p>
            <p>
                <a href="#"
                    data-url="<?php echo esc_url($stripe_connect_url); ?>"
                    data-id="<?php echo esc_attr($stripe_connect_id); ?>"
                    data-nonce="<?php echo esc_attr(wp_create_nonce('new-stripe-connect')); ?>"
                    class="mm-stripe-connect-new">
                    <img src="<?php echo esc_url(MM_Utils::getImageUrl('stripe-connect')); ?>" width="200" alt="<?php esc_attr_e('Connect with Stripe button', 'membermouse'); ?>">
                </a>
            </p>
        </div>
    <?php elseif ('connected' !== MM_StripeConnect::stripe_connect_status()) : ?>
        <div style="margin-bottom:10px;">
            <p style="margin-left:10px;">
                <a href="#"
                    data-url="<?php echo esc_url($stripe_connect_url); ?>"
                    data-id="<?php echo esc_attr($stripe_connect_id); ?>"
                    data-nonce="<?php echo esc_attr(wp_create_nonce('new-stripe-connect')); ?>"
                    class="mm-stripe-connect-new">
                    <img src="<?php echo esc_url(MM_Utils::getImageUrl('stripe-connect')); ?>" width="200" alt="<?php esc_attr_e('Connect with Stripe button', 'membermouse'); ?>">
                </a>
            </p>
        </div>
    <?php endif; ?>

</div>