<?php

/**
 *
 * MemberMouse(TM) (http://www.membermouse.com)
 * (c) MemberMouse, LLC. All rights reserved.
 */

$view = new MM_ActivityLogView();

if (isset($_REQUEST["isMemberDetailsView"])) {
    $isMemberDetailsArea = ($_REQUEST["isMemberDetailsView"] == "true") ? true : false;
} else {
    $module = MM_ModuleUtils::getModule();
    $isMemberDetailsArea = ($module == MM_MODULE_MEMBER_DETAILS_ACTIVITY_LOG) ? true : false;
}

if (!empty($_REQUEST["sortby"])) {
    $dataGrid = new MM_DataGrid($_REQUEST, $_REQUEST["sortby"], "desc", 20);
} else {
    $dataGrid = new MM_DataGrid($_REQUEST, "date_added", "desc", 20);
}
$data = $view->getViewData($_REQUEST, $dataGrid);
$dataGrid->setTotalRecords($data);
$dataGrid->recordName = "event";

$rows = array();
$headers = array();

$headers['event_type'] = array('content' => '<a onclick="mmjs.sort(\'event_type\');" href="#">' . __("Type", "membermouse") . '</a>', "attr" => "style='width:50px;'");

if (!$isMemberDetailsArea) {
    $headers['user_id'] = array('content' => '<a onclick="mmjs.sort(\'user_id\');" href="#">' . __("Member", "membermouse") . '</a>', "attr" => "style='width:250px;'");
}

$headers['details'] = array('content' => __('Details', "membermouse"));
$headers['ip'] = array('content' => '<a onclick="mmjs.sort(\'ip\');" href="#">' . __("IP Address", "membermouse") . '</a>', "attr" => "style='width:100px;'");
$headers['date_added'] = array('content' => '<a onclick="mmjs.sort(\'date_added\');" href="#">' . __("Date", "membermouse") . '</a>', "attr" => "style='width:150px;'");

foreach ($data as $key => $item) {
    // member link
    $user = new MM_User($item->user_id);

    $memberLink = MM_NO_DATA;

    if ($user->isValid()) {
        $memberLink = $user->getUsername();
        $memberLink = "<a href='?page=" . MM_MODULE_MANAGE_MEMBERS . "&module=details_general&user_id=" . $item->user_id . "'>" . $user->getUsername() . "</a>";
    }

    $params = null;
    $details = MM_NO_DATA;
    $eventType = MM_NO_DATA;

    if (!empty($item->additional_params)) {
        $params = unserialize($item->additional_params);
    }

    // IP Address
    $ipAddress = MM_NO_DATA;

    if (!empty($item->event_type)) {
        switch ($item->event_type) {
            case MM_ActivityLog::$EVENT_TYPE_PAGE_ACCESS:
                $details = __("Member accessed", "membermouse") . " ";
                $eventType = MM_Utils::getIcon('file-o', 'turq', '1.2em', '1px', __("Page Accessed", "membermouse"));
                $urlParts = explode("?", $item->url);
                $urlParams = "";
                if (count($urlParts) > 1) {
                    $urlParams = $urlParts[1];
                }

                // construct URL
                if (!is_null($params)) {
                    if (isset($params[MM_ActivityLog::$PARAM_PAGE_ID])) {
                        $pageInfo = get_page($params[MM_ActivityLog::$PARAM_PAGE_ID]);

                        if (isset($pageInfo->ID)) {
                            $permalink = get_permalink($pageInfo->ID);
                            $details .= "<span style='font-family:courier;'><a href=\"{$permalink}\" target=\"_blank\">{$pageInfo->post_title}</a></span>";
                        }
                    } else {
                        $details .= $urlParts[0];
                    }
                } else {
                    $details .= $urlParts[0];
                }

                $details .= " page";

                if (!empty($urlParams)) {
                    $paramString = "Parameters:\n";
                    $pairs = explode("&", $urlParams);

                    if (!empty($pairs) && count($pairs) > 0) {
                        foreach ($pairs as $pair) {
                            $paramString .= urldecode(str_replace("=", ": ", $pair)) . "\n";
                        }

                        $details .= MM_Utils::getIcon('link', 'grey', '1.2em', '2px', $paramString, "margin-left:5px;");
                    }
                }

                // add affiliate info
                if (!is_null($params)) {
                    if (!empty($params[MM_ActivityLog::$PARAM_AFFILIATE_ID]) || !empty($params[MM_ActivityLog::$PARAM_SUBAFFILIATE_ID])) {
                        $affiliateInfo = "";
                        if (!empty($params[MM_ActivityLog::$PARAM_AFFILIATE_ID])) {
                            $affiliateInfo .= __("Affiliate ID", "membermouse") . ": {$params[MM_ActivityLog::$PARAM_AFFILIATE_ID]}\n";
                        }
                        if (!empty($params[MM_ActivityLog::$PARAM_SUBAFFILIATE_ID])) {
                            $affiliateInfo .= __("Sub-affiliate ID", "membermouse") . ": {$params[MM_ActivityLog::$PARAM_SUBAFFILIATE_ID]}";
                        }
                        $details .= MM_Utils::getAffiliateIcon($affiliateInfo, "margin-left:5px;");
                    }
                }

                break;

            case MM_ActivityLog::$EVENT_TYPE_AFFILIATE_TRACKING:
                $eventType = MM_Utils::getAffiliateIcon("Affiliate Tracking");
                $details = "An unknown affiliate tracking event occurred";
                $affiliateProviderName = __("Unknown Provider", "membermouse");
                $orderNumber = MM_NO_DATA;

                if (!empty($params[MM_ActivityLog::$PARAM_AFFILIATE_PROVIDER_NAME])) {
                    $affiliateProviderName = $params[MM_ActivityLog::$PARAM_AFFILIATE_PROVIDER_NAME];
                }

                if (!empty($params[MM_ActivityLog::$PARAM_AFFILIATE_ORDER_NUMBER])) {
                    $orderNumber = $params[MM_ActivityLog::$PARAM_AFFILIATE_ORDER_NUMBER];
                }

                if (!empty($params[MM_ActivityLog::$PARAM_AFFILIATE_TRACKING_EVENT])) {
                    switch ($params[MM_ActivityLog::$PARAM_AFFILIATE_TRACKING_EVENT]) {
                        case MM_AffiliateController::$AFFILIATE_EVENT_TRACK_INITIAL_COMMISSION:
                        case MM_AffiliateController::$AFFILIATE_EVENT_TRACK_REBILL_COMMISSION:
                            if ($params[MM_ActivityLog::$PARAM_AFFILIATE_TRACKING_EVENT] == MM_AffiliateController::$AFFILIATE_EVENT_TRACK_INITIAL_COMMISSION) {
                                $message = __('Initial commission request sent to %1$s for %2$sOrder# %3$s', 'membermouse');
                                $details = sprintf($message, "<em>{$affiliateProviderName}</em>", "<span style='font-family:courier;'>", "{$orderNumber}</span>");
                            } else {
                                $message = __('Rebill commission request sent to %1$s for %2$sOrder# %3$s', 'membermouse');
                                $details = sprintf($message, "<em>{$affiliateProviderName}</em>", "<span style='font-family:courier;'>", "{$orderNumber}</span>");
                            }

                            break;

                        case MM_AffiliateController::$AFFILIATE_EVENT_REVERSE_COMMISSION:
                            $message = __('Terminate commission request sent to %1$s for %2$sOrder# %3$s', 'membermouse');
                            $details = sprintf($message, "<em>{$affiliateProviderName}</em>", "<span style='font-family:courier;'>", "{$orderNumber}</span>");
                            break;

                        case MM_AffiliateController::$AFFILIATE_EVENT_CREATE_ACCOUNT:
                            $message = __('Affiliate account creation request sent to %s', 'membermouse');
                            $details = sprintf($message, "<em>{$affiliateProviderName}</em>");
                            break;

                        case MM_Event::$AFFILIATE_INFO_CHANGED:
                            if (!empty($params[MM_ActivityLog::$PARAM_BILLING_ORDER_AFFFILIATE_ID]) || !empty($params[MM_ActivityLog::$PARAM_BILLING_ORDER_SUBAFFFILIATE_ID])) {
                                $message = __('Affiliate Info Updated on %1$sOrder# %2$s', 'membermouse');
                                $details = sprintf($message, "<span style='font-family:courier;'>", "{$params[MM_ActivityLog::$PARAM_BILLING_ORDER_NUMBER]}</span> &mdash; ");

                                if (!empty($params[MM_ActivityLog::$PARAM_BILLING_ORDER_AFFFILIATE_ID])) {
                                    $details .= "<em>" . __("Affiliate ID", "membermouse") . "</em> <code>{$params[MM_ActivityLog::$PARAM_BILLING_ORDER_AFFFILIATE_ID]}</code> ";
                                }

                                if (!empty($params[MM_ActivityLog::$PARAM_BILLING_ORDER_SUBAFFFILIATE_ID])) {
                                    $details .= "<em>" . __("Sub-affiliate ID", "membermouse") . "</em> <code>{$params[MM_ActivityLog::$PARAM_BILLING_ORDER_SUBAFFFILIATE_ID]}</code>";
                                }
                            }
                            break;
                    }
                }

                // render affiliate commission details dialog
                if (($params[MM_ActivityLog::$PARAM_AFFILIATE_TRACKING_EVENT] == MM_AffiliateController::$AFFILIATE_EVENT_TRACK_INITIAL_COMMISSION) ||
                    ($params[MM_ActivityLog::$PARAM_AFFILIATE_TRACKING_EVENT] == MM_AffiliateController::$AFFILIATE_EVENT_TRACK_REBILL_COMMISSION)
                ) {
?>
                    <div id="mm-view-info-<?php echo $item->id; ?>" style="display:none;" title="<?php _e('Commission Request Details', 'membermouse') ?>" style="font-size:11px;">
                        <p><strong><?php _e("Commission Request Data", "membermouse"); ?></strong></p>

                        <p>
                            <?php
                            if (!empty($params[MM_ActivityLog::$PARAM_AFFILIATE_ID])) {
                            ?>
                                <?php _e("Affiliate ID", "membermouse"); ?>: <span style="font-family:courier;"><?php echo $params[MM_ActivityLog::$PARAM_AFFILIATE_ID]; ?></span><br />
                            <?php } ?>
                            <?php _e("Order Number", "membermouse"); ?>: <span style="font-family:courier;"><?php echo $params[MM_ActivityLog::$PARAM_AFFILIATE_ORDER_NUMBER]; ?></span><br />
                            <?php _e("Order Total", "membermouse"); ?>: <span style="font-family:courier;"><?php echo _mmf($params[MM_ActivityLog::$PARAM_AFFILIATE_ORDER_TOTAL]); ?></span><br />
                            <?php _e("IP Address", "membermouse"); ?>: <span style="font-family:courier;"><?php echo $params[MM_ActivityLog::$PARAM_AFFILIATE_ORDER_IP_ADDRESS]; ?></span><br />
                            <?php
                            if (!empty($params[MM_ActivityLog::$PARAM_AFFILIATE_COUPON_CODE])) {
                            ?>
                                <?php _e("Coupon Code", "membermouse"); ?>: <span style="font-family:courier;"><?php echo $params[MM_ActivityLog::$PARAM_AFFILIATE_COUPON_CODE]; ?></span>
                            <?php } ?>
                        </p>

                        <?php
                        if (!empty($params[MM_ActivityLog::$PARAM_AFFILIATE_TRACKING_URL])) {
                        ?>
                            <p><strong><?php _e("Request Sent to", "membermouse"); ?> <?php echo $affiliateProviderName ?></strong></p>

                            <p style="font-size:12px;"><?php printf(__("This is the exact request that was sent to %s. Note that this is a request only which means that a commission will not necessarily be recorded in %s. Once the request is received, %s will determine if a commission should be recorded based on the information provided. To know definitively which commissions are being recorded log into %s. ", "membermouse"), $affiliateProviderName, $affiliateProviderName, $affiliateProviderName, $affiliateProviderName); ?></p>

                            <p><span style="font-family:courier;"><?php echo $params[MM_ActivityLog::$PARAM_AFFILIATE_TRACKING_URL]; ?></span></p>
                        <?php } ?>
                    </div>
                <?php
                    $details .= MM_Utils::getInfoIcon(__("View commission request details", "membermouse"), "margin-left:4px;", "viewInfo({$item->id})");
                }


                // render affiliate account create details dialog
                if ($params[MM_ActivityLog::$PARAM_AFFILIATE_TRACKING_EVENT] == MM_AffiliateController::$AFFILIATE_EVENT_CREATE_ACCOUNT) {
                ?>
                    <div id="mm-view-info-<?php echo $item->id; ?>" style="display:none;" title="<?php _e("Affiliate Account Creation Request Details", "membermouse"); ?>" style="font-size:11px;">
                        <?php
                        if (!empty($params[MM_ActivityLog::$PARAM_AFFILIATE_TRACKING_URL])) {
                        ?>
                            <p style="font-size:12px;"><?php printf(__("This is the request that was sent to %s to create an affiliate account", "membermouse"), $affiliateProviderName); ?>:</p>

                            <p style="width:400px;"><span style="font-family:courier;"><?php echo $params[MM_ActivityLog::$PARAM_AFFILIATE_TRACKING_URL]; ?></span></p>
                        <?php } ?>
                    </div>
                    <?php
                    $details .= MM_Utils::getInfoIcon("View affiliate account creation request details", "margin-left:4px;", "viewInfo({$item->id})");
                }

                break;

            case MM_ActivityLog::$EVENT_TYPE_LOGIN:

                $details = __("Member logged in from", "membermouse") . " <span style='font-family:courier;'>{$ipAddress}</span>";
                if (!empty($item->ip)) {
                    $details = __("Member logged in from", "membermouse") . " <span style='font-family:courier;'>" . MM_Utils::generateIPLinks($item->ip, ",") . "</span>";
                }
                $eventType = MM_Utils::getIcon('key', 'yellow', '1.3em', '2px', "Login");
                break;

            case MM_ActivityLog::$EVENT_TYPE_ACCESS_RIGHTS:
                if (!is_null($params) && !empty($params[MM_ActivityLog::$PARAM_ACCESS_EVENT])) {
                    // get access name
                    switch ($params[MM_ActivityLog::$PARAM_ACCESS_EVENT]) {
                        case MM_Event::$MEMBER_ADD:
                        case MM_Event::$MEMBER_STATUS_CHANGE:
                        case MM_Event::$MEMBER_MEMBERSHIP_CHANGE:
                            $membership = new MM_MembershipLevel($params[MM_ActivityLog::$PARAM_ACCESS_ID]);

                            if ($membership->isValid()) {
                                $accessName = $membership->getName();
                            } else {
                                $accessName = __("Unknown Membership", "membermouse");
                            }

                            if (!empty($params[MM_ActivityLog::$PARAM_ACCESS_STATUS])) {
                                $accessStatusInfo = MM_Status::getImage($params[MM_ActivityLog::$PARAM_ACCESS_STATUS]);
                                $accessStatusInfo .= " <em>" . MM_Status::getName($params[MM_ActivityLog::$PARAM_ACCESS_STATUS], true) . "</em>";

                                if ($params[MM_ActivityLog::$PARAM_ACCESS_STATUS] == MM_Status::$ERROR && !empty($params[MM_ActivityLog::$PARAM_ACCESS_STATUS_MESSAGE])) {
                                    $accessStatusInfo .= MM_Utils::getInfoIcon(htmlentities($params[MM_ActivityLog::$PARAM_ACCESS_STATUS_MESSAGE], ENT_QUOTES, "UTF-8"), "margin-left:4px;");
                                }
                            }
                            break;

                        case MM_Event::$BUNDLE_ADD:
                        case MM_Event::$BUNDLE_STATUS_CHANGE:
                            $bundle = new MM_Bundle($params[MM_ActivityLog::$PARAM_ACCESS_ID]);

                            if ($bundle->isValid()) {
                                $accessName = $bundle->getName();
                            } else {
                                $accessName = __("Unknown Bundle", "membermouse");
                            }

                            if (!empty($params[MM_ActivityLog::$PARAM_ACCESS_STATUS])) {
                                $accessStatusInfo = MM_Status::getImage($params[MM_ActivityLog::$PARAM_ACCESS_STATUS]);
                                $accessStatusInfo .= " <em>" . MM_Status::getName($params[MM_ActivityLog::$PARAM_ACCESS_STATUS], true) . "</em>";
                            }
                            break;
                    }

                    // generate details and event type icon
                    switch ($params[MM_ActivityLog::$PARAM_ACCESS_EVENT]) {
                        case MM_Event::$MEMBER_ADD:
                            $eventType = MM_Utils::getAccessIcon(MM_OrderItemAccess::$ACCESS_TYPE_MEMBERSHIP, __("Member created", "membermouse"));
                            $details = sprintf(__('Account created with %s membership', 'membermouse'), "<em>{$accessName}</em>");
                            break;

                        case MM_Event::$MEMBER_MERGED:
                            $eventType = MM_Utils::getIcon('compress', 'salmon', '1.3em', '2px', __('Member account merged', 'membermouse'));
                            $accountData = "<em>" . $params["email"] . "</em> [ID: " . $params["member_id"] . "]";
                            $details = sprintf(__('Member account %s merged into this account', 'membermouse'), $accountData);
                            break;

                        case MM_Event::$MEMBER_STATUS_CHANGE:
                            $eventType = MM_Utils::getAccessIcon(MM_OrderItemAccess::$ACCESS_TYPE_MEMBERSHIP, __("Membership status changed", "membermouse"));
                            $details = sprintf(__('%1$s membership status changed to %2$s', 'membermouse'), "<em>{$accessName}</em>", $accessStatusInfo);
                            break;

                        case MM_Event::$MEMBER_MEMBERSHIP_CHANGE:
                            $eventType = MM_Utils::getAccessIcon(MM_OrderItemAccess::$ACCESS_TYPE_MEMBERSHIP, __("Membership level changed", "membermouse"));
                            $details = sprintf(__('Membership changed to %s', 'membermouse'), "<em>{$accessName}</em>");
                            break;

                        case MM_Event::$BUNDLE_ADD:
                            $eventType = MM_Utils::getAccessIcon(MM_OrderItemAccess::$ACCESS_TYPE_BUNDLE, __("Bundle added", "membermouse"));
                            $details = sprintf(__('%s bundle added to account', 'membermouse'), "<em>{$accessName}</em>");
                            break;

                        case MM_Event::$BUNDLE_STATUS_CHANGE:
                            $eventType = MM_Utils::getAccessIcon(MM_OrderItemAccess::$ACCESS_TYPE_BUNDLE, __("Bundle status changed", "membermouse"));
                            $details = sprintf(__('%1$s bundle status changed to %2$s', 'membermouse'), "<em>{$accessName}</em>", $accessStatusInfo);
                            break;
                    }

                    // add complimentary indicator
                    if (isset($params[MM_ActivityLog::$PARAM_ACCESS_IS_COMPLIMENTARY]) && $params[MM_ActivityLog::$PARAM_ACCESS_IS_COMPLIMENTARY] == "true") {
                        switch ($params[MM_ActivityLog::$PARAM_ACCESS_EVENT]) {
                            case MM_Event::$MEMBER_ADD:
                            case MM_Event::$MEMBER_MEMBERSHIP_CHANGE:
                            case MM_Event::$BUNDLE_ADD:
                                if ($params[MM_ActivityLog::$PARAM_ACCESS_EVENT] == MM_Event::$BUNDLE_ADD) {
                                    $compDescription = __("Bundle is complimentary", "membermouse");
                                } else {
                                    $compDescription = __("Membership is complimentary", "membermouse");
                                }
                                $details .= MM_Utils::getDiscountIcon($compDescription, "margin-left:5px;");
                                break;

                            case MM_Event::$MEMBER_STATUS_CHANGE:
                            case MM_Event::$BUNDLE_STATUS_CHANGE:
                                if ($params[MM_ActivityLog::$PARAM_ACCESS_STATUS] == MM_Status::$ACTIVE) {
                                    if ($params[MM_ActivityLog::$PARAM_ACCESS_EVENT] == MM_Event::$BUNDLE_ADD) {
                                        $compDescription = __("Bundle is complimentary", "membermouse");
                                    } else {
                                        $compDescription = __("Membership is complimentary", "membermouse");
                                    }
                                    $details .= MM_Utils::getDiscountIcon($compDescription, "margin-left:5px;");
                                }
                                break;
                        }
                    }
                }
                break;

            case MM_ActivityLog::$EVENT_TYPE_BILLING:
                if (!is_null($params) && !empty($params[MM_ActivityLog::$PARAM_BILLING_EVENT])) {
                    // get product and coupon names
                    $productName = __("Unknown Product", "membermouse");
                    $isSubscription = false;
                    $hasCoupon = false;
                    $hasProration = false;
                    $orderTotal = "";
                    $undefinedPaymentAmount = false;
                    switch ($params[MM_ActivityLog::$PARAM_BILLING_EVENT]) {
                        case MM_Event::$PAYMENT_RECEIVED:
                        case MM_Event::$PAYMENT_REBILL:
                        case MM_Event::$PAYMENT_REBILL_DECLINED:
                        case MM_Event::$BILLING_SUBSCRIPTION_UPDATED:
                        case MM_Event::$BILLING_SUBSCRIPTION_REBILL_DATE_CHANGED:
                        case MM_Event::$BILLING_SUBSCRIPTION_CANCELED:
                        case MM_Event::$REFUND_ISSUED:
                            $products = json_decode(stripslashes($params[MM_ActivityLog::$PARAM_BILLING_ORDER_PRODUCTS]));

                            foreach ($products as $product) {
                                $productName = $product->name;
                                $isSubscription = $product->is_recurring;
                                break; // only support one product per order
                            }

                            $coupons = json_decode(stripslashes($params[MM_ActivityLog::$PARAM_BILLING_ORDER_COUPONS]));

                            foreach ($coupons as $coupon) {
                                $hasCoupon = true;
                                $couponName = $coupon->name;
                                break; // only support one coupon per order
                            }

                            if (isset($params[MM_ActivityLog::$PARAM_BILLING_ORDER_PRORATIONS])) {
                                $prorations = json_decode(stripslashes($params[MM_ActivityLog::$PARAM_BILLING_ORDER_PRORATIONS]));

                                foreach ($prorations as $proration) {
                                    $hasProration = true;
                                    $prorationAmount = abs($proration->amount);
                                    $prorationDescription = $proration->description;
                                    break; // only support one proration per order
                                }
                            }

                            $details = "<span style='font-family:courier;'>" . __("Order#", "membermouse") . " {$params[MM_ActivityLog::$PARAM_BILLING_ORDER_NUMBER]}</span>: ";

                            if (!preg_match("/[a-zA-Z]+/", $params[MM_ActivityLog::$PARAM_BILLING_ORDER_TOTAL])) {
                                $orderTotal = _mmf($params[MM_ActivityLog::$PARAM_BILLING_ORDER_TOTAL]);
                                $orderTotal = "<span style='font-family:courier;'>{$orderTotal}</span>";
                            } else {
                                $orderTotal = $params[MM_ActivityLog::$PARAM_BILLING_ORDER_TOTAL];
                                $undefinedPaymentAmount = true;
                            }
                            break;
                    }

                    // generate details and event type icon
                    switch ($params[MM_ActivityLog::$PARAM_BILLING_EVENT]) {
                        case MM_Event::$PAYMENT_RECEIVED:
                            $eventType = MM_Utils::getIcon('money', 'green', '1.4em', '2px', __('Initial Payment Received', 'membermouse'));

                            if ($isSubscription) {
                                $details .= sprintf(__('Initial payment of %1$s received for subscription product %2$s', 'membermouse'), $orderTotal, "<em>{$productName}</em>");
                            } else {
                                $details .= sprintf(__('Payment of %1$s received for product %2$s', 'membermouse'), $orderTotal, "<em>{$productName}</em>");
                            }
                            break;

                        case MM_Event::$PAYMENT_REBILL:
                            $eventType = MM_Utils::getIcon('money', 'green', '1.4em', '2px', __('Rebill Payment Received', 'membermouse'));
                            if (!$undefinedPaymentAmount) {
                                $details .= sprintf(__('Rebill payment of %1$s received for subscription product %2$s', 'membermouse'), $orderTotal, "<em>{$productName}</em>");
                            } else {
                                $details .= sprintf(__('%1$s Rebill payment received for %2$s', 'membermouse'), $orderTotal, "<em>{$productName}</em>");
                            }
                            break;

                        case MM_Event::$PAYMENT_REBILL_DECLINED:
                            $eventType = MM_Utils::getIcon('money', 'red', '1.4em', '2px', __('Rebill Payment Failed', 'membermouse'));
                            $details .= sprintf(__('Rebill payment failed for subscription product %s', 'membermouse'), "<em>{$productName}</em>");
                            break;

                        case MM_Event::$BILLING_SUBSCRIPTION_UPDATED:
                            $eventType = MM_Utils::getIcon('credit-card', 'green', '1.4em', '2px', __('Credit Card Updated', 'membermouse'));
                            $details .= sprintf(__('Member updated their credit card information for subscription product %s', 'membermouse'), "<em>{$productName}</em>");
                            break;

                        case MM_Event::$BILLING_SUBSCRIPTION_REBILL_DATE_CHANGED:
                            $eventType = MM_Utils::getIcon('refresh', 'green', '1.3em', '2px', __('Subscription Updated', 'membermouse'));

                            if (!empty($params[MM_ActivityLog::$PARAM_BILLING_NEXT_REBILL_DATE])) {
                                $message = __('Next rebill date was changed to %1$s for subscription product %2$s', 'membermouse');
                                $details .= sprintf($message, "<span style='font-family:courier;'>{$params[MM_ActivityLog::$PARAM_BILLING_NEXT_REBILL_DATE]}</span>", "<em>{$productName}</em>");
                            } else {
                                $details .= sprintf(__('Next rebill date was changed for subscription product %s', 'membermouse'), "<em>{$productName}</em>");
                            }
                            break;

                        case MM_Event::$BILLING_SUBSCRIPTION_CANCELED:
                            $eventType = MM_Utils::getIcon('refresh', 'red', '1.3em', '2px', __('Subscription Canceled', 'membermouse'));
                            $details .= sprintf(__('Subscription was cancelled for product %s', 'membermouse'), "<em>{$productName}</em>");
                            break;

                        case MM_Event::$REFUND_ISSUED:
                            $eventType = MM_Utils::getIcon('money', 'red', '1.4em', '2px', __('Refund Issued', 'membermouse'));
                            if ($isSubscription) {
                                $details .= sprintf(__('Refund of %1$s issued for subscription product %2$s', 'membermouse'), $orderTotal, "<em>{$productName}</em>");
                            } else {
                                $details .= sprintf(__('Refund of %1$s issued for product %2$s', 'membermouse'), $orderTotal, "<em>{$productName}</em>");
                            }
                            break;
                    }

                    // add affiliate information
                    if (!empty($params[MM_ActivityLog::$PARAM_BILLING_ORDER_AFFFILIATE_ID]) || !empty($params[MM_ActivityLog::$PARAM_BILLING_ORDER_SUBAFFFILIATE_ID])) {
                        switch ($params[MM_ActivityLog::$PARAM_BILLING_EVENT]) {
                            case MM_Event::$PAYMENT_RECEIVED:
                            case MM_Event::$PAYMENT_REBILL:
                            case MM_Event::$REFUND_ISSUED:

                                $affiliateDescription = "";
                                if (!empty($params[MM_ActivityLog::$PARAM_BILLING_ORDER_AFFFILIATE_ID])) {
                                    $affiliateDescription .= __("Affiliate ID", "membermouse") . ": {$params[MM_ActivityLog::$PARAM_BILLING_ORDER_AFFFILIATE_ID]}\n";
                                }

                                if (!empty($params[MM_ActivityLog::$PARAM_BILLING_ORDER_SUBAFFFILIATE_ID])) {
                                    $affiliateDescription .= __("Sub-affiliate ID", "membermouse") . ": {$params[MM_ActivityLog::$PARAM_BILLING_ORDER_SUBAFFFILIATE_ID]}\n";
                                }

                                $details .= MM_Utils::getAffiliateIcon($affiliateDescription, "margin-left:5px;");
                                break;
                        }
                    }

                    // add discount information
                    if ($hasCoupon || $hasProration) {
                        switch ($params[MM_ActivityLog::$PARAM_BILLING_EVENT]) {
                            case MM_Event::$PAYMENT_RECEIVED:
                            case MM_Event::$PAYMENT_REBILL:
                                $discountDescription = __("DISCOUNTS APPLIED", "membermouse") . "\n";

                                if ($hasCoupon) {
                                    $couponAmount = abs($params[MM_ActivityLog::$PARAM_BILLING_ORDER_DISCOUNT]);

                                    if ($hasProration) {
                                        $couponAmount -= $prorationAmount;
                                    }

                                    $discountDescription .= __("Coupon", "membermouse") . ": " . _mmf($couponAmount) . " ({$couponName})\n";
                                }

                                if ($hasProration) {
                                    $discountDescription .= __("Proration", "membermouse") . ": " . _mmf($prorationAmount) . "\n";
                                }

                                if ($hasCoupon && $hasProration) {
                                    $discountDescription .= "---------------------\n";
                                    $discountDescription .= __("Total Discount", "membermouse") . ": " . _mmf($params[MM_ActivityLog::$PARAM_BILLING_ORDER_DISCOUNT]);
                                }

                                $details .= MM_Utils::getDiscountIcon($discountDescription, "margin-left:5px;");
                                break;
                        }
                    }
                }
                break;

            case MM_ActivityLog::$EVENT_TYPE_EMAIL:
                $eventType = MM_Utils::getIcon('paper-plane-o', 'green', '1.2em', '1px', 'Email sent');

                if (!is_null($params)) {
                    if (isset($params[MM_ActivityLog::$PARAM_EMAIL_SUBJECT]) && isset($params[MM_ActivityLog::$PARAM_EMAIL_TO_ADDRESS])) {
                        $toAddress = "<span style='font-family:courier;'>{$params[MM_ActivityLog::$PARAM_EMAIL_TO_ADDRESS]}</span>";
                        $details = sprintf(__('Email sent to %s', 'membermouse'), $toAddress);

                        if (isset($params[MM_ActivityLog::$PARAM_EMAIL_BODY]) && isset($params[MM_ActivityLog::$PARAM_EMAIL_FROM_ADDRESS])) {
                    ?>
                            <div id="mm-view-info-<?php echo $item->id; ?>" style="display:none;" title="Email Viewer" style="font-size:11px;">
                                <p><?php _e("To", "membermouse"); ?>: <span style="font-family:courier;"><?php echo $params[MM_ActivityLog::$PARAM_EMAIL_TO_ADDRESS]; ?></span><br />
                                    <?php if (!empty($params[MM_ActivityLog::$PARAM_EMAIL_CC_ADDRESSES])) { ?>
                                        <?php _e("Cc", "membermouse"); ?>: <span style="font-family:courier;"><?php echo $params[MM_ActivityLog::$PARAM_EMAIL_CC_ADDRESSES]; ?></span><br />
                                    <?php } ?>
                                    <?php _e("From", "membermouse"); ?>: <span style="font-family:courier;"><?php echo $params[MM_ActivityLog::$PARAM_EMAIL_FROM_ADDRESS]; ?></span><br />
                                    <?php _e("Subject", "membermouse"); ?>: <span style="font-family:courier;"><?php echo $params[MM_ActivityLog::$PARAM_EMAIL_SUBJECT]; ?></span></p>
                                <p><span style="font-family:courier;"><?php echo nl2br($params[MM_ActivityLog::$PARAM_EMAIL_BODY]); ?></span></p>
                            </div>
<?php
                            $viewButtonText = __("View Email", "membermouse");
                            $details .= " &mdash; ";
                            $details .= " <a onclick=\"viewInfo({$item->id})\" style='cursor: pointer;' title='{$viewButtonText}'>" . MM_Utils::getIcon('file-text', 'blue', '1.2em', '1px', '', 'margin-right:4px;') . "<span style='font-family:courier;'>" . MM_Utils::abbrevString($params[MM_ActivityLog::$PARAM_EMAIL_SUBJECT]) . "</span></a>";
                        }
                    } else {
                        $details .= $urlParts[0];
                    }
                }
                break;

            case MM_ActivityLog::$EVENT_TYPE_COURSES:
                if (!is_null($params) && !empty($params[MM_ActivityLog::$PARAM_COURSES_EVENT])) {
                    $eventType = MM_Utils::getIcon('graduation-cap', 'blue', '1.3em', '2px', __('Initial Payment Received', 'membermouse'));

                    $url = '';
                    if (isset($params['title'], $params['url'])) {
                        $url = sprintf('<span style="font-family:courier;"><a href="%s" target="_blank">%s</a></span>', esc_url($params['url']), esc_attr($params['title']));
                    }

                    switch ($params[MM_ActivityLog::$PARAM_COURSES_EVENT]) {
                        case MM_Event::$QUIZ_ATTEMPT_COMPLETED:
                            $quiz_id = $params['quiz_id'] ?? 0;
                            $quiz_attempts = sprintf('<span style="font-family:courier;"><a href="%s" target="_blank">%s</a></span>', esc_url(add_query_arg(['id' => $quiz_id], admin_url('admin.php?page=mmcs-quiz-attempts'))), __('View Attempts', "membermouse"));

                            $details = sprintf(__('Member completed %s Quiz.', 'membermouse'), $url) . " " . $quiz_attempts;
                            break;
                        case MM_Event::$LESSON_COMPLETED:
                            $details = sprintf(__('Member completed %s Lesson', 'membermouse'), $url);
                            break;
                        case MM_Event::$COURSE_COMPLETED:
                            $details = sprintf(__('Member completed %s Course', 'membermouse'), $url);
                            break;
                        case MM_Event::$LESSON_STARTED:
                            $details = sprintf(__('Member started %s Lesson', 'membermouse'), $url);
                            break;
                        case MM_Event::$COURSE_STARTED:
                            $details = sprintf(__('Member started Course &mdash; %s', 'membermouse'), $url);
                            break;
                    }
                }
        }
    }

    $row = array();
    $row[] = array('content' => $eventType);

    if (!$isMemberDetailsArea) {
        $row[] = array('content' => $memberLink);
    }
    $row[] = array('content' => $details);
    $row[] = array('content' => "<span style='font-family:courier;'>" . MM_Utils::generateIPLinks($item->ip) . "</span>");
    $row[] = array('content' => MM_Utils::dateToLocal($item->date_added));

    $rows[] = $row;
}

$dataGrid->setHeaders($headers);
$dataGrid->setRows($rows);

$dgHtml = $dataGrid->generateHtml();

if ($dgHtml == "") {
    $dgHtml = "<p><i>" . __("No activity found.", "membermouse") . "</i></p>";
}

echo $dgHtml;
?>